(function () {
	synoptive_config = {
		client_id: 'richardson_cap',
		model_id: 'cap',
		/*css: 'https://s3.amazonaws.com/static.synoptive.com/dev/richardson_cap/debug/styles.css',*/
		css: '/synoptive/client/richardson_cap/cap/styles/styles.css',
		/*css: 'http://atcom.am/css/caps-mobile.css',*/
		external_css: [],
		require: {
			paths: {
				'client': '/synoptive/client/richardson_cap/cap/js',
				'jsPDF': '/synoptive/3rd_party/jsPDF/jsPDF.bundle.min',
				/*'drawSvg': '/synoptive/client/richardson_cap/cap/js/drawSvg/drawSvg.min',*/
				'drawSvg': '/synoptive/client/richardson_cap/cap/js/drawSvg/drawSvg.min',
				'drawSvgPdf': '/synoptive/js/drawSvg/drawSvgPdf.min',
				'canvgModule': '/synoptive/3rd_party/canvg/canvg.min',
				'moment': '/synoptive/3rd_party/moment/moment-2.1.0.min',
				'webfont': '/synoptive/3rd_party/webfont/webfont-1.6.26',
				'svg-manip': '/synoptive/js/svg-manip/svg-manip.min',
				'TextMetrics': '/synoptive/js/TextMetrics/TextMetrics.min'
			}
		},
		modules: ['fancybox'],
		analytics: {
			'synoptiveInternal': 'UA-40922321-32',
			'richardson_sports': 'UA-99713134-1'
		}
	};



/*	WebFontConfig = {
		custom: {
			families: ['accelerator', 'athletic_block', 'brothers', 'city_block', 'condensed_block', 'full_block', 'heritage', 'machine', 'plain', 'pro_block', 'puff_script', 'century', 'uni_script', 'serpentine', 'square', 'tiffany', 'swiss_condensed']
		},
		active: function () {
			rc.monitor.ready('fonts');
		}
	};*/

/*	(function (d) {
		var wf = d.createElement('script'), s = d.scripts[0];
		wf.src = 'https://ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js';
		s.parentNode.insertBefore(wf, s);
	})(document);*/
})();
(function(){function n(b){var c=document.createElement("a");c.href=b;return c.host}function f(b,c){var a=document.createElement("link");a.type="text/css";a.rel="stylesheet";a.href=b;a.crossOrigin="anonymous";if(c){var d=!1;a.onload=a.onreadystatechange=function(){var a=this.readyState;d||a&&"loaded"!==a&&"complete"!==a||(d=!0,c&&c())}}document.getElementsByTagName("head")[0].appendChild(a)}function p(){var b=document.getElementById("synoptive-container");b||(b=document.createElement("div"),b.setAttribute("id",
	"synoptive-container"));var c='<div class="loading_panel"><div id="loading_image" class="loading_image"></div><div class="loading_text"></div></div><div id="powered_by_panel" class="powered_by_panel" style="display: none;">';c=d.powered_by_link?c+d.powered_by_link:c+'<a href="https://www.synoptive.com" target="_blank" title="Product Configurators - Synoptive"><span class="powered_by_label">Configurator by</span>&nbsp;<span class="name_label">Synoptive</span></a>';b.innerHTML=c+"</div>";c=document.getElementById("synoptive-embed");
	c.parentNode.insertBefore(b,c)}function q(){window.com=window.com||{};com.synoptive=com.synoptive||{};com.synoptive.event=com.synoptive.event||{};com.synoptive.insertScript=function(b){var c=document.createElement("script");c.src=b;document.getElementsByTagName("head")[0].appendChild(c)}}function l(b){var c=document.createElement("meta"),a;for(a in b)b.hasOwnProperty(a)&&(c[a]=b[a]);document.getElementsByTagName("head")[0].appendChild(c)}function g(b){/^(?:[a-z]+:)?\/\//i.test(b)||(b=e+b);return b}
	function m(b,c){if(c)for(var a in b)b.hasOwnProperty(a)&&(c=b[a],2<c.length&&"/"===c.charAt(0)&&"/"!==c.charAt(1)&&(b[a]=g(b[a])))}if(!synoptive_config.bypass_embed){com="undefined"===typeof com?{}:com;com.synoptive=com.synoptive||{};com.synoptive.hash={};com.synoptive.launch={};com.synoptive.timing={};window.performance&&(com.synoptive.timing.appStart=Math.round(performance.now()));com.synoptive.launch.pause=function(){com.synoptive.launch.paused=!0};com.synoptive.launch.resume=function(){com.synoptive.launch.paused=
		!1};var h=function(b,c){var a=document.createElement("script");a.src=b;a.type="text/javascript";if(c){var d=!1;a.onload=a.onreadystatechange=function(){var a=this.readyState;d||a&&"loaded"!==a&&"complete"!==a||(d=!0,c())}}b=document.getElementsByTagName("script")[0];b.parentNode.insertBefore(a,b)};com.synoptive.loadScript||(com.synoptive.loadScript=h);com.synoptive.parseHost||(com.synoptive.parseHost=n);var k={};(function(b,c){var a=document.createElement("a");a.href=b;c.host=a.host;c.protocol=a.protocol})(document.getElementById("synoptive-embed").src,
		k);var e=k.protocol+"//"+k.host;com.synoptive.originPrefix=e;var d=synoptive_config;(function(){if(!document.querySelector("meta[name=viewport]")){var b=document.createElement("meta");b.name="viewport";b.content="width=device-width, initial-scale=1";document.getElementsByTagName("head")[0].appendChild(b)}})();(function(b){p();l({property:"og:image"});var c=d.meta;if(c)for(var a=0;a<c.length;a++)l(c[a]);d.modules&&-1<d.modules.indexOf("fancybox")&&f(e+"/synoptive/3rd_party/fancybox/jquery.fancybox.min.css");
		d.modules&&-1<d.modules.indexOf("select2")&&f(e+"/synoptive/3rd_party/select2/select2.min.css");if(d.external_css)for(a=0;a<d.external_css.length;a++)f(g(d.external_css[a]));if(d.css)if(Array.isArray(d.css))for(a=0;a<d.css.length;a++)a==d.css.length-1?f(g(d.css[a]),function(){var a=document.getElementById("powered_by_panel");a&&a.removeAttribute("style")}):f(g(d.css[a]));else f(g(d.css),function(){var a=document.getElementById("powered_by_panel");a&&a.removeAttribute("style")});q();h(e+"/synoptive/3rd_party/requirejs/syn-require.min.js",
			b)})(function(){var b={baseUrl:e+"/synoptive/3rd_party",paths:{optional:"/synoptive/3rd_party/requirejs/optional.min","syn-js":"/synoptive/js",jquery:"/synoptive/3rd_party/jquery/jquery-3.6.4.min","jquery-ui":"/synoptive/3rd_party/jquery-ui/jquery-ui.min",touchpunch:"touchpunch/touchpunch.min",fancybox:"/synoptive/3rd_party/fancybox/jquery.fancybox.min",select2:"/synoptive/3rd_party/select2/select2.min"},map:{"*":{jquery:"syn-js/jquery-nc",css:g("/synoptive/3rd_party/requirejs/css.min.js")},"syn-js/jquery-nc":{jquery:"jquery"}},
		enforceDefine:!0};m(b.paths,e);synoptive.requirejs.config(b);d.require&&(m(d.require.paths,e),synoptive.requirejs.config(d.require));var c=["jquery-ui","touchpunch"],a=d.analytics;a&&c.push("optional!syn-js/analytics");c=c.concat(d.modules);synoptive.requirejs(["syn-js/jquery-nc","optional"],function(b){syn$=b;synoptive.requirejs(c,function(b,c,f){var g=function(){if(f&&a)for(var b in a)a.hasOwnProperty(b)&&f.register(b,a[b]);if(d.on_before_load)d.on_before_load();b="/synoptive.app/synoptive.app.nocache.js";
		e&&(b=e+b);h(b,function(){},"synoptive.app.nocache")};d.syn_modules?synoptive.requirejs(d.syn_modules,function(){g()}):g()})})})}})();
