<?php
	session_start();
	function image_upload($array) {
    	// Upload and Rename File
    	$inc = 1;
		$filename = $array["name"];
		$file_basename = substr($filename, 0, strripos($filename, '.')); // get file extention
		$file_ext = substr($filename, strripos($filename, '.')); // get file name
		$filesize = $array["size"];
		$allowed_file_types = array('.jpg','.jpeg','.gif','.png', '.svg', '.webp');	

		if (in_array($file_ext,$allowed_file_types) && ($filesize < 3000000))
		{	
			// Rename file
			$inc = rand(0,1000000);
			$newfilename = $inc . md5($file_basename) . $file_ext;
			
				if (file_exists("assets/uploads/" . $newfilename))
				{
					// file already exists error
					echo '<div class="alert alert-danger alert-dismissable fade show">
	                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	                    <strong>Error!</strong> You have already uploaded this file.
	                </div>';
				}
				else
				{		
					move_uploaded_file($array["tmp_name"], "assets/uploads/" . $newfilename);
					return $newfilename;	
				}
			} else if($_SESSION['userRole'] == 'salesman') {
				if (file_exists("../assets/uploads/" . $newfilename))
				{
					// file already exists error
					echo '<div class="alert alert-danger alert-dismissable fade show">
	                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	                    <strong>Error!</strong> You have already uploaded this file.
	                </div>';
				}
				else
				{		
					move_uploaded_file($array["tmp_name"], "assets/uploads/" . $newfilename);
					return $newfilename;	
				}
			}
		}
		elseif (empty($file_basename))
		{	
			// file selection error
			echo '<div class="alert alert-danger alert-dismissable fade show">
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    <strong>Error!</strong> Please select a file to upload.
                </div>';
		} 
		elseif ($filesize > 3000000)
		{	
			// file size error
			echo '<div class="alert alert-danger alert-dismissable fade show">
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    <strong>Error!</strong> The file you are trying to upload is too large.
                </div>';
		}
		else
		{
			// file type error
			echo '<div class="alert alert-danger alert-dismissable fade show">
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    <strong>Error!</strong> Only these file typs are allowed for upload: '. implode(', ',$allowed_file_types) . '</div>'; 
			unlink($array["tmp_name"]);
		}
    }

	$image = image_upload($_FILES['file1']);

	$svg_file = file_get_contents('uploads/'.$image);

	var_dump($svg_file);


	$doc = new DOMDocument();
	$doc->loadXML($svg_file);
	$svg = $doc->getElementsByTagName('g');

	$array = array();

	foreach( $svg as $searchNode ) {
		if( $searchNode->getAttribute('id') ) :
			/*echo '<pre>';
			var_dump( $searchNode->C14N() );
			print_r( $searchNode->getAttribute('id') );
			echo '</pre>';*/

			$array[$searchNode->getAttribute('id')] = $searchNode->C14N();

		endif;
	}

	return $array;

?>