<?php
	$page_title = 'Caps';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>
	<div class="wrapper">
		<?php include 'sidebar.php'; ?>
		<div class="main">
			<?php include 'top-bar.php'; ?>
			<main class="content">
				<div class="container-fluid p-0">
					<div class="d-flex justify-content-between mb-3 align-items-center">
						<h4 class="card-title mb-0">Caps</h4>
			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewCapModal">
							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>
						</button>
					</div>
					<div class="row">

						<div class="col-md-6 mb-3">	

							<div class="table-search-phone">

								<form method="post">

					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">

					                <input type="submit" class="d-none" value="Submit" name="name_submit">

					            </form>

				            </div>

						</div>

						<div class="col-md-6 mb-3"><a href="caps.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>

					</div>

					<?php

			    	if( isset($_POST['cap-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {

			    		//inserting data into the database

			    		if( !empty($_POST['name']) ) {

		    				$fileThumb = $fileTop = $fileFront = $fileBack = $fileLeft = $fileRight = '';

						  	if($_FILES['file_thumb']['name'] != '') {

								$fileThumb = image_upload($_FILES['file_thumb']);

							}
							if($_FILES['file_top']['name'] != '') {

								$fileTop = image_upload($_FILES['file_top']);

							}
							if($_FILES['file_front']['name'] != '') {

								$fileFront = image_upload($_FILES['file_front']);

							}
							if($_FILES['file_back']['name'] != '') {

								$fileBack = image_upload($_FILES['file_back']);

							}
							if($_FILES['file_left']['name'] != '') {

								$fileLeft = image_upload($_FILES['file_left']);

							}
							if($_FILES['file_right']['name'] != '') {

								$fileRight = image_upload($_FILES['file_right']);

							}

							$cap_add = $conn->query( "INSERT into `wd_caps` (`name`, `capcat_id`, `thumb`, `description`, `top_view`, `front_view`, `back_view`, `left_view`, `right_view`) values ('".$_POST['name']."',".$_POST['capcat_id'].",'".$fileThumb."','".$_POST['description']."', '".$fileTop."', '".$fileFront."', '".$fileBack."', '".$fileLeft."', '".$fileRight."')" );

							if($cap_add) {

								echo '<div class="alert alert-success alert-dismissable fade show">

									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

										<strong>Success!</strong> Rocord successfully inserted.

									</div>';
								
								header("Location: caps.php");
								exit();

							} else {

								echo '<div class="alert alert-danger alert-dismissable fade show">

									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

										<strong>Error!</strong> Record insertion not completed.'. $conn->error .'

									</div>';

							}

			    		} else {

			    			echo '<div class="alert alert-danger alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Error!</strong> Please Enter Name.

				                </div>';

			    		}

			    	}



			    	if( isset($_POST['btn-delete']) ) {

			    		$delete_cap =  $conn->query( 'DELETE from `wd_caps` where `id`="'. $_POST['cap-id'] .'"' );
			    		if( $delete_cap ) {

			    			echo '<div class="alert alert-info alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Record successfully deleted!</strong>.

				                </div>';
							header("Location: caps.php");
							exit();
			    		}

			    	}

			    	/*// later

			    	if( isset($_POST['status']) ) {

			    		if( $_POST['status'] == 'Y') {

			    			$conn->query("update `wd_menu` set `status`='Y' where `id`='".$_POST['menu-id'] . "'");

			    		} else {

			    			$conn->query("update `wd_menu` set `status`='N' where `id`='".$_POST['menu-id'] . "'");

			    		}

			    	}*/



					//$Cap_ids = $conn->query(Cap_select());

					

					//if( $Cap_ids->num_rows > 0 ) {

						// using the paginator



					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;

				    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;

				    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 4;

				    if( isset($_POST['name_submit']) ) :

				    	$query = 'SELECT * from `wd_caps` where `name` like "%'. $_POST['s_name'] .'%"';

				    else :

				    	$query = "SELECT * from `wd_caps` order by `id` desc";

				    endif;


				    $paginator = new Pagination( $conn, $query );

				    $results = $paginator->getData( $limit, $page );

				    if($results->data) :

				    ?>


				    <div class="card">

					    <div class="table-responsive">

							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">

								<thead>

									<tr>

										<?php if($_SESSION['userRole'] == 'admin') { ?>

						            	<th><i class="fas fa-cog"></i></th>

						            	<?php } ?>

										<th class="text-start">Names</th>

										<th>Image</th>

										<th>Visibility</th>

										<th>Featured</th>

									</tr>

								</thead>

						        <tbody id="post_list"  data-table_name="wd_categories">

						        	<?php foreach ($results->data as $key => $result) { ?>

						        	<tr data-post_id="<?php echo $result['id']; ?>">

						        		<?php if($_SESSION['userRole'] == 'admin') { ?>

						        		<td align="center" class="text-center">

						        			<div class="d-flex justify-content-center align-items-center">

							              		<a href="edit.cap.php?cap_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary"> 

							              			<i class="fas fa-edit"></i>

							              		</a>

							                  	<form method="post" class="form">

							                      	<input type="hidden" name="cap-id" value="<?php echo $result['id']; ?>">

							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-danger" name="btn-delete">

							                      		<i class="fas fa-trash-alt"></i>

							                      	</button>

							                    </form>

							                </div>

						                </td>

						            	<?php } ?>

						        		<td class="text-start">

						        			<?php echo $result['name']; ?>
					        				
					        			</td>

						        		<td>

						        			<?php if( $result['thumb'] ) { ?>

					        				<img src="assets/uploads/<?php echo $result['thumb']; ?>" width="100">

						        			<?php } ?>

						        		</td>

						        		<td>

						        			<?php //echo $result['visible']; ?>

						        			<div class="form-check form-switch d-flex px-0" id="visible_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['visible'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="visible" data-table_name="wd_caps">

											  	<label class="form-check-label" for="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>



						        		</td>

						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="featured_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['featured'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="featured" data-table_name="wd_caps">

											  	<label class="form-check-label" for="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>

						        	</tr>

						        	<?php } ?>

						        </tbody>

						    </table>

						</div>

				    </div>

				    <div class="panel-footer">

				        <div class="row">

				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)

				          	</div>

				          	<div class="col-12 mt-5 text-center">

				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>

				          	</div>

				        </div>

				  	</div>

				  	<?php else : ?>

				    <div class="alert alert-info text-center">No result(s) found.</div>

				    <?php endif; ?>	
				</div>
			</main>
		</div>
	</div>

	<div class="modal fade" id="addNewCapModal" tabindex="-1" aria-labelledby="addNewCapLabel" aria-hidden="true">
		<div class="modal-dialog ">
			<div class="modal-content">
				<form class="form" action="" method="post" enctype="multipart/form-data">
				  	<div class="modal-header">
				    	<h5 class="modal-title" id="addNewCapLabel">Add New Cap</h5>
				    	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				  	</div>
				  	<div class="modal-body">
						<div class="row">
							<div class="col-md-12 form-group">
								<input type="text" placeholder="Name" name="name" class="form-control" required>
							</div>
							<div class="col-md-12 form-group">
								<select name="capcat_id" class="form-control">
									<option>-- Select Category --</option>
									<?php
									$capCats = $conn->query(" SELECT `id`, `name` from `wd_caps_categories` where `visible`='Y'" );
									foreach($capCats as $capCat) :
									?>
									<option value="<?php echo $capCat['id']; ?>"><?php echo $capCat['name']; ?></option>
									<?php endforeach; ?>
								</select>
							</div>
							<div class="col-md-12 form-group">
								<textarea placeholder="Description" name="description" class="form-control" rows="4"></textarea>
							</div>
							<div class="col-md-6">
								<h4 class="card-title text-center">Thumb Image</h4>
								<div class="profile-pic-box mb-3">
									<div class="profile-pic">
									  	<label class="-label" for="file_thumb">
										    <span class="fas fa-camera"></span>
										    <span>Upload Image</span>
										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
									  	</label>
									  	<input id="file_thumb" type="file" name="file_thumb" onchange="loadFileThumb(event)">
									  	<img src="img/placeholder.png" id="outputThumb" alt="">
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<h4 class="card-title text-center">Top View Image</h4>
								<div class="profile-pic-box mb-3">
									<div class="profile-pic">
									  	<label class="-label" for="file_top">
										    <span class="fas fa-camera"></span>
										    <span>Upload Image</span>
										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
									  	</label>
									  	<input id="file_top" type="file" name="file_top" onchange="loadFiletop(event)">
									  	<img src="img/placeholder.png" id="outputtop" alt="">
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<h4 class="card-title text-center">Front View Image</h4>
								<div class="profile-pic-box mb-3">
									<div class="profile-pic">
									  	<label class="-label" for="file_front">
										    <span class="fas fa-camera"></span>
										    <span>Upload Image</span>
										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
									  	</label>
									  	<input id="file_front" type="file" name="file_front" onchange="loadFilefront(event)">
									  	<img src="img/placeholder.png" id="outputfront" alt="">
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<h4 class="card-title text-center">Back View Image</h4>
								<div class="profile-pic-box mb-3">
									<div class="profile-pic">
									  	<label class="-label" for="file_back">
										    <span class="fas fa-camera"></span>
										    <span>Upload Image</span>
										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
									  	</label>
									  	<input id="file_back" type="file" name="file_back" onchange="loadFileback(event)">
									  	<img src="img/placeholder.png" id="outputback" alt="">
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<h4 class="card-title text-center">Left View Image</h4>
								<div class="profile-pic-box mb-3">
									<div class="profile-pic">
									  	<label class="-label" for="file_left">
										    <span class="fas fa-camera"></span>
										    <span>Upload Image</span>
										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
									  	</label>
									  	<input id="file_left" type="file" name="file_left" onchange="loadFileleft(event)">
									  	<img src="img/placeholder.png" id="outputleft" alt="">
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<h4 class="card-title text-center">Right View Image</h4>
								<div class="profile-pic-box mb-3">
									<div class="profile-pic">
									  	<label class="-label" for="file_right">
										    <span class="fas fa-camera"></span>
										    <span>Upload Image</span>
										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
									  	</label>
									  	<input id="file_right" type="file" name="file_right" onchange="loadFileright(event)">
									  	<img src="img/placeholder.png" id="outputright" alt="">
									</div>
								</div>
							</div>
						</div>
				  	</div>
				  	<div class="modal-footer btn-group w-100">
					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>
					    <button type="submit" class="btn btn-primary btn-xl" name="cap-add-submit">Add</button>
				  	</div>
			  	</form>
			</div>
		</div>
	</div>
<?php include 'footer.php'; ?>
<script>
	var loadFileThumb = function (event) {
	  var image = document.getElementById("outputThumb");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFiletop = function (event) {
	  var image = document.getElementById("outputtop");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFilefront = function (event) {
	  var image = document.getElementById("outputfront");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFileback = function (event) {
	  var image = document.getElementById("outputback");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFileleft = function (event) {
	  var image = document.getElementById("outputleft");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFileright = function (event) {
	  var image = document.getElementById("outputright");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
</script>