<?php

	$page_title = 'Categories';

	include 'header.php'; 

	include 'functions.php'; 

	require 'paginator.class.php';

?>



	<div class="wrapper">

		<?php include 'sidebar.php'; ?>



		<div class="main">

			<?php include 'top-bar.php'; ?>



			<main class="content">

				<div class="container-fluid p-0">

					<div class="d-flex justify-content-between mb-3 align-items-center">

						<?php
						if( isset($_GET['category_id']) ) :
							if( $_GET['category_id'] ) :
				    			$main_category = $conn->query( category_by_id( $_GET['category_id'] ) )->fetch_assoc();
				    	?>
				    			<h3 class="text-center"><a href="categories.php<?php if( $main_category['parent_id'] != 0 ) : ?>?category_id=<?php echo $main_category['parent_id']; endif; ?>"><i class="fas fa-arrow-alt-circle-left"></i></a> <?php echo $main_category['name']; ?></h3>
						<?php endif; else: ?>
							<h4 class="card-title mb-0">Product Categories</h4>
						<?php endif; ?>

						

			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewCategoryModal">

							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>

						</button>

						

					</div>

					<?php



					if( isset($_POST['sort_by_submit']) ) :

			    		$q_result = $conn->query( 'UPDATE `wd_options` SET `option_value`="'. $_POST['sort_by_submit'] .'" where `option_name`="category_order"' );



			    		if( $q_result ) :

			    			echo '<div class="alert alert-success alert-dismissable fade show">

			                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Success!</strong>.

				                </div>';

				        else :

				        	echo '<div class="alert alert-danger alert-dismissable fade show">

			                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'

				                </div>';

				        endif;

				    endif;



					?>

					<div class="row">

						<div class="col-md-3 mb-3">	

							<div class="table-search-phone">

								<form method="post">

					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">

					                <input type="submit" class="d-none" value="Submit" name="name_submit">

					            </form>

				            </div>

						</div>

						<div class="col-md-3 mb-3">	

							<div class="table-search-phone">

								<form class="form" method="post">

					                <select class="form-select" id="sort_by_submit" name="sort_by_submit">

					                	<option>Select Sort by</option>

					                	<?php

					                	$category_sort = $conn->query('SELECT `option_value` from `wd_options` where `option_name`="category_order"')->fetch_assoc();

					                	?>

					                	<option <?php if( $category_sort['option_value'] == 'name asc' ) : echo 'selected'; endif; ?> value="name asc">Sort by A-Z</option>

					                	<option <?php if( $category_sort['option_value'] == 'name desc' ) : echo 'selected'; endif; ?> value="name desc">Sort by Z-A</option>

					                	<option <?php if( $category_sort['option_value'] == 'rank asc' ) : echo 'selected'; endif; ?> value="rank asc">Sort by Rank</option>

					                	<option <?php if( $category_sort['option_value'] == 'date asc' ) : echo 'selected'; endif; ?> value="date asc">Sort by Date</option>

					                </select>

					                <input type="submit" class="d-none" value="Submit" name="sort_submit">

					            </form>

				            </div>

						</div>
						<div class="col-md-6 mb-3"><a href="categories.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>

					</div>

					<?php

			    	if( isset($_POST['category-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {

			    		//inserting data into the database

			    		if( !empty($_POST['name']) ) {



		    				$image = '';

						  	if($_FILES['upload_imgs']['name'] != '') {

								$image = image_upload($_FILES['upload_imgs']);

							}

							if( $image ) {

								/*$q_results = $conn->query( "SELECT MAX(id) FROM `wd_categories`" );

								if( $q_results->num_rows > 0 ) {

									$q_result = $q_results->fetch_assoc();

									$q_result['MAX(id)'] = $q_result['MAX(id)'] + 1;

								}*/

								foreach( $_POST['cat_segment'] as $cat_segment ) :

			            			$category_add = $conn->query( category_insert($_POST['name'], $image, $_POST['description'], $cat_segment, date("Y/m/d h:i:s A")) );

								endforeach;

			        			if($category_add) {

			        				echo '<div class="alert alert-success alert-dismissable fade show">

					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

						                    <strong>Success!</strong> Rocord successfully inserted.

						                </div>';

			        			} else {

			        				echo '<div class="alert alert-danger alert-dismissable fade show">

					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

						                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'

						                </div>';

			        			}

			        		} else {
			        			echo '<div class="alert alert-danger alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Error!</strong> Image Missing.

				                </div>';
			        		}

			    		} else {

			    			echo '<div class="alert alert-danger alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Error!</strong> Invalid Input.

				                </div>';

			    		}

			    	}



			    	if( isset($_POST['btn-delete']) ) {

			    		$delete_category =  $conn->query( category_delete($_POST['category-id']) );



			    		if( $delete_category ) {

			    			echo '<div class="alert alert-info alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Record successfully deleted!</strong>.

				                </div>';

			    		}

			    	}

			    	/*// later

			    	if( isset($_POST['status']) ) {

			    		if( $_POST['status'] == 'Y') {

			    			$conn->query("update `wd_menu` set `status`='Y' where `id`='".$_POST['menu-id'] . "'");

			    		} else {

			    			$conn->query("update `wd_menu` set `status`='N' where `id`='".$_POST['menu-id'] . "'");

			    		}

			    	}*/



					//$category_ids = $conn->query(category_select());

					

					//if( $category_ids->num_rows > 0 ) {

						// using the paginator



					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;

				    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;

				    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 4;

				    if( isset($_POST['name_submit']) ) :

				    	$query = category_search_name($_POST['s_name']);

				    elseif( isset($_GET['category_id']) ) :

				    	$query = category_select_parent_id($_GET['category_id']);
				    else :

				    	$query = category_select_parent_by_rank();

				    endif;


				    $paginator = new Pagination( $conn, $query );

				    $results = $paginator->getData( $limit, $page );

				    if($results->data) :

				    ?>


				    <div class="card">

					    <div class="table-responsive">

							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">

								<thead>

									<tr>

										<?php if($_SESSION['userRole'] == 'admin') { ?>

						            	<th><i class="fas fa-cog"></i></th>

						            	<?php } ?>

										<th class="text-start">Names</th>

										<th>Thumb</th>

										<th>Visibility</th>

										<th>Featured</th>

									</tr>

								</thead>

						        <tbody id="post_list"  data-table_name="wd_categories">

						        	<?php foreach ($results->data as $key => $result) { ?>

						        	<tr data-post_id="<?php echo $result['id']; ?>">

						        		<?php if($_SESSION['userRole'] == 'admin') { ?>

						        		<td align="center" class="text-center">

						        			<div class="d-flex justify-content-center align-items-center">

						        				<a href="categories.php?parent_id=<?php echo $result['parent_id']; ?>&category_id=<?php echo $result['id']; ?>" class="me-1 btn btn-warning"> 

							              			<i class="fas fa-eye"></i>

							              		</a>

							              		<a href="edit.category.php?parent_id=<?php echo $result['parent_id']; ?>&category_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary"> 

							              			<i class="fas fa-edit"></i>

							              		</a>

							                  	<form method="post" class="form">

							                      	<input type="hidden" name="category-id" value="<?php echo $result['id']; ?>">

							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-danger" name="btn-delete">

							                      		<i class="fas fa-trash-alt"></i>

							                      	</button>

							                    </form>

							                </div>

						                </td>

						            	<?php } ?>

						        		<td class="text-start">

						        			<?php echo $result['name']; ?>
					        				<div class="ms-2">
						        			<?php
						        				getChildCats( 'text', $result['id'] );
						        			?>
					        				</div>

						        			<?php
						        			/*$subCategories = $conn->query( category_select_parent_id($result['id']) );

						        			if( $subCategories->num_rows > 0 ) :

						        				foreach( $subCategories as $subCategory ) :

						        					echo ' / '.$subCategory['name'];

						        					$subChildCategories = $conn->query( category_select_parent_id($subCategory['id']) );

						        					if( $subChildCategories->num_rows > 0 ) :

								        				foreach( $subChildCategories as $subChildCategory ) :

								        					echo ' / '.$subChildCategory['name'];

								        				endforeach;

								        			endif;

								        		endforeach;

								        	endif;*/

						        			?>

						        					

					        			</td>

						        		<td>

						        			<?php if( $result['thumb'] ) { ?>

					        				<img src="assets/uploads/<?php echo $result['thumb']; ?>" width="100">

						        			<?php } ?>

						        		</td>

						        		<td>

						        			<?php //echo $result['visible']; ?>

						        			<div class="form-check form-switch d-flex px-0" id="visible_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['visible'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="visible" data-table_name="wd_categories">

											  	<label class="form-check-label" for="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>



						        		</td>

						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="featured_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['featured'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="featured" data-table_name="wd_categories">

											  	<label class="form-check-label" for="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>

						        	</tr>

						        	<?php } ?>

						        </tbody>

						    </table>

						</div>

				    </div>

				    <div class="panel-footer">

				        <div class="row">

				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)

				          	</div>

				          	<div class="col-12 mt-5 text-center">

				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>

				          	</div>

				        </div>

				  	</div>

				  	<?php else : ?>

				    <div class="alert alert-info text-center">No result(s) found.</div>

				    <?php endif; ?>	



				</div>

			</main>

		</div>

	</div>



	<div class="modal fade" id="addNewCategoryModal" tabindex="-1" aria-labelledby="addNewCategoryLabel" aria-hidden="true">

		<div class="modal-dialog ">

			<div class="modal-content">

				<form class="form" action="" method="post" enctype="multipart/form-data">

				  	<div class="modal-header">

				    	<h5 class="modal-title" id="addNewCategoryLabel">Add New Category</h5>

				    	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>

				  	</div>

				  	<div class="modal-body">

						<div class="row">

							<div class="col-md-12 form-group">

								<input type="text" placeholder="Name" name="name" class="form-control" required>

							</div>

							<div class="col-md-12 form-group">

								<textarea placeholder="Description" name="description" class="form-control" rows="4"></textarea>

							</div>

							<div class="col-md-12 form-group">

								<div class="category_check_box form-control">
									<div class="cat_segment">
										<label class="form-check">
							                <input type="checkbox" name="cat_segment[]" class="form-check-input" value="0"> 
							                Parent Category
							            </label>
									</div>
									<?php 
									$categories = $conn->query( category_select_parent() ); 
									if( $categories->num_rows > 0 ) :
										foreach ($categories as $key => $category) :
									?>
									<div class="cat_segment">
										<label class="form-check">
							                <input type="checkbox" name="cat_segment[]" class="form-check-input" value="<?php echo $category['id']; ?>"> 
							                <?php echo $category['name']; ?>
							            </label>
							        
								        <div class="ms-2 catSub_all">
										  	<?php getChildCats('check', $category['id']); ?> 
										</div>
									</div>
						            <?php endforeach;
						        	endif; 
						        	?>
						        </div>

								<!--<select class="form-select" name="parent" required>

									<option value="0" selected="">Parent Category</option>

									<?php 

									$categories = $conn->query(category_select()); 

									if( $categories ) :

										foreach ($categories as $category) :

											if( $category['parent_id'] == 0 ) :

									?>

									<option value="<?php echo $category['id']; ?>"><?php echo $category['name']; ?></option>

									<?php endif; endforeach; endif; ?>

								</select>-->

							</div>

							<div class="col-md-12 form-group">

								<label for="upload_imgs" class="form-control file bg-other">

								Upload Image

							    	<input class="show-for-sr" type="file" id="upload_imgs" name="upload_imgs" />

							    </label>

							</div>

						</div>

				  	</div>

				  	<div class="modal-footer btn-group w-100">

					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>

					    <button type="submit" class="btn btn-primary btn-xl" name="category-add-submit">Add</button>

				  	</div>

			  	</form>

			</div>

		</div>

	</div>



<?php include 'footer.php'; ?>

