<?php
require 'config.php';
require '../functions.php';

$master_doc = new DOMDocument();

$product_image = new Imagick();

$width = 600;
$height = 600;

$decor_doc = new DOMDocument('1.0', 'utf-8');

$product_svg_file = file_get_contents($_GET['file']);

$master_doc->loadXML($product_svg_file);

$product_svgNode = $master_doc->getElementsByTagName('svg');

$product_gNodes = $master_doc->getElementsByTagName('g');

$pattern = $master_doc->getElementsByTagName('pattern');

foreach( $product_gNodes as $key => $searchNode ) :

	if( $searchNode->getAttribute('id') == 'decor' ) :

		$svg = $decor_doc->appendChild($decor_doc->createElement('svg'));

		$svg->setAttribute('xmlns', 'http://www.w3.org/2000/svg');

		$svg->setAttribute('xmlns:xlink', 'http://www.w3.org/1999/xlink');

		$svg->setAttribute('viewBox', $product_svgNode[0]->getAttribute('viewBox'));

		$decor_doc->appendChild($svg);

		$child = $decor_doc->createDocumentFragment();

		$child->appendXML('<defs>'.$pattern[0]->C14N().'</defs>'.$searchNode->C14N());

		$svg->appendChild($child);

		$decor_doc->saveXML();
	endif;
endforeach;

$decor_svg = $decor_doc->getElementsByTagName('svg');

makeDirectory(__DIR__.'/assets/order/'.$_GET['orderItem_order_id'].'/'.$_GET['orderItem_id'].'/decor');

file_put_contents(__DIR__.'/assets/order/'.$_GET['orderItem_order_id'].'/'.$_GET['orderItem_id'].'/decor/'.$_GET['orderItem_id'].'-'.$_GET['key'].'.svg', $decor_svg[0]->C14N());

//$product_image->setBackgroundColor(new ImagickPixel('transparent'));

$product_image->readImageBlob($decor_svg[0]->C14N());

$product_image->resizeImage(0, $height, Imagick::FILTER_LANCZOS, 1);

$product_image->setImageFormat("png24");

header('Content-Type: image/png');

echo $product_image->getImageBlob();

$product_image->clear();
$product_image->destroy();
?>