<?php
	$page_title = 'Designs Layers';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">
					<?php
					$layer_type = '';
					if( isset( $_GET['lt'] ) ) {
						$layer_type = $_GET['lt'];
					}

			    	if( isset($_POST['save-design-layers']) && $_SERVER['REQUEST_METHOD'] == "POST" ) :

			    		if( !empty($_GET['id']) ) :

			    			$design = $conn->query("select * from `wd_design_layers` where `design_id`='". $_GET['id'] ."'");
			    			
			    			if($design->num_rows > 0 ) :

			    				$design_type_update = $conn->query("UPDATE `wd_designs` SET `svg`='$layer_type' where `id`='". $_GET['id'] ."'");

			    				foreach( $_POST['layers'] as $post ) :

			    					$fill_color = '';
			    					if( isset($post['fill_color']) ) :
			    						$fill_color = $post['fill_color'];
			    					endif;

				    				$design_layers_update = $conn->query( design_layers_update( $post['p_id'], $post['name'], $post['id'], $post['code'], $_GET['id'], $layer_type, $fill_color, date("Y/m/d h:i:s A") ) );

				    				if($design_layers_update) :
				        				echo '<div class="alert alert-success alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Success!</strong> Rocord successfully Updated.
							                </div>';
				        			else :
				        				echo '<div class="alert alert-danger alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Error!</strong> Record updation not completed.'. $conn->error .'
							                </div>';
				        			endif;
						        endforeach;

						        if( !$conn->error ) :
						        	header("refresh:1, url=designs.php");
                                    exit();
                                endif;

			    			else :

			    				if( isset($_POST['linear_gradient']) ) {
			    					$post_lg = $_POST['linear_gradient'];

			    					$design_update = $conn->query("UPDATE `wd_designs` SET `linear_gradient`='$post_lg' where `id`='". $_GET['id'] ."'");

			    					if( $design_update ) :
				        				echo '<div class="alert alert-success alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Success!</strong> Rocord successfully Updated.
							                </div>';
				        			else :
				        				echo '<div class="alert alert-danger alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Error!</strong> Record updation not completed.'. $conn->error .'
							                </div>';
							        endif;
			    				}

			    				$design_type_update = $conn->query("UPDATE `wd_designs` SET `svg`='$layer_type' where `id`='". $_GET['id'] ."'");

			    				foreach( $_POST['layers'] as $post ) :
			    					$fill_color = '';
			    					if( isset($post['fill_color']) ) :
			    						$fill_color = $post['fill_color'];
			    					endif;

		    						$design_layers_add = $conn->query( design_layers_insert( $post['name'], $post['id'], $post['code'], $_GET['id'], $layer_type, $fill_color, date("Y/m/d h:i:s A") ) );
								
				        			if($design_layers_add ) :
				        				echo '<div class="alert alert-success alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Success!</strong> Rocord successfully inserted.
							                </div>';
				        			else :
				        				echo '<div class="alert alert-danger alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
							                </div>';
				        			endif;
			    				endforeach;

			    				if( !$conn->error ) :
						        	header("refresh:1, url=designs.php");
                                    exit();
                                endif;
			    				
			        		endif;
			        	endif;
			        endif;

		    		?>
					<div class="card">
						<div class="card-body">
							<?php

							if( isset($_GET['id']) && !empty($_GET['id']) ) :
							?>
							<form class="form" action="" method="post">
							<?php
								//Check if layers already exists
								$design_layers_exists = $conn->query("SELECT * from `wd_design_layers` where `design_id`='". $_GET['id'] ."'");

								if( $design_layers_exists->num_rows > 0 ) :

									$design_layers = $design_layers_exists->fetch_all(MYSQLI_ASSOC);

									foreach( $design_layers as $key => $design_layer ) :
										if( $design_layer ) :
							?>
								<div class="row layer-box-row">
									<input type="hidden" name="layers[<?php echo $key; ?>][p_id]" value="<?php echo $design_layer['id']; ?>">
									<div class="col-md-3 form-group">
										<h4 class="card-title"><?php echo $design_layer['layer_id']; ?> </h4>
										<input type="hidden" name="layers[<?php echo $key; ?>][id]" value="<?php echo $design_layer['layer_id']; ?>">

										<input type="text" name="layers[<?php echo $key; ?>][name]" class="form-control" value="<?php echo $design_layer['layer_name']; ?>">
									</div>
									<div class="col-md-3 form-group">
										<div class="choose-color-style">

											<?php if( $design_layer['default_color'] ) : ?>
											<div class="choose-fill-color row">
												<h4 class="card-title col-12 mb-2">Default Color</h4>
												<div class="col-12 form-group d-flex flex-wrap">
													<input type="color" placeholder="Color Code" name="layers[<?php echo $key; ?>][fill_color]" class="w-100 form-control p-0 color_picker" required value="<?php echo $design_layer['default_color']; ?>">
												</div>
											</div>
											<?php endif; ?>
										</div>

									</div>
									<div class="col-md-3 form-group">
										<textarea rows="6" name="layers[<?php echo $key; ?>][code]" class="form-control"><?php echo $design_layer['layer_code']; ?></textarea>
									</div>
									<div class="col-md-3 form-group">
										<svg id="design" class="<?php echo $design_layer['layer_id']; ?>" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 2149.8 1256">
											<?php echo $design_layer['layer_code']; ?>
										</svg>
									</div>
								</div>
							<?php
										endif;
									endforeach;
								else :
									$design = $conn->query('SELECT `main_image` from `wd_designs` where `id`="'. $_GET['id'] .'"')->fetch_assoc();

									$svg_file = file_get_contents('assets/uploads/'.$design['main_image']);

									$doc = new DOMDocument();
									$doc->loadXML($svg_file);
									$svg = $doc->getElementsByTagName('g');

									$lg_stop_color = $doc->getElementsByTagName('stop');

									$linearGradient = $doc->getElementsByTagName('linearGradient');
									//var_dump($lg_stop_color->firstChild());

									//$array = array();

									//var_dump($lg_stop_color->length);
									if( $lg_stop_color->length ) : 
									?> 
									<input type="hidden" name="linear_gradient" value="Y">
									<?php 
									endif;

									foreach( $svg as $key => $searchNode ) :
										if( $searchNode->getAttribute('id') ) :

											$g_path = $searchNode->getElementsByTagName('path');
											$g_text = $searchNode->getElementsByTagName('text');
							?>
								<div class="row layer-box-row">
									<div class="col-md-3 form-group">
										<div>
											<h4 class="card-title"><?php echo $searchNode->getAttribute('id'); ?> </h4>
											<input type="hidden" name="layers[<?php echo $key; ?>][id]" value="<?php echo $searchNode->getAttribute('id'); ?>">
											
										</div>
										<div class="mt-2">
											<input type="text" name="layers[<?php echo $key; ?>][name]" class="form-control" value="">
										</div>

									</div>
									<div class="col-md-3 form-group">

										<div class="choose-color-style">
											<!--<?php
											if( $searchNode->getAttribute('id') == 'body' || $searchNode->getAttribute('id') == 'front' || $searchNode->getAttribute('id') == 'back' ) :
												//Color Style only for body
											?>
											<h4 class="card-title">Choose Color Style</h4>

											<?php if( $lg_stop_color ) : ?>
											<select class="form-select" multiple>
												<option value="fill">Fill</option>
												<option value="stop-color">Stop Color</option>
											</select>
											<?php endif; ?>

											<div class="choose-stop-color mt-2">
												<div class="row">
													<?php foreach ( $lg_stop_color as $key_count => $linearNode ) : ?>
													<div class="col-md-6 first_stop_color-box">
														<?php if( $key_count == 0 ) : ?>
														<div class="col-12 mb-2">Choose First Gradient Color</div>
														<div class="col-12 form-group d-flex flex-wrap">
															<input type="color" placeholder="Color Code" name="first_stop_color" class="w-100 form-control p-0 color_picker" value="<?php echo $linearNode->getAttribute('stop-color'); ?>">
														</div>
														<?php endif; ?>

														<?php if( $key_count == 1 ) : ?>
														<div class="col-12 mb-2">Choose Second Gradient Color</div>
														<div class="col-12 form-group d-flex flex-wrap">
															<input type="color" placeholder="Color Code" name="second_stop_color" class="w-100 form-control p-0 color_picker" value="<?php echo $linearNode->getAttribute('stop-color'); ?>">
														</div>
														<?php endif; ?>	
														
													</div>
													<?php endforeach; ?>
												</div>
											</div>
											<?php endif; ?>-->

											<?php if( $searchNode->getAttribute('id') == 'back' || $searchNode->getAttribute('id') == 'front' || $searchNode->getAttribute('id') == 'collar' || $searchNode->getAttribute('id') == 'name-number' ) : ?>
											<div class="choose-fill-color row">
												<h4 class="card-title col-12 mb-2">Default Color</h4>
												<div class="col-12 form-group d-flex flex-wrap">
													<input type="color" placeholder="Color Code" name="layers[<?php echo $key; ?>][fill_color]" class="w-100 form-control p-0 color_picker" required value="<?php if( $g_path->item(0) ) : echo $g_path->item(0)->getAttribute('fill'); endif; if( $g_text->item(0) ) : echo $g_text->item(0)->getAttribute('fill'); endif; ?>">
												</div>
											</div>
											<?php endif; ?>
										</div>
										
									</div>
									<div class="col-md-3 form-group">
										<textarea rows="6" name="layers[<?php echo $key; ?>][code]" class="form-control"><?php echo $searchNode->C14N(); ?></textarea>
									</div>
									<div class="col-md-3 form-group">
										<svg id="design" class="<?php echo $searchNode->getAttribute('id'); ?>" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 2149.8 1256">
											<?php
											/*if( $searchNode->getAttribute('id') == 'back' ) :
												if( $linearGradient ) : 
													foreach( $linearGradient as $key => $lg ) :
														echo $lg->C14N();
													endforeach;
												endif;
											endif;*/
											?>

											<?php echo $searchNode->C14N(); ?>
										</svg>
									</div>
								</div>
							<?php

										endif;
									endforeach;
								endif;
							?>
								<div class="form-group col-md-12">
									<button type="submit" class="btn btn-primary btn-xl btn-block" id="save-design-layers" name="save-design-layers">Save</button>
								</div>
							</form>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</main>
		</div>
	</div>



<?php include 'footer.php'; ?>

<script>

	$('.choose-fill-color input').on('change', function() {
		//$(this).closest('.choose-fill-color').find('input[type="checkbox"]').not(this).prop('checked', false);
		$(this).closest('.layer-box-row').find('svg').find('path, text').attr('fill', $(this).val());

		//$(this).closest('.layer-box-row').find('textarea').val();

		/*var textarea_code = textarea = $( $.parseHTML( $(this).closest('.layer-box-row').find('textarea').text() ) );

		textarea.find('path').attr('fill', $(this).val());

		

		$(this).closest('.layer-box-row').find('textarea').text($(textarea).html());*/
		//if( $(this).closest('.layer-box-row').find('textarea').val().contains('fill') )
	});

	$('.color_picker').each(function() {
		$(this).closest('.layer-box-row').find('svg').find('path, text').attr('fill', $(this).val());	
	});

	/*$('.choose-stop-color').hide();

	$('.choose-color-style select').on('change', function() {

		if( $(this).val() == 'fill' ) {
			$(this).siblings('.choose-fill-color').show();
			$(this).siblings('.choose-stop-color').hide();
		} else {
			
			$(this).siblings('.choose-stop-color').show();
			$(this).siblings('.choose-fill-color').hide();
		}
	});*/

	$('.choose-stop-color input[name="first_stop_color"]').on('change', function() {
		$(this).closest('.layer-box-row').find('stop:first-child').attr('stop-color', $(this).val());
		//$(this).closest('.first_stop_color-box').find('input[type="checkbox"]').not(this).prop('checked', false);
	})

	/*function getFormObj(formId) {
	    var formObj = {};
	    var inputs = $(formId).serializeArray();
	    $.each(inputs, function (i, input) {

	        formObj[input.name] = input.value;
	    });
	    return formObj;
	}

	$('#save-design-layers').on('click', function() {
		//var form_data = getFormObj($(this).closest('form'));

		from_data = $(this).closest('form').serializeArray();

		$.ajax({
	        url: 'assets/svg_layers.php',
	        type: 'post',
	        data: from_data,
	        success: function(response) {

	        	console.log(response);

	            $('.success').html(response);
	        }
	    });
	})*/
</script>