<?php  

    $page_title = 'Edit Design';

    include 'header.php'; 

    include 'functions.php'; 

    require 'paginator.class.php';

?>



    <div class="wrapper">

        <?php include 'sidebar.php'; ?>



        <div class="main">

            <?php include 'top-bar.php'; ?>



            <main class="content">

                <div class="container-fluid p-0">

                    <?php

                        if ( isset($_GET['design_id']) ) {

                            $design_id = $_GET['design_id'];

                            $design = $conn->query( design_by_id($design_id) )->fetch_assoc();

                        }

                        if( isset($_POST['design-update-submit']) ) {



                            $image = '';

                            if($_FILES['file']['name'] != '') {

                                $image = image_upload($_FILES['file']);

                            } else {

                                $image = $_POST['thumb'];

                            }

                            if( $image ) {

                                $product_ids_str = implode('|', $_POST['product_id']);

                                $design_update = $conn->query( design_update($design_id, $_POST['name'], $image, $product_ids_str, $_POST['price'], $_POST['description'], $_POST['pallete_id'], date("Y/m/d h:i:s A")) );

                                if( $design_update ) {

                                    foreach( $_POST['product_id'] as $product_id ) :

                                        $select_product = $conn->query( product_by_id($product_id) )->fetch_assoc();

                                        $design_id_arr = explode('|', $select_product['design_id']);

                                        if( !in_array($design_id, $design_id_arr) ) :

                                            $update_product_design_id = $conn->query("UPDATE `wd_products` SET `design_id`=CONCAT(design_id,'"."|".$design_id."') WHERE `id`='$product_id'");
                                        else : 
                                            $update_product_design_id = true;
                                        endif;

                                    endforeach;
                                    
                                    if($update_product_design_id) {
                                        echo '<div class="alert alert-success alert-dismissable fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                                <strong>Success!</strong> Rocord successfully Updated.
                                            </div>';

                                        header("refresh:1, url=designs.php");
                                        exit();

                                    } else {
                                        echo '<div class="alert alert-danger alert-dismissable fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                                <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
                                            </div>';
                                    }
                                } else {
                                    echo '<div class="alert alert-danger alert-dismissable fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                            <strong>Error!</strong> Design insertion not completed.'. $conn->error .'
                                        </div>';
                                }

                            } else {
                                echo '<div class="alert alert-danger alert-dismissable fade show">
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                    <strong>Error!</strong> Image Missing.
                                </div>';
                            }

                        }

                    ?>

            		<!-- Edit design -->

                    <div class="card col-lg-8 mx-auto">

                        <div class="card-body">

                            <div class="modal-header">

                                <h4 class="modal-title">Edit <?php echo $design['name']; ?></h4>

                                <a href="designs.php" class="close btn-close">&times;</a>

                            </div>

                            <form action="" method="post" enctype="multipart/form-data">

                				<div class="modal-body">

                                    <div class="row">

                                        <div class="col-md-12 form-group">
                                            <select class="form-select product_select_box" style="width: 100%; height: 50px;" name="product_id[]" required multiple>
                                                <option value="">Select Product</option>
                                                <?php 
                                                $products_uploaded = explode('|', $design['product_id']);

                                                $products = $conn->query(product_select()); 
                                                if( $products ) :
                                                    foreach ($products as $product) :
                                                ?>
                                                <option <?php if( in_array($product['id'], $products_uploaded) ) : echo 'selected="selected"'; endif; ?> value="<?php echo $product['id']; ?>"><?php echo $product['name']; ?></option>
                                                <?php endforeach; endif; ?>
                                            </select>
                                        </div>

                                        <div class="col-md-12 form-group">
                                            <input type="text" placeholder="Name" name="name" value="<?php echo $design['name']; ?>" class="form-control" required>
                                        </div>

                                        <div class="col-md-12 form-group">
                                            <div class="input-group">
                                                <span class="input-group-text">$</span>
                                                <input type="text" placeholder="Price" name="price" value="<?php echo $design['price']; ?>" class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-12 form-group">
                                            <textarea placeholder="Description" name="description" class="form-control" rows="4"><?php echo $design['description']; ?></textarea>
                                        </div>

                                        <div class="col-md-12 form-group">

                                            <select class="form-select pallete_select_box" style="width: 100%; height: 50px;" name="pallete_id" required multiple>
                                                <option value="">Select Color Pallette</option>
                                                <?php 
                                                $palletes = $conn->query(pallete_select()); 
                                                if( $palletes ) :
                                                    foreach ($palletes as $pallete) :
                                                ?>
                                                <option <?php if( $design['pallete_id'] == $pallete['id'] ) : echo 'selected="selected"'; endif; ?> value="<?php echo $pallete['id']; ?>"><?php echo $pallete['name']; ?></option>
                                                <?php endforeach; endif; ?>
                                            </select>
                                        </div>

                                        <div class="col-md-12">
                                            <h4 class="card-title text-center">SVG File</h4>
                                            <div class="profile-pic-box mb-3">
                                                <div class="profile-pic">
                                                    <label class="-label" for="file">
                                                        <span class="fas fa-camera"></span>
                                                        <span>Upload SVG</span>
                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
                                                    </label>
                                                    <input id="file" type="file" name="file" accept=".svg" onchange="loadFile(event)">
                                                    <img src="assets/uploads/<?php echo $design['main_image']; ?>" id="output" alt="">
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                </div>

                                <div class="modal-footer btn-group w-100">

                                    <input type="hidden" name="thumb" value="<?php echo $design['main_image']; ?>">

                                    <a href="designs.php" class="btn btn-secondary btn-xl">Cancel</a>

                                    <button type="submit" class="btn btn-primary btn-xl" name="design-update-submit">Update</button>

                                </div>

                            </form>

                        </div>

                    </div>



                </div>

            </main>

        </div>

    </div>



<?php require 'footer.php'; ?>



<script>

    var loadFile = function (event) {

      var image = document.getElementById("output");

      image.src = URL.createObjectURL(event.target.files[0]);

    };

    $(document).ready(function() {
        $('.product_select_box').select2({
            theme: 'classic',
            placeholder: 'Select Product(s)'
        });

        $('.pallete_select_box').select2({
            theme: 'classic',
            maximumSelectionLength: 1,
            placeholder: 'Select Pallete(s)',
        });
    });

</script>