<?php
	$page_title = 'Edit Product Options';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">

					<?php

			    	if( isset($_POST['product-options-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
			    		//inserting data into the database
			    		// foreach( $_POST['product_id'] as $pid ) {
				    		
				    	// 	//$deleteOptions = $conn->query(" DELETE from `wd_product_options` where `product_id`='".$pid."' ");

				    	// }

				    	$productIds = implode(',', $_POST['product_id']);

				    	foreach ($_POST['title'] as $key => $title) {

			    			$getInfoOpt = $conn->query(" SELECT * from `wd_product_options` where `id`='".$_POST['optId'][$key]."' ")->fetch_assoc();

			    			if( $getInfoOpt ) {
			    				$updateOptions = $conn->query(" UPDATE `wd_product_options` SET `product_id`='".$productIds."', `title`='".$title."', `description`='".$_POST['editordata'][$key]."' WHERE `id`='".$_POST['optId'][$key]."' ");
			    			} else {
			    				$insertOptions = $conn->query(" INSERT INTO `wd_product_options` (`product_id`, `title`, `description`) values ( '".$productIds."', '".$title."', '".$_POST['editordata'][$key]."' ) ");
			    			}
			    		}

			    		if( $insertOptions || $updateOptions ) {
			    			echo '<div class="alert alert-success alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Success!</strong> Record successfully inserted.
					                </div>';
					        header("Location: product-options.php"); exit();
			            } else {
			            	echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
					                </div>';
			            }
			    	}

				    ?>
				    <div class="card">
					    <form class="form" action="" method="post" enctype="multipart/form-data">
						  	<div class="modal-body">
								<div class="row">
									<div class="col-md-12 form-group">
										<select class="form-select product_select_box" style="width: 100%; height: 50px;" name="product_id[]" required multiple>
											<option value="">Select Product</option>
											<?php 
											$getProducts = explode(',', $_GET['product_id']);

											$products = $conn->query(product_select()); 
											if( $products ) :
												foreach ($products as $product) :
											?>
											<option <?php if( in_array( $product['id'], $getProducts ) ) echo 'selected'; ?> value="<?php echo $product['id']; ?>"><?php echo $product['name']; ?></option>
											<?php endforeach; endif; ?>
										</select>
									</div>
									<div class="product-options">
										<?php if( isset($_GET['product_id']) ) {
											$productOptions = $conn->query(" SELECT * from `wd_product_options` where `product_id`='".$_GET['product_id']."' ");

											foreach( $productOptions as $key => $productOpt ) {
										?>
												<div class="product-opt" data-xcount="<?php echo $key; ?>">
													<div class="col-12">
														<div class="row align-items-center">
															<div class="col-md-10 form-group">
																<input type="hidden" name="optId[<?php echo $key; ?>]" value="<?php echo $productOpt['id']; ?>">
																<input type="text" placeholder="Title" name="title[]" class="form-control" required value="<?php echo $productOpt['title']; ?>">
															</div>
															<div class="col-md-2 form-group text-center">
																<button type="button" class="product-opt-remove btn btn-danger" data-id="<?php echo $productOpt['id']; ?>" data-product_id="<?php echo $productOpt['product_id']; ?>"><i class="fas fa-trash"></i></button>
															</div>
														</div>
													</div>
													
													<div class="col-md-12 form-group">
														<textarea id="summernote<?php if( $key != 0 ) echo '-'.$key; ?>" name="editordata[]"><?php echo $productOpt['description']; ?></textarea>
													</div>
												</div>
												<script>
													var xcount = <?php echo $key; ?>;

													$(document).ready(function() {
														$('#summernote, #summernote-'+<?php echo $key; ?>).summernote({
													        placeholder: 'Description',
													        tabsize: 2,
													        height: 100
													  	});
													});
												</script>
										<?php
											}
										}
										?>
									</div>
									<div class="col-12 text-center">
										<button type="button" class="more-options-toggle btn btn-info">Add More</button>
									</div>
								</div>
						  	</div>
						  	<div class="modal-footer btn-group w-100">
							    <a href="product-options.php" class="btn btn-secondary btn-xl">Back</a>
							    <button type="submit" class="btn btn-primary btn-xl" name="product-options-add-submit">Update</button>
						  	</div>
					  	</form>
				    </div>

				</div>
			</main>
		</div>
	</div>

<?php include 'footer.php'; ?>
<script>
	$('.more-options-toggle').on('click', function() {
		++xcount;
		$('.product-options').append('<div class="product-opt" data-xcount="'+xcount+'">'
									+'<div class="col-12"><div class="row align-items-center"><div class="col-md-10 form-group">'
										+'<input type="text" placeholder="Title" name="title[]" class="form-control" required>'
									+'</div>'
									+'<div class="col-md-2 form-group text-center">'
										+'<button type="button" class="product-opt-remove btn btn-danger"><i class="fas fa-trash"></i></button>'
									+'</div></div></div>'
									+'<div class="col-md-12 form-group">'
										+'<textarea id="summernote-'+xcount+'" name="editordata[]"></textarea>'
									+'</div>'
								+'</div>');
		$('#summernote-'+xcount).summernote({
	        placeholder: 'Description',
	        tabsize: 2,
	        height: 100
	  	});
	});

	$('.product-options').on('click', '.product-opt-remove', function(){
		//$(this).closest('.product-opt').remove();
		var $thisElem = $(this);
		$.ajax({
		    type: 'post',
		    cache: false,
		    url: 'inc/deleteProductInfoOptions.php',
		    data: { id:$thisElem.data('id'), product_id:$thisElem.data('product_id') },
		    success: function(result){
		    	$thisElem.closest('.product-opt').remove();
		    }
	    });
	});

	$(document).ready(function() {
		$('.product_select_box').select2({
			theme: 'classic',
			placeholder: 'Select Product(s)'
		});
	});

</script>