<?php
	$page_title = 'Edit Product variations';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">

					<?php

			    	if( isset($_POST['product-variations-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
			    		//inserting data into the database
			    		foreach( $_POST['product_id'] as $pid ) {
					    		
					    	/*if( $_GET['product_id'] == $pid ) {
					    		foreach ($_POST['variations'] as $key => $variation) {

					    			$image = $thumb_image = '';
								  	if($_FILES['variations']['name'][$key] != '') {
										$thumb_image = image_upload_in_array($_FILES['variations']['name'][$key]['file_thumb'], $_FILES['variations']['size'][$key]['file_thumb'], $_FILES['variations']['tmp_name'][$key]['file_thumb']);
									} else {
										$thumb_image = $variation['thumb_image'];
									}
									if($_FILES['variations']['name'][$key] != '') {
										$image = image_upload_in_array($_FILES['variations']['name'][$key]['file'], $_FILES['variations']['size'][$key]['file'], $_FILES['variations']['tmp_name'][$key]['file']);
									} else {
										$image = $variation['main_image'];
									}
					    			
					    			$updateVariations = $conn->query(" UPDATE `wd_product_variations` SET `title`='".$variation['title']."', `description`='".$variation['editordata']."', `thumb_image`='".$thumb_image."', `main_image`='".$image."' where `product_id`='".$pid."' ");
					    		}
					    	} else {*/
					    		$deletevariations = $conn->query("DELETE from `wd_product_variations` where `product_id`='".$pid."' ");

					    		foreach ($_POST['variations'] as $key => $variation) {

					    			$image = $thumb_image = '';
								  	if($_FILES['variations']['name'][$key] != '') {
										$thumb_image = image_upload_in_array($_FILES['variations']['name'][$key]['file_thumb'], $_FILES['variations']['size'][$key]['file_thumb'], $_FILES['variations']['tmp_name'][$key]['file_thumb']);
									} else {
										$thumb_image = $variation['thumb_image'];
									}
									if($_FILES['variations']['name'][$key] != '') {
										$image = image_upload_in_array($_FILES['variations']['name'][$key]['file'], $_FILES['variations']['size'][$key]['file'], $_FILES['variations']['tmp_name'][$key]['file']);
									} else {
										$image = $variation['main_image'];
									}
					    			
					    			$insertVariations = $conn->query(" INSERT into `wd_product_variations` (`product_id`, `title`, `description`, `thumb_image`, `main_image`) values ('".$pid."', '".$variation['title']."', '".$variation['editordata']."', '".$thumb_image."', '".$image."') ");
					    		}
					    	//}
				    	}

			    		if( $insertVariations || $updateVariations ) {
			    			echo '<div class="alert alert-success alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Success!</strong> Record successfully inserted.
					                </div>';
					        header("Location: product-variations.php"); exit();
			            } else {
			            	echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
					                </div>';
			            }
			    	}

				    ?>
				    <div class="card">
					    <form class="form" action="" method="post" enctype="multipart/form-data">
						  	<div class="modal-body">
								<div class="row">
									<div class="col-md-12 form-group">
										<select class="form-select product_select_box" style="width: 100%; height: 50px;" name="product_id[]" required multiple>
											<option value="">Select Product</option>
											<?php 
											$products = $conn->query(product_select()); 
											if( $products ) :
												foreach ($products as $product) :
											?>
											<option <?php if( $product['id'] == $_GET['product_id'] ) echo 'selected'; ?> value="<?php echo $product['id']; ?>"><?php echo $product['name']; ?></option>
											<?php endforeach; endif; ?>
										</select>
									</div>
									<div class="product-variations">
										<?php if( isset($_GET['product_id']) ) {
											$productvariations = $conn->query(" SELECT * from `wd_product_variations` where `product_id`='".$_GET['product_id']."' ");

											foreach( $productvariations as $key => $productOpt ) {
										?>
												<div class="product-opt">
													<div class="col-12"><div class="row align-items-center"><div class="col-md-10 form-group">
														<input type="text" placeholder="Title" name="variations[<?php echo $key; ?>][title]" class="form-control" required value="<?php echo $productOpt['title']; ?>">
													</div>
													<div class="col-md-2 form-group text-center">
														<button type="button" class="product-opt-remove btn btn-danger"><i class="fas fa-trash"></i></button>
													</div></div></div>
													
													<div class="col-md-12 form-group">
														<textarea id="summernote<?php if( $key != 0 ) echo '-'.$key; ?>" name="variations[<?php echo $key; ?>][editordata]"><?php echo $productOpt['description']; ?></textarea>
													</div>
													<div class="row">
														<div class="col-md-6">
															<h4 class="card-title text-center">Thumb Image</h4>
															<div class="profile-pic-box mb-3">
																<div class="profile-pic">
																  	<label class="-label" for="file_thumb-<?php echo $key; ?>">
																	    <span class="fas fa-camera"></span>
																	    <span>Upload Image</span>
																	    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
																  	</label>
																  	<input id="file_thumb-<?php echo $key; ?>" type="file" name="variations[<?php echo $key; ?>][file_thumb]" accept="image/*">
																  	<img src="assets/uploads/<?php echo $productOpt['thumb_image']; ?>" id="outputThumb" alt="">
																  	<input type="hidden" name="variations[<?php echo $key; ?>][thumb_image]" value="<?php echo $productOpt['thumb_image']; ?>">
																</div>
															</div>
														</div>
														<div class="col-md-6">
															<h4 class="card-title text-center">Master SVG</h4>
															<div class="profile-pic-box mb-3">
																<div class="profile-pic">
																  	<label class="-label" for="file-<?php echo $key; ?>">
																	    <span class="fas fa-camera"></span>
																	    <span>Upload SVG</span>
																	    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
																  	</label>
																  	<input id="file-<?php echo $key; ?>" type="file" name="variations[<?php echo $key; ?>][file]" accept=".svg">
																  	<img src="assets/uploads/<?php echo $productOpt['main_image']; ?>" id="output" alt="">
																  	<input type="hidden" name="variations[<?php echo $key; ?>][main_image]" value="<?php echo $productOpt['main_image']; ?>">
																</div>
															</div>
														</div>
													</div>
												</div>
												<script>
													var xcount = <?php echo $key; ?>;

													$(document).ready(function() {
														$('#summernote, #summernote-'+<?php echo $key; ?>).summernote({
													        placeholder: 'Description',
													        tabsize: 2,
													        height: 100
													  	});
													});
												</script>
										<?php
											}
										}
										?>
									</div>
									<div class="col-12 text-center">
										<button type="button" class="more-variations-toggle btn btn-info">Add More</button>
									</div>
								</div>
						  	</div>
						  	<div class="modal-footer btn-group w-100">
							    <a href="product-variations.php" class="btn btn-secondary btn-xl">Back</a>
							    <button type="submit" class="btn btn-primary btn-xl" name="product-variations-add-submit">Update</button>
						  	</div>
					  	</form>
				    </div>

				</div>
			</main>
		</div>
	</div>

<?php include 'footer.php'; ?>
<script>
	$('.more-variations-toggle').on('click', function() {
		++xcount;
		$('.product-variations').append('<div class="product-opt">'
									+'<div class="col-12"><div class="row align-items-center"><div class="col-md-10 form-group">'
										+'<input type="text" placeholder="Title" name="variations['+xcount+'][title]" class="form-control" required>'
									+'</div>'
									+'<div class="col-md-2 form-group text-center">'
										+'<button type="button" class="product-opt-remove btn btn-danger"><i class="fas fa-trash"></i></button>'
									+'</div></div></div>'
									+'<div class="col-md-12 form-group">'
										+'<textarea id="summernote-'+xcount+'" name="variations['+xcount+'][editordata]"></textarea>'
									+'</div>'
									+'<div class="row">'
										+'<div class="col-md-6">'
											+'<h4 class="card-title text-center">Thumb Image</h4>'
											+'<div class="profile-pic-box mb-3">'
												+'<div class="profile-pic">'
												  	+'<label class="-label" for="file_thumb-'+xcount+'">'
													    +'<span class="fas fa-camera"></span>'
													    +'<span>Upload Image</span>'
													    +'<p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>'
												  	+'</label>'
												  	+'<input id="file_thumb-'+xcount+'" type="file" name="variations['+xcount+'][file_thumb]" accept="image/*">'
												  	+'<img src="img/placeholder.png" alt="">'
												+'</div>'
											+'</div>'
										+'</div>'
										+'<div class="col-md-6">'
											+'<h4 class="card-title text-center">Master SVG</h4>'
											+'<div class="profile-pic-box mb-3">'
												+'<div class="profile-pic">'
												  	+'<label class="-label" for="file-'+xcount+'">'
													    +'<span class="fas fa-camera"></span>'
													    +'<span>Upload SVG</span>'
													    +'<p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>'
												  	+'</label>'
												  	+'<input id="file-'+xcount+'" type="file" name="variations['+xcount+'][file]" accept=".svg">'
												  	+'<img src="img/placeholder.png" alt="">'
												+'</div>'
											+'</div>'
										+'</div>'
									+'</div>'
								+'</div>');
		$('#summernote-'+xcount).summernote({
	        placeholder: 'Description',
	        tabsize: 2,
	        height: 100
	  	});
	});

	$('.product-variations').on('change', '.profile-pic input', function(event){
	  	$(this).siblings('img').attr('src', URL.createObjectURL(event.target.files[0]));
	});

	$('.product-variations').on('click', '.product-opt-remove', function(){
		$(this).closest('.product-opt').remove();
	});

	$(document).ready(function() {
		$('.product_select_box').select2({
			theme: 'classic',
			placeholder: 'Select Product(s)'
		});
	});

</script>