<?php 

    $page_title = 'Edit Product';

    include 'header.php'; 

    include 'functions.php'; 

    require 'paginator.class.php';

?>



    <div class="wrapper">

        <?php include 'sidebar.php'; ?>



        <div class="main">

            <?php include 'top-bar.php'; ?>



            <main class="content">

                <div class="container-fluid p-0">

                    <?php

                        if ( isset($_GET['product_id']) ) {

                            $product_id = $_GET['product_id'];

                            $product = $conn->query( product_by_id($product_id) )->fetch_assoc();

                            $category_ids = explode('|', $product['category_id']);
                            $product_categories = array();

                            foreach( $category_ids as $key => $cat_id ) :
                                $cats = $conn->query( category_by_id($cat_id) )->fetch_assoc();
                                array_push($product_categories, $cats);

                            endforeach;

                            //$current_cat = $conn->query( category_by_id($product['category_id']) )->fetch_assoc();

                        }

                        if( isset($_POST['product-update-submit']) ) {

                        	//for thumb image
                            $thumb_image = '';
                            $masterDesginChange = false;
                            if($_FILES['file_thumb']['name'] != '') {
                                $thumb_image = image_upload($_FILES['file_thumb']);
                            } else {
                                $thumb_image = $_POST['thumb_image'];
                            }
                            //for main image
                            $main_image = '';
                            if($_FILES['file']['name'] != '') {
                                $main_image = image_upload($_FILES['file']);
                                $masterDesginChange = true;
                            } else {
                                $main_image = $_POST['main_image'];
                            }

                            if( $main_image && $thumb_image) {

                                $emb_pallete_id = '';
                                if( isset($_POST['emb_pallete_id']) ) 
                                    $emb_pallete_id = $_POST['emb_pallete_id'];

                                $post_cat_ids = implode('|', $_POST['cat_segment']) ;
                            	//$id, $name, $thumb_image, $main_image, $category_id, $price, $description,$updated_at
                                $product_update = $conn->query( product_update($product_id, $_POST['name'], $thumb_image, $main_image, $post_cat_ids, $_POST['price'], $_POST['description'], $_POST['pallete_id'], $emb_pallete_id, date("Y/m/d h:i:s A")) );

                                if( $masterDesginChange ) : 

                                    $product_select = $conn->query( product_by_id($product_id) )->fetch_assoc();

                                    $design_update_id = explode('|', $product_select['design_id']);

                                    $design_update = $conn->query( design_insert( $_POST['name'], $main_image, $product_id, $_POST['price'], $_POST['description'], $_POST['pallete_id'], date("Y/m/d h:i:s A") ) );

                                    $design_insert_id = $conn->insert_id;

                                    $design_update_id[0] = $design_insert_id;

                                    $design_update_id = implode('|', $design_update_id);

                                    $product_designID_update = $conn->query( "UPDATE `wd_products` SET `design_id`='". $design_update_id ."', `pallete_id`='". $_POST['pallete_id'] ."', attribute_id='".implode('|', $_POST['attribute_id'])."' WHERE `id`='". $product_id ."'" );

                                    //$design_update = $conn->query( "UPDATE `wd_designs` SET `name`='". $_POST['name'] ."', `main_image`='". $main_image ."', `updated_at`='". date("Y/m/d h:i:s A") ."' WHERE `id`='". $design_update_id[0] ."'" );

                                    if( $design_update ) :
                                        echo '<div class="alert alert-success alert-dismissable fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                                <strong>Success!</strong> Rocord successfully Updated.
                                            </div>';
                                        header("refresh:1, url=master-design-layers.php?id=". $design_insert_id ."&lt=Master");
                                        exit();
                                    endif;

                                endif;

                                if ( $product_update ) {

                                    echo '<div class="alert alert-success alert-dismissable fade show">

                                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

                                            <strong>Success!</strong> Rocord successfully Updated.

                                        </div>';



                                    header("refresh:1, url=products.php");

                                    exit();

                                } else {

                                    echo '<div class="alert alert-danger alert-dismissable">

                                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>

                                            <strong>Error!</strong> '. $conn->error .'

                                        </div>';

                                }

                            }

                        }

                    ?>

            		<!-- Edit category -->

                    <div class="card col-lg-8 mx-auto">

                        <div class="card-body">

                            <div class="modal-header">

                                <h4 class="modal-title">Edit <?php echo $product['name']; ?></h4>

                                <button type="button" onclick="history.back();" class="close btn-close">&times;</button>

                            </div>

                            <form action="" method="post" enctype="multipart/form-data">

                				<div class="modal-body">

                                    <div class="row">

                                        <div class="col-md-12 form-group">

                                            <input type="text" placeholder="Name" name="name" value="<?php echo $product['name']; ?>" class="form-control" required>

                                        </div>

                                        <div class="col-md-12 form-group">

											<div class="input-group">

												<span class="input-group-text">$</span>

												<input type="text" placeholder="Price" name="price" value="<?php echo $product['price']; ?>" class="form-control" required>

											</div>

										</div>

                                        <div class="col-md-12 form-group">

                                            <select class="form-select pallete_select_box" style="width: 100%; height: 50px;" name="pallete_id" required multiple>
                                                <option value="">Select Color Pallette</option>
                                                <?php 
                                                $palletes = $conn->query(pallete_select()); 
                                                if( $palletes ) :
                                                    foreach ($palletes as $pallete) :
                                                ?>
                                                <option <?php if( $product['pallete_id'] == $pallete['id'] ) : echo 'selected="selected"'; endif; ?> value="<?php echo $pallete['id']; ?>"><?php echo $pallete['name']; ?></option>
                                                <?php endforeach; endif; ?>
                                            </select>
                                        </div>

                                        <div class="col-md-12 form-group">

                                            <select class="form-select emb_pallete_select_box" style="width: 100%; height: 50px;" name="emb_pallete_id" multiple>
                                                <option value="">Select Embellishment Pallette</option>
                                                <?php 
                                                $embpalletes = $conn->query(embellishment_pallete_select()); 
                                                if( $embpalletes ) :
                                                    foreach ($embpalletes as $embpallete) :
                                                ?>
                                                <option <?php if( $product['emb_pallete_id'] == $embpallete['id'] ) : echo 'selected="selected"'; endif; ?> value="<?php echo $embpallete['id']; ?>"><?php echo $embpallete['name']; ?></option>
                                                <?php endforeach; endif; ?>
                                            </select>
                                        </div>

                                        <div class="col-md-12 form-group">

                                            <select class="form-select attribute_select_box" style="width: 100%; height: 50px;" name="attribute_id[]" multiple>
                                                <option value="">Select Attributes</option>
                                                <?php 
                                                $attributes = $conn->query(product_attributes_select()); 
                                                if( $attributes ) :
                                                    foreach ($attributes as $attribute) :
                                                ?>
                                                <option <?php if( $product['attribute_id'] == $attribute['id'] ) : echo 'selected="selected"'; endif; ?> value="<?php echo $attribute['id']; ?>"><?php echo $attribute['name']; ?></option>
                                                <?php endforeach; endif; ?>
                                            </select>
                                        </div>

                                        <div class="col-md-12 form-group">

                                            <div class="category_check_box form-control">
                                                <div class="cat_segment">
                                                    <label class="form-check">
                                                        <input type="checkbox" name="cat_segment[]" class="form-check-input" value="0"> 
                                                        Parent Category
                                                    </label>
                                                </div>
                                                <?php 
                                                $categories = $conn->query( category_select_parent() );
                                                if( $categories->num_rows > 0 ) :
                                                    foreach ($categories as $key => $category) :
                                                ?>
                                                <div class="cat_segment">
                                                    <label class="form-check">
                                                        <input type="checkbox" name="cat_segment[]" class="form-check-input" value="<?php echo $category['id']; ?>" <?php foreach( $product_categories as $product_cat ) : if( $category['id'] == $product_cat['id'] ) : echo 'checked'; endif; endforeach; ?>> 
                                                        <?php echo $category['name']; ?>
                                                    </label>
                                                
                                                    <div class="ms-2 catSub_all">
                                                        <?php getChildCats('product-check', $category['id']); ?> 
                                                    </div>
                                                </div>
                                                <?php endforeach; endif; ?>
                                            </div>

                                            <!--<select class="form-select" name="category_id" required>

                                                <option value="0">Parent Category</option>

                                                <?php 

													$categories = $conn->query("SELECT * from wd_categories where parent_id=0"); 

													if( $categories ) :

														foreach ($categories as $category) :
															if($category==$current_cat):
												?>
													<option value="<?php echo $category['id']; ?>" selected><?php echo $category['name']; ?></option>
												<?php  else: ?>	
													<option value="<?php echo $category['id']; ?>"><?php echo $category['name']; ?></option>
                                                <?php endif; endforeach; endif; ?>

                                            </select>-->

                                        </div>
                                        <div class="col-md-12 form-group">

                                            <textarea placeholder="Description" name="description" class="form-control" rows="4"><?php echo $product['description']; ?></textarea>

                                        </div>

                                        <div class="col-md-6">

											<h4 class="card-title text-center">Thumb Image</h4>

											<div class="profile-pic-box mb-3">

												<div class="profile-pic">

												  	<label class="-label" for="file_thumb">

													    <span class="fas fa-camera"></span>

													    <span>Upload Image</span>

													    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

												  	</label>

												  	<input id="file_thumb" type="file" name="file_thumb" accept="image/*" onchange="loadFileThumb(event)">

												  	<img src="assets/uploads/<?php echo $product['thumb_image']; ?>" id="outputThumb" alt="">

												</div>

											</div>

										</div>

										<div class="col-md-6">

											<h4 class="card-title text-center">Master SVG</h4>

											<div class="profile-pic-box mb-3">

												<div class="profile-pic">

												  	<label class="-label" for="file">

													    <span class="fas fa-camera"></span>

													    <span>Upload SVG</span>

													    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

												  	</label>

												  	<input id="file" type="file" name="file" accept=".svg" onchange="loadFile(event)">

												  	<img src="assets/uploads/<?php echo $product['main_image']; ?>" id="output" alt="">

												</div>

											</div>

										</div>

                                    </div>

                                </div>

                                <div class="modal-footer btn-group w-100">

                                    <input type="hidden" name="thumb_image" value="<?php echo $product['thumb_image']; ?>">
                                    <input type="hidden" name="main_image" value="<?php echo $product['main_image']; ?>">

                                    <button type="button" onclick="history.back();" class="btn btn-secondary btn-xl">Cancel</button>

                                    <button type="submit" class="btn btn-primary btn-xl" name="product-update-submit">Update</button>

                                </div>

                            </form>

                        </div>

                    </div>



                </div>

            </main>

        </div>

    </div>



<?php require 'footer.php'; ?>



<script>

	var loadFileThumb = function (event) {

	  var image = document.getElementById("outputThumb");

	  image.src = URL.createObjectURL(event.target.files[0]);

	};

	var loadFile = function (event) {

	  var image = document.getElementById("output");

	  image.src = URL.createObjectURL(event.target.files[0]);

	};

	/*$('.opt-select-dpd ul button').on('click', function() {

		$(this).closest('.opt-select-dpd').siblings('#category_id').val($(this).attr('value'));

		$(this).closest('.opt-select-dpd').children('.form-select').text($(this).text());

	});*/

    $(document).ready(function() {
        $('.pallete_select_box').select2({
            theme: 'classic',
            maximumSelectionLength: 1,
            placeholder: 'Select Color Pallete(s)',
        });

        $('.emb_pallete_select_box').select2({
            theme: 'classic',
            maximumSelectionLength: 1,
            placeholder: 'Select Embellishment Pallete(s)',
        });
        $('.attribute_select_box').select2({
            theme: 'classic',
            placeholder: 'Select Attribute(s)'
        });
    });

</script>