<?php

	$page_title = 'Embellishments';

	include 'header.php'; 

	include 'functions.php'; 

	require 'paginator.class.php';

?>



	<div class="wrapper">

		<?php include 'sidebar.php'; ?>



		<div class="main">

			<?php include 'top-bar.php'; ?>



			<main class="content">

				<div class="container-fluid p-0">

					<div class="d-flex justify-content-between mb-3 align-items-center">

						<h4 class="card-title mb-0">Embellishments</h4>

						

			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewembellishmentsModal">

							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>

						</button>

						

					</div>

					<div class="row">

						<div class="col-md-4 mb-3">	

							<div class="table-search-phone">

								<form method="post">

					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">

					                <input type="submit" class="d-none" value="Submit" name="name_submit">

					            </form>

				            </div>

						</div>
						<div class="col-md-4 mb-3">	

							<div class="table-search-phone">

								<form method="get" action="embellishments.php" class="embellishment_dropdown">
									<select class="form-select" style="width: 100%; height: 50px;" name="emb_pallete_id">
										<option value="">Select Embellishment Pallette</option>
										<?php 
										$embpalletes = $conn->query(embellishment_pallete_select()); 
										if( $embpalletes ) :
											foreach ($embpalletes as $embpallete) :
										?>
										<option value="<?php echo $embpallete['id']; ?>"><?php echo $embpallete['name']; ?></option>
										<?php endforeach; endif; ?>
									</select>

					            </form>

				            </div>

						</div>

						
						<div class="col-md-4 mb-3"><a href="embellishments.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>

					</div>

					<?php



			    	if( isset($_POST['embellishment-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {

			    		//inserting data into the database

			    		if( !empty($_POST['name']) ) {



			    			/*$embellishment = $conn->query("select * from `wd_embellishments` where `name`='". $_POST['name'] ."'");

			    			

			    			if($embellishment->num_rows > 0 ) {

			    				echo '<div class="alert alert-warning alert-dismissable fade show">

					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

					                    <strong>Error!</strong> Embellishment already exists.

					                </div>';

			    			} else {*/



			    				$image = $thumb_image = '';

							  	if($_FILES['file_thumb']['name'] != '') {

									$thumb_image = image_upload($_FILES['file_thumb']);

								}

								if($_FILES['file']['name'] != '') {

									$image = image_upload($_FILES['file']);

								}

								if( $thumb_image && $image ) {

									$emb_pallete_id = '';
									if( isset($_POST['emb_pallete_id']) ) 
										$emb_pallete_id = $_POST['emb_pallete_id'];

				            		$embellishment_add = $conn->query( embellishment_insert($_POST['name'], $thumb_image, $image, $emb_pallete_id, date("Y/m/d h:i:s A")) );

				            		$last_emb_id = $conn->insert_id;

				            		$emb_pallete_add = $conn->query("UPDATE `wd_embellishments_palletes` SET `emb_ids`=CONCAT(emb_ids,'"."|".$last_emb_id."') WHERE `id`='$emb_pallete_id'");

				        			if( $embellishment_add && $emb_pallete_add ) {

				        				echo '<div class="alert alert-success alert-dismissable fade show">

						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

							                    <strong>Success!</strong> Rocord successfully inserted.

							                </div>';

				        			} else {

				        				echo '<div class="alert alert-danger alert-dismissable fade show">

						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

							                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'

							                </div>';

				        			}

				        		}

			        		//}

			    		} else {

			    			echo '<div class="alert alert-danger alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Error!</strong> Invalid Input.

				                </div>';

			    		}

			    	}



			    	if( isset($_POST['btn-delete']) ) {

			    		$delete_embellishment =  $conn->query( embellishment_delete($_POST['embellishment-id']) );



			    		if( $delete_embellishment ) {

			    			echo '<div class="alert alert-info alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Record successfully deleted!</strong>.

				                </div>';

			    		}

			    	}



					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;

				    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;

				    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 4;



				    if( isset($_POST['name_submit']) ) :

				    	$query = embellishment_search_name($_POST['s_name']);

				    elseif( isset($_GET['emb_pallete_id']) ) :

				    	$query = embellishment_by_pallete_id($_GET['emb_pallete_id']);

				   	else :

				   		$query = embellishment_select_parent_by_rank();

				    endif;



				    $paginator = new Pagination( $conn, $query );



				    $results = $paginator->getData( $limit, $page );



				    if($results->data) :

				    ?>

				    <div class="card">

					    <div class="table-responsive">

							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">

								<thead>

									<tr>
										<th>Pallete Name</th>
										<th>Name</th>

										<th>Thumb</th>
										<th>SVG</th>

										<th>Visibility</th>

										<?php if($_SESSION['userRole'] == 'admin') { ?>

						            	<th><i class="fas fa-cog"></i></th>

						            	<?php } ?>

									</tr>

								</thead>

						        <tbody id="post_list"  data-table_name="wd_embellishments">

						        	<?php foreach ($results->data as $key => $result) { ?>

						        	<tr data-post_id="<?php echo $result['id']; ?>">
						        		<td>
						        			<?php
						        			$embpallete_row = $conn->query('SELECT * from `wd_embellishments_palletes` where `id`="'. $result['emb_pallete_id'] .'"')->fetch_assoc();
						        			echo '<a href="embellishments.php?emb_pallete_id='.$embpallete_row['id'].'">'.$embpallete_row['name'].'</a>';
						        			?>
						        		</td>
						            	<td><?php echo $result['name']; ?></td>

						        		<td>

						        			<?php if( $result['thumb'] ) { ?>

					        				<img src="assets/uploads/<?php echo $result['thumb']; ?>" width="100">

						        			<?php } ?>

						        		</td>

						        		<td>

						        			<?php if( $result['main_image'] ) { ?>

					        				<img src="assets/uploads/<?php echo $result['main_image']; ?>" width="100">

						        			<?php } ?>

						        		</td>

						        		<td>

						        			<?php //echo $result['visible']; ?>

						        			<div class="form-check form-switch d-flex px-0" id="visible_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['visible'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="visible" data-table_name="wd_embellishments">

											  	<label class="form-check-label" for="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>



						        		</td>

						        		<?php if($_SESSION['userRole'] == 'admin') { ?>

						        		<td align="center" class="text-center">

						        			<div class="d-flex justify-content-center align-items-center">

							              		<a href="edit.embellishment.php?embellishment_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary"> 

							              			<i class="fas fa-edit"></i>

							              		</a>

							                  	<form method="post" class="form">

							                      	<input type="hidden" name="embellishment-id" value="<?php echo $result['id']; ?>">

							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-danger" name="btn-delete">

							                      		<i class="fas fa-trash-alt"></i>

							                      	</button>

							                    </form>

							                </div>

						                </td>

						            	<?php } ?>

						        	</tr>

						        	<?php } ?>

						        </tbody>

						    </table>

						</div>

				    </div>

				    <div class="panel-footer">

				        <div class="row">

				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)

				          	</div>

				          	<div class="col-12 mt-5 text-center">

				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>

				          	</div>

				        </div>

				  	</div>

				  	<?php else : ?>

				    <div class="alert alert-info text-center">No result(s) found.</div>

				    <?php endif; ?>	



				</div>

			</main>

		</div>

	</div>



	<div class="modal fade" id="addNewembellishmentsModal" tabindex="-1" aria-labelledby="addNewembellishmentsLabel" aria-hidden="true">

		<div class="modal-dialog ">

			<div class="modal-content">

				<form class="form" action="" method="post" enctype="multipart/form-data">

				  	<div class="modal-header">

				    	<h5 class="modal-title" id="addNewembellishmentsLabel">Add New Embellishment</h5>

				    	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>

				  	</div>

				  	<div class="modal-body">

						<div class="row">

							<div class="col-md-12 form-group">

								<input type="text" placeholder="Name" name="name" class="form-control" required>

							</div>

							<div class="col-md-12 form-group">

								<select class="form-select emb_pallete_select_box" style="width: 100%; height: 50px;" name="emb_pallete_id" multiple>
									<option value="">Select Embellishment Pallette</option>
									<?php 
									$embpalletes = $conn->query(embellishment_pallete_select()); 
									if( $embpalletes ) :
										foreach ($embpalletes as $embpallete) :
									?>
									<option <?php if(isset($_GET['emb_pallete_id'])) { if( $_GET['emb_pallete_id'] == $embpallete['id'] ) echo 'selected="selected"'; } ?> value="<?php echo $embpallete['id']; ?>"><?php echo $embpallete['name']; ?></option>
									<?php endforeach; endif; ?>
								</select>
							</div>

							<div class="col-md-6">

								<h4 class="card-title text-center">Thumb Image</h4>

								<div class="profile-pic-box mb-3">

									<div class="profile-pic">

									  	<label class="-label" for="file_thumb">

										    <span class="fas fa-camera"></span>

										    <span>Upload Image</span>

										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

									  	</label>

									  	<input id="file_thumb" type="file" name="file_thumb" accept="image/*" onchange="loadFileThumb(event)">

									  	<img src="img/placeholder.png" id="outputThumb" alt="">

									</div>

								</div>

							</div>

							<div class="col-md-6">

								<h4 class="card-title text-center">Master SVG</h4>

								<div class="profile-pic-box mb-3">

									<div class="profile-pic">

									  	<label class="-label" for="file">

										    <span class="fas fa-camera"></span>

										    <span>Upload SVG</span>

										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

									  	</label>

									  	<input id="file" type="file" name="file" accept=".svg" onchange="loadFile(event)">

									  	<img src="img/placeholder.png" id="output" alt="">

									</div>

								</div>

							</div>

						</div>

				  	</div>

				  	<div class="modal-footer btn-group w-100">

					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>

					    <button type="submit" class="btn btn-primary btn-xl" name="embellishment-add-submit">Add</button>

				  	</div>

			  	</form>

			</div>

		</div>

	</div>



<?php include 'footer.php'; ?>

<script>
	var loadFileThumb = function (event) {

	  var image = document.getElementById("outputThumb");

	  image.src = URL.createObjectURL(event.target.files[0]);

	};

	var loadFile = function (event) {

	  var image = document.getElementById("output");

	  image.src = URL.createObjectURL(event.target.files[0]);

	};

	$(document).ready(function() {
		$('.emb_pallete_select_box').select2({
			theme: 'classic',
			maximumSelectionLength: 1,
			placeholder: 'Select Embellishment Pallete(s)',
			dropdownParent: $('#addNewembellishmentsModal')
		});

		$('.embellishment_dropdown select').on('change', function() {
			$(this).closest('form.embellishment_dropdown').submit();
		})
	});
</script>