<?php require '../config.php';

$product_id = isset($_POST["product_id"]) ? $_POST["product_id"] : [];
$design_id = isset($_POST["design_id"]) ? $_POST["design_id"] : [];
$pallete_id = isset($_POST["pallete_id"]) ? $_POST["pallete_id"] : [];

$query = "SELECT * from `wd_design_layers` where `design_id`='". $design_id ."'";

$design_layers = mysqli_query($conn, $query);

if( $design_layers->num_rows > 0 ) :
	
	foreach( $design_layers as $key => $design_layer ) {
        if( $design_layer['layer_name'] ) :
 		?>

		<div id="kit-designer-colour-picker-colour-<?php echo $key; ?>" data-layer_id="<?php echo $design_layer['layer_id']; ?>" class="kit-designer-colour-picker kdd-cpbox <?php if( $key==0 ) echo'active'; ?>">
            <h4><span class="layerActiveColorBox"><span></span> <?php echo $design_layer['layer_name']; ?></span> <span class="fas fa-chevron-right" aria-hidden="true"></span></h4>

            <?php if( $design_layer['gradient'] ) : ?>
            <div class="colorbtns text-center">
                <button type="button" class="btn btn-secondary btn-basecolor active">Base Colour</button>
                <button type="button" class="btn btn-secondary btn-gradient">Gradient</button>
            </div>

            <section class="kit-designer-graddesign-layers gradient-list" style="display:none">
                <div id="kit-designer-colour-picker-colour-gradient" data-layer_id="linear-gradient" class="kit-designer-gradcolour-picker px-0 pb-0 border-0 mb-0">
                    <h4 class="pb-0">Colour 1</h4>
                    
                    <ul class="kit-designer-colour-list kit-designer-gradcolor-selector editable-kit-colour-gradient">
                        <?php
                        
                            $pallete = $conn->query( "SELECT * from `wd_color_palettes` where `id`='". $pallete_id ."'" )->fetch_assoc();

                            $colors = explode('|', $pallete['colors']);
                            
                            foreach( $colors as $color ) :

                        ?>
                        <li><a data-layer_id="linear-gradient" data-body-layer_id="<?php echo $design_layer['layer_id']; ?>" data-stopoffset="1" class="" data-color="<?php echo $color; ?>" style="background-color: <?php echo $color; ?>;"></a></li>
                        <?php endforeach; ?>
                    </ul>

                    <?php
                    if( $design_layer['pantone'] == 'Y' ) {
                    ?>
                    <div class="pantone-colorBox pantoneGrad-colorBox justify-content-center align-items-center mb-0" data-stopoffset="1" data-lgradID="linear-gradient" data-layer_id="<?php echo $design_layer['layer_id']; ?>">
                        <label class="small me-2 w-50">International Pantone Colour</label>
                        <select id="pantoneColors1<?php echo $design_layer['layer_id']; ?>" data-layer_id="<?php echo $design_layer['layer_id']; ?>" multiple class="pantoneSearchBox form-control small w-50">
                            <?php
                            $pantoneColors = $conn->query( 'SELECT * from `wd_pantone_colors` where `visible`="Y"' );
                            if( $pantoneColors->num_rows > 0 ) {
                                foreach( $pantoneColors as $pantoneKey => $pantoneColor ) {
                                    echo '<option value="'.$pantoneColor['code'].'">'.$pantoneColor['name'].'</option>';
                                }
                            }
                            ?>
                        </select>
                        <script>
                            $("#pantoneColors1<?php echo $design_layer['layer_id']; ?>").select2({
                              placeholder: "Search...",
                              theme: "classic",
                              maximumSelectionLength: 1,
                              tags: true,
                            });
                        </script>
                    </div>

                    <?php } ?>
                </div>

                <div id="kit-designer-colour-picker-colour-gradient" data-layer_id="linear-gradient" class="kit-designer-gradcolour-picker px-0 pb-0 border-0 mb-0">
                    <h4 class="pb-0">Colour 2</h4>
                    
                    <ul class="kit-designer-colour-list kit-designer-gradcolor-selector editable-kit-colour-gradient">
                        <?php
                        
                            $pallete = $conn->query( "SELECT * from `wd_color_palettes` where `id`='". $pallete_id ."'" )->fetch_assoc();

                            $colors = explode('|', $pallete['colors']);
                            
                            foreach( $colors as $color ) :

                        ?>
                        <li><a data-layer_id="linear-gradient" data-body-layer_id="<?php echo $design_layer['layer_id']; ?>" data-stopoffset="0" class="" data-color="<?php echo $color; ?>" style="background-color: <?php echo $color; ?>;"></a></li>
                        <?php endforeach; ?>
                    </ul>

                    <?php
                    if( $design_layer['pantone'] == 'Y' ) {
                    ?>
                    <div class="pantone-colorBox pantoneGrad-colorBox justify-content-center align-items-center mb-3" data-stopoffset="0" data-lgradID="linear-gradient" data-layer_id="<?php echo $design_layer['layer_id']; ?>">
                        <label class="small me-2 w-50">International Pantone Colour</label>
                        <select id="pantoneColors0<?php echo $design_layer['layer_id']; ?>" data-layer_id="<?php echo $design_layer['layer_id']; ?>" multiple class="pantoneSearchBox form-control small w-50">
                            <?php
                            $pantoneColors = $conn->query( 'SELECT * from `wd_pantone_colors` where `visible`="Y"' );
                            if( $pantoneColors->num_rows > 0 ) {
                                foreach( $pantoneColors as $pantoneKey => $pantoneColor ) {
                                    echo '<option value="'.$pantoneColor['code'].'">'.$pantoneColor['name'].'</option>';
                                }
                            }
                            ?>
                        </select>
                        <script>
                            $("#pantoneColors0<?php echo $design_layer['layer_id']; ?>").select2({
                              placeholder: "Search...",
                              theme: "classic",
                              maximumSelectionLength: 1,
                              tags: true,
                            });
                        </script>
                    </div>

                    <?php } ?>
                </div>
            </section>

            <?php 
            endif;

            if( $design_layer['default_color'] ) :

            ?>
            <ul class="kit-designer-colour-list kit-designer-color-selector editable-kit-colour-<?php echo $key; ?> basecolor-list">
            	<?php
                    //var_dump($design_layer['pallete_id']);
                    if( $design_layer['pallete_id'] ) {
                        $customPalleteID = $design_layer['pallete_id'];
                    } else { 
                        $customPalleteID = $pallete_id;
                    }
	            	
                    $pallete = $conn->query( "SELECT * from `wd_color_palettes` where `id`='$customPalleteID'" )->fetch_assoc();

	            	$colors = explode('|', $pallete['colors']);
	            	
	            	foreach( $colors as $color ) :

            	?>
                <li><a data-layer_id="<?php echo $design_layer['layer_id']; ?>" class="<?php if($design_layer['default_color'] == $color) echo 'active'; ?>" data-color="<?php echo $color; ?>" style="background-color: <?php echo $color; ?>;"></a></li>
                <?php endforeach; ?>
            </ul>
                <?php
        	endif; ?>

            <?php
            //$product = $conn->query("SELECT `pantone` from `wd_products` where `id`='".$product_id."'")->fetch_assoc();

            if( $design_layer['pantone'] == 'Y' ) {
            ?>

            <div class="pantone-colorBox justify-content-center align-items-center mb-3" data-layer_id="<?php echo $design_layer['layer_id']; ?>">
                <label class="small me-2 w-50">International Pantone Colour</label>
                <select id="pantoneColors<?php echo $design_layer['layer_id']; ?>" data-layer_id="<?php echo $design_layer['layer_id']; ?>" multiple class="pantoneSearchBox form-control small w-50">
                    <?php
                    $pantoneColors = $conn->query( 'SELECT * from `wd_pantone_colors` where `visible`="Y"' );
                    if( $pantoneColors->num_rows > 0 ) {
                        foreach( $pantoneColors as $pantoneKey => $pantoneColor ) {
                            echo '<option value="'.$pantoneColor['code'].'">'.$pantoneColor['name'].'</option>';
                        }
                    }
                    ?>
                </select>
                <script>
                    function formatColor<?php echo $design_layer['layer_id']; ?> (color) {
                      if (!color.id) {
                        return color.text;
                      }

                      //console.log(color);

                      // var $color = $(
                      //   '<span class="d-flex align-items-center justify-content-between"><img class="pantoneColorBg" style="background-color:'+ color.element.value + '; width: 20px; height: 20px; display: inline-block;"/> ' + color.text + '</span>'
                      // );
                      var $color = $(
                        '<span class="d-flex align-items-center justify-content-between" style="background-color:'+ color.element.value + ';>' + color.text + '</span>'
                      );
                      return $color;
                    }

                    // function matchCustom<?php echo $design_layer['layer_id']; ?> (params, data) {
                    //     // If there are no search terms, return all of the data
                    //     if ($.trim(params.term) === '') {
                    //       return data;
                    //     }

                    //     console.log(params.term);
                    //     console.log(data.text.indexOf(params.term));

                    //     // Do not display the item if there is no 'text' property
                    //     if (typeof data.text === 'undefined') {
                    //       return null;
                    //     }

                    //     // `params.term` should be the term that is used for searching
                    //     // `data.text` is the text that is displayed for the data object
                    //     if (data.text.indexOf(params.term) > -1) {
                    //       var modifiedData = $.extend({}, data, true);
                    //       modifiedData.text += ' (matched)';

                    //       // You can return modified objects from here
                    //       // This includes matching the `children` how you want in nested data sets
                    //       return modifiedData;
                    //     }

                    //     // Return `null` if the term should not be displayed
                    //     return null;
                    // }

                    $("#pantoneColors<?php echo $design_layer['layer_id']; ?>").select2({
                      placeholder: "Search...",
                      theme: "classic",
                      maximumSelectionLength: 1,
                      tags: true,
                      
                      
                    });

                    // templateResult: formatColor<?php echo $design_layer['layer_id']; ?>,
                      // matcher: matchCustom<?php echo $design_layer['layer_id']; ?>
                </script>
            </div>

            <?php } ?>
        </div>

        <?php
        endif;

	}

else :

	echo false;

endif;