<?php
require_once 'config.php';
require 'functions.php';

$user_add = '';
if( isset($_POST['btn-signup']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
    //inserting data into the database

    $user = $conn->query("select `email` from `wd_users` where `email`='". $_POST['email'] ."'");
    //checking for existed email
    if($user->num_rows > 0 ) {
        echo '<div class="alert alert-warning alert-dismissable">
                <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                <strong>Error!</strong> User already exists.
            </div>';
    } else {
        //hashing the password with md5 algorithm
        $password = hash_hmac('md5', 'salt' . $_POST['password'], 'You arent authorised');

        $user_add = user_insert( $_POST['first_name'] . ' ' . $_POST['last_name'], $_POST['email'], $password, date('y/m/d'), 'admin' );

        if($user_add) {
            echo '<div class="alert alert-success alert-dismissable">
                    <strong>Success!</strong> You will be redirect in few seconds.
                </div>';

                header('Location: login.php');
                exit();

        } else {
            echo '<div class="alert alert-danger alert-dismissable">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong>Error!</strong> Record insertion not completed.'. $user_add->error .'
                </div>';
        }
    }
}

session_start();
if( isset($_SESSION['isLogin']) ){
    //Page Redriect
    header("Location: index.php");
    exit();
}

?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="Kit Builder">
  <meta name="keywords" content="kit builder">

  <link rel="preconnect" href="https://fonts.gstatic.com">
  <link rel="shortcut icon" href="img/icons/icon-48x48.png" />

  <title>Register - Kit Builder</title>

  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet">
  <link rel="stylesheet" href="fonts/fontawesome/css/all.min.css">
  <link href="css/app.css" rel="stylesheet">
  <link href="css/style.css" rel="stylesheet">

  <link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;600&display=swap" rel="stylesheet">
</head>

<body>
  <div class="container">

    <div class="card o-hidden border-0 shadow-lg my-5">
      <div class="card-body p-0">
        <!-- Nested Row within Card Body -->
        <div class="row">
          <div class="col-lg-5 d-none d-lg-block bg-register-image"></div>
          <div class="col-lg-7">
            <div class="p-5">
              <div class="text-center">
                <h1 class="h4 text-gray-900 mb-4">Create an Account!</h1>
              </div>
              <form class="user" method="post">
                <div class="form-group row">
                  <div class="col-sm-6 mb-3 mb-sm-0">
                    <input type="text" class="form-control form-control-user" name="first_name" id="FirstName" placeholder="First Name" required>
                  </div>
                  <div class="col-sm-6">
                    <input type="text" class="form-control form-control-user" name="last_name" id="LastName" placeholder="Last Name" required>
                  </div>
                </div>
                <div class="form-group">
                  <input type="email" class="form-control form-control-user" name="email" id="InputEmail" placeholder="Email Address" required>
                </div>
                <div class="form-group row">
                  <div class="col-sm-6 mb-3 mb-sm-0">
                    <input type="password" class="form-control form-control-user" name="password" id="InputPassword" placeholder="Password" required>
                  </div>
                  <div class="col-sm-6">
                    <input type="password" class="form-control form-control-user" id="RepeatPassword" placeholder="Repeat Password" required>
                  </div>
                </div>
                <button type="submit" class="btn btn-primary btn-user btn-block" name="btn-signup">
                  Register Account
                </button>
                
              </form>
              <hr>
              <div class="text-center">
                <a class="small" href="forgot-password.php">Forgot Password?</a>
              </div>
              <div class="text-center">
                <a class="small" href="login.php">Already have an account? Login!</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>

  <?php include 'footer.php'; ?>


  <script type="text/javascript">
    $(document).ready(function() {

      $("#RepeatPassword").on('keyup', function() {
        if($("#InputPassword").val() == $("#RepeatPassword").val()) {
          $("#InputPassword").css("border-color", "green");
          $("#RepeatPassword").css("border-color", "green");
        } else {
          $("#InputPassword").css("border-color", "red");
          $("#RepeatPassword").css("border-color", "red");
        }
      })

    });
  </script>