<?php 

	$image_width  = 100;
	$image_height = 30;
	
	$text_color = '#000000';
	
	$outputImage = imagecreatetruecolor($image_width, $image_height);
	
	imagealphablending($outputImage, true);
	imagesavealpha($outputImage, true);
    $transparent = imagecolorallocatealpha($outputImage, 255, 255, 255, 127);
    imagefill($outputImage, 0, 0, $transparent);
 
	$fontSize = 20;
	$angle = 0;
	$font_family = dirname(__FILE__). '/' . $_GET['font_file'];
	
	$text = 'Preview';

	$text_box = imagettfbbox($fontSize,$angle,$font_family,$text);
	// Get your Text Width and Height
	$text_width = $text_box[2]-$text_box[0];
	$text_height = $text_box[7]-$text_box[1];

	// Calculate coordinates of the text
	$x = ($image_width/2) - ($text_width/2);
	$y = ($image_height/2) - ($text_height/2);

	list($r, $g, $b) = sscanf($text_color, "#%02x%02x%02x"); 

	$textColor = imagecolorallocate($outputImage, $r, $g, $b);

	imagettftext($outputImage, $fontSize, $angle, $x, $y, $textColor, $font_family, $text);
		
	header('Content-Type: image/png');
	
	imagepng($outputImage);

	imagedestroy($outputImage);

?>