<?php
	$page_title = 'Designs Layers';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">
					<?php
					$layer_type = '';
					if( isset( $_GET['lt'] ) ) {
						$layer_type = $_GET['lt'];
					}

			    	if( isset($_POST['save-design-layers']) && $_SERVER['REQUEST_METHOD'] == "POST" ) :

			    		if( !empty($_GET['id']) ) :

			    			$design = $conn->query("select * from `wd_design_layers` where `design_id`='". $_GET['id'] ."'");
			    			
			    			if($design->num_rows > 0 ) :

			    				$design_type_update = $conn->query("UPDATE `wd_designs` SET `svg`='$layer_type' where `id`='". $_GET['id'] ."'");

			    				foreach( $_POST['layers'] as $post ) :

			    					$gradient = '';
			    					if( isset($post['gradient_check']) )
			    						$gradient = $post['gradient_check'];

			    					$code = '';
			    					if(isset($post['code']))
			    						$code = $post['code'];

			    					$color = '';
			    					if(isset($post['color']))
			    						$color = $post['color'];

			    					$palleteSelect = '';
			    					if(isset($post['pallete_select'])) {
			    						if( $post['pallete_select'] != 'n' )
			    							$palleteSelect = $post['pallete_select'];
			    						else 
			    							$palleteSelect = '';
			    					}

				    				$design_layers_update = $conn->query( design_layers_update( $post['p_id'], $post['name'], $post['id'], $code, $_GET['id'], $layer_type, $color, $gradient, date("Y/m/d h:i:s A") ) );

			    					if( isset($post['pantone_check']) ) {
			    						$pantone = $post['pantone_check'];
			    						$updateDesignLayers = $conn->query("UPDATE `wd_design_layers` SET `pantone`='".$pantone."', `pallete_id`='".$palleteSelect."' where `id`='".$post['p_id']."'");
			    					}

				    				if($design_layers_update) :
				        				echo '<div class="alert alert-success alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Success!</strong> Rocord successfully Updated.
							                </div>';
				        			else :
				        				echo '<div class="alert alert-danger alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Error!</strong> Record updation not completed.'. $conn->error .'
							                </div>';
				        			endif;
						        endforeach;

						        if( !$conn->error ) :
						        	header("refresh:1, url=designs.php");
                                    exit();
                                endif;

			    			else :

			    				if( isset($_POST['linear_gradient']) ) {
			    					$post_lg = $_POST['linear_gradient'];

			    					$design_update = $conn->query("UPDATE `wd_designs` SET `linear_gradient`='$post_lg' where `id`='". $_GET['id'] ."'");

			    					if( $design_update ) :
				        				echo '<div class="alert alert-success alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Success!</strong> Rocord successfully Updated.
							                </div>';
				        			else :
				        				echo '<div class="alert alert-danger alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Error!</strong> Record updation not completed.'. $conn->error .'
							                </div>';
							        endif;
			    				}

			    				$design_type_update = $conn->query("UPDATE `wd_designs` SET `svg`='$layer_type' where `id`='". $_GET['id'] ."'");

			    				foreach( $_POST['layers'] as $post ) :

			    					$gradient = '';
			    					if( isset($post['gradient_check']) )
			    						$gradient = $post['gradient_check'];

			    					$code = '';
			    					if(isset($post['code']))
			    						$code = $post['code'];

			    					$palleteSelect = '';
			    					if(isset($post['pallete_select']))
			    						$palleteSelect = $post['pallete_select'];

		    						$design_layers_add = $conn->query( design_layers_insert( $post['name'], $post['id'], $code, $_GET['id'], $layer_type, $post['color'], $gradient, date("Y/m/d h:i:s A") ) );

		    						$lastID = $conn->insert_id;

		    						if( isset($post['pantone_check']) ) {
			    						$pantone = $post['pantone_check'];
			    						$updateDesignLayers = $conn->query("UPDATE `wd_design_layers` SET `pantone`='".$pantone."', `pallete_id`='".$palleteSelect."' where `id`='".$lastID."'");
			    					}
								
				        			if( $design_layers_add ) :
				        				echo '<div class="alert alert-success alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Success!</strong> Rocord successfully inserted.
							                </div>';
				        			else :
				        				echo '<div class="alert alert-danger alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
							                </div>';
				        			endif;
			    				endforeach;

			    				if( !$conn->error ) :
						        	header("refresh:1, url=designs.php");
                                    exit();
                                endif;
			    				
			        		endif;
			        	endif;
			        endif;

		    		?>
					<div class="card">
						<div class="card-body">
							<?php

							if( isset($_GET['id']) && !empty($_GET['id']) ) :
							?>
							<form class="form" action="" method="post">
							<?php
								//Check if layers already exists
								$design_layers_exists = $conn->query("SELECT * from `wd_design_layers` where `design_id`='". $_GET['id'] ."'");

								$design = $conn->query('SELECT `pallete_id` from `wd_designs` where `id`="'. $_GET['id'] .'"')->fetch_assoc();

                                $colors_pallete = $conn->query('SELECT `colors` from `wd_color_palettes` where `id`="'. $design['pallete_id'] .'"')->fetch_assoc();

                                if( $colors_pallete )
                                	$all_colors = explode('|', $colors_pallete['colors']);

								if( $design_layers_exists->num_rows > 0 ) :

									//$design_layers = $design_layers_exists->fetch_all(MYSQLI_ASSOC);

									foreach( $design_layers_exists as $key => $design_layer ) :
										if( $design_layer ) :
											$layerPallateColors = array();
											$colors_pallete = $conn->query("SELECT `colors` from `wd_color_palettes` where `id`='".$design_layer['pallete_id']."'")->fetch_assoc();
											if( $colors_pallete )
                                				$layerPallateColors = explode('|', $colors_pallete['colors']);

							?>
								<div class="row layer-box-row">
									<input type="hidden" name="layers[<?php echo $key; ?>][p_id]" value="<?php echo $design_layer['id']; ?>">
									<div class="col-md-3 form-group">
										<h4 class="card-title"><?php echo $design_layer['layer_id']; ?> </h4>
										<input type="hidden" name="layers[<?php echo $key; ?>][id]" value="<?php echo $design_layer['layer_id']; ?>">

										<input type="text" name="layers[<?php echo $key; ?>][name]" class="form-control" value="<?php echo $design_layer['layer_name']; ?>">

										<div class="form-check form-switch d-flex px-0 mt-3 align-items-center" id="gradient_check<?php echo $key; ?>">
										  	<input class="form-check-input me-2 ms-0 mt-0" type="checkbox" id="gradientChecked<?php echo $key; ?>" <?php if( $design_layer['gradient'] ) echo 'checked="checked"'; else echo ''; ?> data-col_name="gradient" name="layers[<?php echo $key; ?>][gradient_check]">
										  	<label class="form-check-label" for="gradientChecked<?php echo $key; ?>">Gradient</label>
										</div>

										<div class="form-check form-switch d-flex px-0 mt-3 align-items-center" id="pantone_check<?php echo $key; ?>">
										  	<input class="form-check-input me-2 ms-0 mt-0" type="checkbox" id="pantoneChecked<?php echo $key; ?>" <?php if( $design_layer['pantone'] ) echo 'checked="checked"'; else echo ''; ?> data-col_name="pantone" name="layers[<?php echo $key; ?>][pantone_check]">
										  	<label class="form-check-label" for="pantoneChecked<?php echo $key; ?>">Pantone</label>
										</div>
									</div>
									<div class="col-md-6 form-group pallete-colorBox">
										<div class="row">
											<div class="col-md-6 choose-color-pallete">
												<div class="mb-2">Choose Pallete</div>
												<select class="form-select"  name="layers[<?php echo $key; ?>][pallete_select]" data-key="<?php echo $key; ?>">
													<option value="n">-- Select Pallete --</option>
													<?php
													$palletes = $conn->query("SELECT * from `wd_color_palettes`");
													foreach( $palletes as $pallete ) {
													?>
													<option <?php if($design_layer['pallete_id'] == $pallete['id']) echo 'selected="selected"'; ?> value="<?php echo $pallete['id']; ?>" data-key="<?php echo $key; ?>"><?php echo $pallete['name']; ?></option>
													<?php } ?>
												</select>
											</div>
											<div class="col-md-6 choose-color-style">
												<div class="mb-2">Choose Colors</div>
		                                        <div class="col-md-12 form-group d-flex flex-wrap choose-color-box choose-color-style-inner">
		                                        <?php if( $layerPallateColors ) { ?>
			                                        <?php foreach( $layerPallateColors as $color ) :?>
			                                            <label class="container_check">
			                                              <input type="checkbox"  name="layers[<?php echo $key; ?>][color]" <?php if( $design_layer['default_color'] == $color ) echo 'checked'; ?> value="<?php echo $color; ?>">
			                                              <span class="checkmark" style="background-color: <?php echo $color; ?>"></span>
			                                            </label>	                                     
			                                        <?php endforeach; ?>
			                                    <?php } else { ?>
			                                    	<?php foreach( $all_colors as $color ) :?>
			                                            <label class="container_check">
			                                              <input type="checkbox"  name="layers[<?php echo $key; ?>][color]" <?php if( $design_layer['default_color'] == $color ) echo 'checked'; ?> value="<?php echo $color; ?>">
			                                              <span class="checkmark" style="background-color: <?php echo $color; ?>"></span>
			                                            </label>	                                     
			                                        <?php endforeach; ?>
			                                    <?php } ?>
												</div>
		                                    </div>
										</div>
									</div>
										
									<!-- <div class="col-md-3 form-group">
										<textarea rows="6" name="layers[<?php echo $key; ?>][code]" class="form-control"><?php echo $design_layer['layer_code']; ?></textarea>
									</div> -->
									<div class="col-md-3 form-group">
										<svg id="design" class="<?php echo $design_layer['layer_name']; ?>" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 2149.8 1256">
											<?php echo $design_layer['layer_code']; ?>
										</svg>
									</div>
								</div>
							<?php
										endif;
									endforeach;
								else :
									$design = $conn->query('SELECT `main_image`, `pallete_id` from `wd_designs` where `id`="'. $_GET['id'] .'"')->fetch_assoc();

									$svg_file = file_get_contents('assets/uploads/'.$design['main_image']);

									$doc = new DOMDocument();
									$doc->loadXML($svg_file);
									$svg = $doc->getElementsByTagName('g');
									$lg_stop_color = $doc->getElementsByTagName('stop');
									$linearGradient = $doc->getElementsByTagName('linearGradient');

									if( $lg_stop_color->length ) : 
									?> 
									<input type="hidden" name="linear_gradient" value="Y">
									<?php 
									endif;

									foreach( $svg as $key => $searchNode ) :
										if( $searchNode->getAttribute('id') ) :

											$g_path = $searchNode->getElementsByTagName('path');
											$g_text = $searchNode->getElementsByTagName('text');
							?>
								<div class="row layer-box-row">
									<div class="col-md-3 form-group">
										<div>
											<h4 class="card-title"><?php echo $searchNode->getAttribute('id'); ?> </h4>
											<input type="hidden" name="layers[<?php echo $key; ?>][id]" value="<?php echo $searchNode->getAttribute('id'); ?>">
										</div>
										<div class="mt-2">
											<input type="text" name="layers[<?php echo $key; ?>][name]" class="form-control" value="">
										</div>

										<div class="form-check form-switch d-flex px-0 mt-3 align-items-center" id="gradient_check<?php echo $key; ?>">
										  	<input class="form-check-input me-2 ms-0 mt-0" type="checkbox" id="gradientChecked<?php echo $key; ?>" data-col_name="gradient" name="layers[<?php echo $key; ?>][gradient_check]">
										  	<label class="form-check-label" for="gradientChecked<?php echo $key; ?>">Gradient</label>
										</div>

										<div class="form-check form-switch d-flex px-0 mt-3 align-items-center" id="pantone_check<?php echo $key; ?>">
										  	<input class="form-check-input me-2 ms-0 mt-0" type="checkbox" id="pantoneChecked<?php echo $key; ?>" data-col_name="pantone" name="layers[<?php echo $key; ?>][pantone_check]" checked="checked">
										  	<label class="form-check-label" for="pantoneChecked<?php echo $key; ?>">Pantone</label>
										</div>
									</div>
									<div class="col-md-6 form-group pallete-colorBox">
										<div class="row">
											<div class="col-md-6 choose-color-pallete">
												<div class="mb-2">Choose Pallete</div>
												<select class="form-select" name="layers[<?php echo $key; ?>][pallete_select]" data-key="<?php echo $key; ?>">
													<option>-- Select Pallete --</option>
													<?php
													$palletes = $conn->query("SELECT * from `wd_color_palettes`");
													foreach( $palletes as $pallete ) {
													?>
													<option value="<?php echo $pallete['id']; ?>" data-key="<?php echo $key; ?>"><?php echo $pallete['name']; ?></option>
													<?php } ?>
												</select>
											</div>
											<div class="col-md-6 choose-color-style">
												<div class="mb-2">Choose Colors</div>
		                                        <div class="col-md-12 choose-color-style-inner form-group d-flex flex-wrap">
		                                        <?php
		                                            $colors_pallete = $conn->query('SELECT `colors` from `wd_color_palettes` where `id`="'. $design['pallete_id'] .'"')->fetch_assoc();
		                                            if( $colors_pallete ) :
		                                            	$all_colors = explode('|', $colors_pallete['colors']);
		                                                foreach( $all_colors as $color ) :
		                                            ?>
		                                            <label class="container_check">
		                                              <input type="checkbox" name="layers[<?php echo $key; ?>][color]" value="<?php echo $color; ?>">
		                                              <span class="checkmark" style="background-color: <?php echo $color; ?>"></span>
		                                            </label>
		                                        
		                                        <?php endforeach; endif; ?>
		                                        </div>
		                                    </div>
										</div>
									</div>
									<!-- <div class="col-md-3 form-group">
										<textarea rows="6" name="layers[<?php echo $key; ?>][code]" class="form-control"><?php echo $searchNode->C14N(); ?></textarea>
									</div> -->
									<div class="col-md-3 form-group">
										<svg id="design" class="<?php echo $searchNode->getAttribute('id'); ?>" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 2149.8 1256">
											<?php echo $searchNode->C14N(); ?>
										</svg>
									</div>
								</div>
							<?php

										endif;
									endforeach;
								endif;
							?>
								<div class="form-group col-md-12">
									<button type="submit" class="btn btn-primary btn-xl btn-block" id="save-design-layers" name="save-design-layers">Save</button>
								</div>
							</form>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</main>
		</div>
	</div>



<?php include 'footer.php'; ?>

<script>

	$('.pallete-colorBox .choose-color-pallete select').on('change', function(){
		console.log('yes');
		var $selectElem = $(this);
		$.ajax({
		    type: 'post',
		    url: 'inc/changePalleteColors.php',
		    data: { value: $selectElem.val(), key: $selectElem.data('key') },
		    success: function(result) {
		    	console.log(result);
		    	$selectElem.closest('.pallete-colorBox').find('.choose-color-style-inner').html(result);
		    }
		});
	});

	$('.choose-fill-color input').on('change', function() {
		//$(this).closest('.choose-fill-color').find('input[type="checkbox"]').not(this).prop('checked', false);
		$(this).closest('.layer-box-row').find('svg').find('path, text').attr('fill', $(this).val());

		//$(this).closest('.layer-box-row').find('textarea').val();

		/*var textarea_code = textarea = $( $.parseHTML( $(this).closest('.layer-box-row').find('textarea').text() ) );

		textarea.find('path').attr('fill', $(this).val());

		

		$(this).closest('.layer-box-row').find('textarea').text($(textarea).html());*/
		//if( $(this).closest('.layer-box-row').find('textarea').val().contains('fill') )
	});

	$('.color_picker').each(function() {
		$(this).closest('.layer-box-row').find('svg').find('path, text').attr('fill', $(this).val());	
	});

	/*$('.choose-stop-color').hide();

	$('.choose-color-style select').on('change', function() {

		if( $(this).val() == 'fill' ) {
			$(this).siblings('.choose-fill-color').show();
			$(this).siblings('.choose-stop-color').hide();
		} else {
			
			$(this).siblings('.choose-stop-color').show();
			$(this).siblings('.choose-fill-color').hide();
		}
	});*/

	$('.choose-stop-color input[name="first_stop_color"]').on('change', function() {
		$(this).closest('.layer-box-row').find('stop:first-child').attr('stop-color', $(this).val());
		//$(this).closest('.first_stop_color-box').find('input[type="checkbox"]').not(this).prop('checked', false);
	})

	/*function getFormObj(formId) {
	    var formObj = {};
	    var inputs = $(formId).serializeArray();
	    $.each(inputs, function (i, input) {

	        formObj[input.name] = input.value;
	    });
	    return formObj;
	}

	$('#save-design-layers').on('click', function() {
		//var form_data = getFormObj($(this).closest('form'));

		from_data = $(this).closest('form').serializeArray();

		$.ajax({
	        url: 'assets/svg_layers.php',
	        type: 'post',
	        data: from_data,
	        success: function(response) {

	        	console.log(response);

	            $('.success').html(response);
	        }
	    });
	})*/

	$('.container_check').on('click', function() {
		$(this).closest('.choose-color-box').find('input').prop('checked', false);
		$(this).find('input').prop('checked', true);
	});

	$('.form-switch input').on('change', function() {
		if( $(this).is(':checked') ) {
			$(this).val('Y');
		} else {
			$(this).val('N');
		}
	})

</script>