<?php  

    $page_title = 'Edit Category';

    include 'header.php'; 

    include 'functions.php'; 

    require 'paginator.class.php';

?>



    <div class="wrapper">

        <?php include 'sidebar.php'; ?>



        <div class="main">

            <?php include 'top-bar.php'; ?>



            <main class="content">

                <div class="container-fluid p-0">

                    <?php

                        if ( isset($_GET['category_id']) ) {

                            $category_id = $_GET['category_id'];

                            $category = $conn->query( "SELECT * from `wd_caps_categories` where `id`=".$category_id."" )->fetch_assoc();

                        }

                        if( isset($_POST['category-update-submit']) ) {

                            $image = '';

                            if($_FILES['file']['name'] != '') {

                                $image = image_upload($_FILES['file']);

                            } else {

                                $image = $_POST['thumb'];

                            }

                            $category_update = $conn->query( 'UPDATE `wd_caps_categories` SET `name`="'.$_POST['name'].'", `main_image`="'.$image.'", `description`="'.$_POST['description'].'" where `id`="'.$category_id.'"' );
                            
                            if ( $category_update ) {

                                echo '<div class="alert alert-success alert-dismissable fade show">

                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

                                        <strong>Success!</strong> Rocord successfully Updated.

                                    </div>';



                                header("refresh:1, url=cap-categories.php");
                                exit();

                            } else {

                                echo '<div class="alert alert-danger alert-dismissable">

                                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>

                                        <strong>Error!</strong> '. $conn->error .'

                                    </div>';

                            }

                        }

                    ?>

            		<!-- Edit category -->

                    <div class="card col-lg-8 mx-auto">

                        <div class="card-body">

                            <div class="modal-header">

                                <h4 class="modal-title">Edit <?php echo $category['name']; ?></h4>

                                <button type="button" onclick="history.back();" class="close btn-close">&times;</button>

                            </div>

                            <form action="" method="post" enctype="multipart/form-data">

                				<div class="modal-body">

                                    <div class="row">

                                        <div class="col-md-12 form-group">

                                            <input type="text" placeholder="Name" name="name" value="<?php echo $category['name']; ?>" class="form-control" required>

                                        </div>

                                        <div class="col-md-12 form-group">

                                            <textarea placeholder="Description" name="description" class="form-control" rows="4"><?php echo $category['description']; ?></textarea>

                                        </div>

                                        <div class="col-md-12">

                                            <h4 class="card-title text-center">Image</h4>

                                            <div class="profile-pic-box mb-3">

                                                <div class="profile-pic">

                                                    <label class="-label" for="file">

                                                        <span class="fas fa-camera"></span>

                                                        <span>Upload Image</span>

                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

                                                    </label>

                                                    <input id="file" type="file" name="file" accept="image/*" onchange="loadFile(event)">
                                                    <?php if( $category['main_image'] ) : ?>
                                                    <img src="assets/uploads/<?php echo $category['main_image']; ?>" id="output" alt="">
                                                    <?php endif; ?>

                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                </div>

                                <div class="modal-footer btn-group w-100">

                                    <input type="hidden" name="thumb" value="<?php echo $category['main_image']; ?>">

                                    <button type="button" onclick="history.back();" class="btn btn-secondary btn-xl">Cancel</button>

                                    <button type="submit" class="btn btn-primary btn-xl" name="category-update-submit">Update</button>

                                </div>

                            </form>

                        </div>

                    </div>



                </div>

            </main>

        </div>

    </div>



<?php require 'footer.php'; ?>



<script>

    var loadFile = function (event) {

      var image = document.getElementById("output");

      image.src = URL.createObjectURL(event.target.files[0]);

    };

    $('.opt-select-dpd ul button').on('click', function() {

        $(this).closest('.opt-select-dpd').siblings('#category_id').val($(this).attr('value'));

        $(this).closest('.opt-select-dpd').children('.form-select').text($(this).text());

    });

</script>