<?php  

    $page_title = 'Edit Cap';

    include 'header.php'; 

    include 'functions.php'; 

    require 'paginator.class.php';

?>



    <div class="wrapper">

        <?php include 'sidebar.php'; ?>



        <div class="main">

            <?php include 'top-bar.php'; ?>



            <main class="content">

                <div class="container-fluid p-0">

                    <?php

                        if ( isset($_GET['cap_id']) ) {

                            $cap_id = $_GET['cap_id'];

                            $cap = $conn->query( "SELECT * from `wd_caps` where `id`=".$cap_id."" )->fetch_assoc();

                        }

                        if( isset($_POST['cap-update-submit']) ) {

                            $fileThumb = $fileTop = $fileFront = $fileBack = $fileLeft = $fileRight = '';

						  	if($_FILES['file_thumb']['name'] != '') {

								$fileThumb = image_upload($_FILES['file_thumb']);

							} else {

                                $fileThumb = $_POST['thumb'];

                            }
							if($_FILES['file_top']['name'] != '') {

								$fileTop = image_upload($_FILES['file_top']);

							} else {

                                $fileTop = $_POST['top_view'];

                            }
							if($_FILES['file_front']['name'] != '') {

								$fileFront = image_upload($_FILES['file_front']);

							} else {

                                $fileFront = $_POST['front_view'];

                            }
							if($_FILES['file_back']['name'] != '') {

								$fileBack = image_upload($_FILES['file_back']);

							} else {

                                $fileBack = $_POST['back_view'];

                            }
							if($_FILES['file_left']['name'] != '') {

								$fileLeft = image_upload($_FILES['file_left']);

							} else {

                                $fileLeft = $_POST['left_view'];

                            }
							if($_FILES['file_right']['name'] != '') {

								$fileRight = image_upload($_FILES['file_right']);

							} else {

                                $fileRight = $_POST['right_view'];

                            }

                            $cap_update = $conn->query( "UPDATE `wd_caps` SET `name`='".$_POST['name']."', `capcat_id`=".$_POST['capcat_id'].", `thumb`='".$fileThumb."', `description`='".$_POST['description']."', `top_view`='".$fileTop."', `front_view`='".$fileFront."', `back_view`='".$fileBack."', `left_view`='".$fileLeft."', `right_view`='".$fileRight."' where `id`=".$cap_id."" );
                            
                            if ( $cap_update ) {

                                echo '<div class="alert alert-success alert-dismissable fade show">

                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

                                        <strong>Success!</strong> Rocord successfully Updated.

                                    </div>';



                                header("refresh:1, url=caps.php");
                                exit();

                            } else {

                                echo '<div class="alert alert-danger alert-dismissable">

                                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>

                                        <strong>Error!</strong> '. $conn->error .'

                                    </div>';

                            }

                        }

                    ?>

            		<!-- Edit cap -->

                    <div class="card col-lg-8 mx-auto">

                        <div class="card-body">

                            <div class="modal-header">

                                <h4 class="modal-title">Edit <?php echo $cap['name']; ?></h4>

                                <button type="button" onclick="history.back();" class="close btn-close">&times;</button>

                            </div>

                            <form action="" method="post" enctype="multipart/form-data">

                				<div class="modal-body">

                                    <div class="row">

                                        <div class="col-md-12 form-group">

                                            <input type="text" placeholder="Name" name="name" value="<?php echo $cap['name']; ?>" class="form-control" required>

                                        </div>

                                        <div class="col-md-12 form-group">
                                            <select name="capcat_id" class="form-control">
                                                <option>-- Select Category --</option>
                                                <?php
                                                $capCats = $conn->query(" SELECT `id`, `name` from `wd_caps_categories` where `visible`='Y'" );
                                                foreach($capCats as $capCat) :
                                                ?>
                                                <option value="<?php echo $capCat['id']; ?>" <?php if($capCat['id'] == $cap['capcat_id']) echo "selected"; ?>><?php echo $capCat['name']; ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                        <div class="col-md-12 form-group">
                                            <textarea placeholder="Description" name="description" class="form-control" rows="4"><?php echo $cap['description']; ?></textarea>
                                        </div>
                                        <div class="col-md-6">
                                            <h4 class="card-title text-center">Thumb Image</h4>
                                            <div class="profile-pic-box mb-3">
                                                <div class="profile-pic">
                                                    <label class="-label" for="file_thumb">
                                                        <span class="fas fa-camera"></span>
                                                        <span>Upload Image</span>
                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
                                                    </label>
                                                    <input id="file_thumb" type="file" name="file_thumb" onchange="loadFileThumb(event)">
                                                    
                                                    <?php if( $cap['thumb'] ) : ?>
                                                    <img src="assets/uploads/<?php echo $cap['thumb']; ?>" id="outputThumb" alt="">
                                                    <?php else : ?>
                                                    <img src="img/placeholder.png" id="outputThumb" alt="">
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <h4 class="card-title text-center">Top View Image</h4>
                                            <div class="profile-pic-box mb-3">
                                                <div class="profile-pic">
                                                    <label class="-label" for="file_top">
                                                        <span class="fas fa-camera"></span>
                                                        <span>Upload Image</span>
                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
                                                    </label>
                                                    <input id="file_top" type="file" name="file_top" onchange="loadFiletop(event)">
                                                    <?php if( $cap['top_view'] ) : ?>
                                                    <img src="assets/uploads/<?php echo $cap['top_view']; ?>" id="outputtop" alt="">
                                                    <?php else : ?>
                                                    <img src="img/placeholder.png" id="outputtop" alt="">
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <h4 class="card-title text-center">Front View Image</h4>
                                            <div class="profile-pic-box mb-3">
                                                <div class="profile-pic">
                                                    <label class="-label" for="file_front">
                                                        <span class="fas fa-camera"></span>
                                                        <span>Upload Image</span>
                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
                                                    </label>
                                                    <input id="file_front" type="file" name="file_front" onchange="loadFilefront(event)">
                                                    <?php if( $cap['front_view'] ) : ?>
                                                    <img src="assets/uploads/<?php echo $cap['front_view']; ?>" id="outputfront" alt="">
                                                    <?php else : ?>
                                                    <img src="img/placeholder.png" id="outputfront" alt="">
                                                    <?php endif; ?>
                                                    
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <h4 class="card-title text-center">Back View Image</h4>
                                            <div class="profile-pic-box mb-3">
                                                <div class="profile-pic">
                                                    <label class="-label" for="file_back">
                                                        <span class="fas fa-camera"></span>
                                                        <span>Upload Image</span>
                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
                                                    </label>
                                                    <input id="file_back" type="file" name="file_back" onchange="loadFileback(event)">
                                                    <?php if( $cap['back_view'] ) : ?>
                                                    <img src="assets/uploads/<?php echo $cap['back_view']; ?>" id="outputback" alt="">
                                                    <?php else : ?>
                                                    <img src="img/placeholder.png" id="outputback" alt="">
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <h4 class="card-title text-center">Left View Image</h4>
                                            <div class="profile-pic-box mb-3">
                                                <div class="profile-pic">
                                                    <label class="-label" for="file_left">
                                                        <span class="fas fa-camera"></span>
                                                        <span>Upload Image</span>
                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
                                                    </label>
                                                    <input id="file_left" type="file" name="file_left" onchange="loadFileleft(event)">
                                                    <?php if( $cap['left_view'] ) : ?>
                                                    <img src="assets/uploads/<?php echo $cap['left_view']; ?>" id="outputleft" alt="">
                                                    <?php else : ?>
                                                    <img src="img/placeholder.png" id="outputleft" alt="">
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <h4 class="card-title text-center">Right View Image</h4>
                                            <div class="profile-pic-box mb-3">
                                                <div class="profile-pic">
                                                    <label class="-label" for="file_right">
                                                        <span class="fas fa-camera"></span>
                                                        <span>Upload Image</span>
                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
                                                    </label>
                                                    <input id="file_right" type="file" name="file_right" onchange="loadFileright(event)">
                                                    <?php if( $cap['right_view'] ) : ?>
                                                    <img src="assets/uploads/<?php echo $cap['right_view']; ?>" id="outputright" alt="">
                                                    <?php else : ?>
                                                    <img src="img/placeholder.png" id="outputright" alt="">
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="modal-footer btn-group w-100">
                                    <input type="hidden" name="thumb" value="<?php echo $cap['thumb']; ?>">
                                    <input type="hidden" name="top_view" value="<?php echo $cap['top_view']; ?>">
                                    <input type="hidden" name="front_view" value="<?php echo $cap['front_view']; ?>">
                                    <input type="hidden" name="back_view" value="<?php echo $cap['back_view']; ?>">
                                    <input type="hidden" name="left_view" value="<?php echo $cap['left_view']; ?>">
                                    <input type="hidden" name="right_view" value="<?php echo $cap['right_view']; ?>">
                                    <button type="button" onclick="history.back();" class="btn btn-secondary btn-xl">Cancel</button>
                                    <button type="submit" class="btn btn-primary btn-xl" name="cap-update-submit">Update</button>

                                </div>

                            </form>

                        </div>

                    </div>



                </div>

            </main>

        </div>

    </div>



<?php require 'footer.php'; ?>



<script>
	var loadFileThumb = function (event) {
	  var image = document.getElementById("outputThumb");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFiletop = function (event) {
	  var image = document.getElementById("outputtop");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFilefront = function (event) {
	  var image = document.getElementById("outputfront");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFileback = function (event) {
	  var image = document.getElementById("outputback");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFileleft = function (event) {
	  var image = document.getElementById("outputleft");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	var loadFileright = function (event) {
	  var image = document.getElementById("outputright");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
</script>