<?php  

    $page_title = 'Edit Embellishment';

    include 'header.php'; 

    include 'functions.php'; 

    require 'paginator.class.php';

?>



    <div class="wrapper">

        <?php include 'sidebar.php'; ?>



        <div class="main">

            <?php include 'top-bar.php'; ?>



            <main class="content">

                <div class="container-fluid p-0">

                    <?php

                        if ( isset($_GET['embellishment_id']) ) {

                            $embellishment_id = $_GET['embellishment_id'];

                            $embellishment = $conn->query( embellishment_by_id($embellishment_id) )->fetch_assoc();

                        }

                        if( isset($_POST['embellishment-update-submit']) ) {

                            $emb_pallete_id = '';
                            if( isset($_POST['emb_pallete_id']) ) 
                                $emb_pallete_id = $_POST['emb_pallete_id'];

                            $thumb_image = '';
                            if($_FILES['file_thumb']['name'] != '') {
                                $thumb_image = image_upload($_FILES['file_thumb']);
                            } else {
                                $thumb_image = $_POST['thumb'];
                            }
                            //for main image
                            $image = '';
                            if($_FILES['file']['name'] != '') {
                                $image = image_upload($_FILES['file']);
                            } else {
                                $image = $_POST['main_image'];
                            }

                            if( $image && $thumb_image) {

                                $embellishment_update = $conn->query( embellishment_update($embellishment_id, $_POST['name'], $thumb_image, $image, $emb_pallete_id, date("Y/m/d h:i:s A")) );

                                if( $_POST['old_emb_pallete_id'] != $_POST['emb_pallete_id'] ) {

                                    $emb_pallete_ids_result = $conn->query( "SELECT * from `wd_embellishments_palletes` where `id`='". $_POST['old_emb_pallete_id'] ."'" )->fetch_assoc();

                                    $emb_pallete_ids = explode('|', $emb_pallete_ids_result['emb_ids']);

                                    $emb_id_pos = array_search($embellishment_id, $emb_pallete_ids);

                                    if( $emb_id_pos !== false )
                                        unset($emb_pallete_ids[$emb_id_pos]);

                                    $emb_pallete_ids_string = implode('|', $emb_pallete_ids);

                                    $emb_pallete_update = $conn->query( "UPDATE `wd_embellishments_palletes` SET `emb_ids`='". $emb_pallete_ids_string ."' where `id`='". $_POST['old_emb_pallete_id'] ."'" );

                                    $emb_pallete_ids_new_result = $conn->query( "SELECT * from `wd_embellishments_palletes` where `id`='". $_POST['emb_pallete_id'] ."'" )->fetch_assoc();

                                    if($emb_pallete_ids_new_result['emb_ids']) {
                                        $emb_pallete_ids_new = explode('|', $emb_pallete_ids_new_result['emb_ids']);

                                        $emb_id_pos_new = array_search($embellishment_id, $emb_pallete_ids_new);

                                        if( $emb_id_pos_new === false ) {
                                            $emb_pallete_new_update = $conn->query("UPDATE `wd_embellishments_palletes` SET `emb_ids`=CONCAT(emb_ids,'"."|".$embellishment_id."') WHERE `id`='$emb_pallete_id'");
                                        }
                                            
                                    } else {
                                        $emb_pallete_new_update = $conn->query("UPDATE `wd_embellishments_palletes` SET `emb_ids`='".$embellishment_id."' WHERE `id`='$emb_pallete_id'");
                                    }

                                }

                                if ( $embellishment_update ) {

                                    echo '<div class="alert alert-success alert-dismissable fade show">

                                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

                                            <strong>Success!</strong> Rocord successfully Updated.

                                        </div>';

                                    header("refresh:1, url=embellishments.php");

                                    exit();

                                } else {

                                    echo '<div class="alert alert-danger alert-dismissable">

                                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>

                                            <strong>Error!</strong> '. $conn->error .'

                                        </div>';

                                }

                            }

                        }

                    ?>

            		<!-- Edit embellishment -->

                    <div class="card col-lg-8 mx-auto">

                        <div class="card-body">

                            <div class="modal-header">

                                <h4 class="modal-title">Edit <?php echo $embellishment['name']; ?></h4>

                                <a href="embellishments.php" class="close btn-close">&times;</a>

                            </div>

                            <form action="" method="post" enctype="multipart/form-data">

                				<div class="modal-body">

                                    <div class="row">

                                        <div class="col-md-12 form-group">

                                            <input type="text" placeholder="Name" name="name" value="<?php echo $embellishment['name']; ?>" class="form-control" required>

                                        </div>

                                        <div class="col-md-12 form-group">
                                            <input type="hidden" name="old_emb_pallete_id" value="<?php echo $embellishment['emb_pallete_id']; ?>">
                                            <select class="form-select emb_pallete_select_box" style="width: 100%; height: 50px;" name="emb_pallete_id" multiple>
                                                <option value="">Select Embellishment Pallette</option>
                                                <?php 
                                                $embpalletes = $conn->query(embellishment_pallete_select()); 
                                                if( $embpalletes ) :
                                                    foreach ($embpalletes as $embpallete) :
                                                ?>
                                                <option <?php if( $embellishment['emb_pallete_id'] == $embpallete['id'] ) : echo 'selected="selected"'; endif; ?> value="<?php echo $embpallete['id']; ?>"><?php echo $embpallete['name']; ?></option>
                                                <?php endforeach; endif; ?>
                                            </select>
                                        </div>

                                        <div class="col-md-6">

                                            <h4 class="card-title text-center">Thumb Image</h4>

                                            <div class="profile-pic-box mb-3">

                                                <div class="profile-pic">

                                                    <label class="-label" for="file_thumb">

                                                        <span class="fas fa-camera"></span>

                                                        <span>Upload Image</span>

                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

                                                    </label>

                                                    <input id="file_thumb" type="file" name="file_thumb" accept="image/*" onchange="loadFileThumb(event)">

                                                    <img src="assets/uploads/<?php echo $embellishment['thumb']; ?>" id="outputThumb" alt="">

                                                </div>

                                            </div>

                                        </div>

                                        <div class="col-md-6">

                                            <h4 class="card-title text-center">Master SVG</h4>

                                            <div class="profile-pic-box mb-3">

                                                <div class="profile-pic">

                                                    <label class="-label" for="file">

                                                        <span class="fas fa-camera"></span>

                                                        <span>Upload SVG</span>

                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

                                                    </label>

                                                    <input id="file" type="file" name="file" accept=".svg" onchange="loadFile(event)">

                                                    <img src="assets/uploads/<?php echo $embellishment['main_image']; ?>" id="output" alt="">

                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                </div>

                                <div class="modal-footer btn-group w-100">

                                    <input type="hidden" name="thumb" value="<?php echo $embellishment['thumb']; ?>">
                                    <input type="hidden" name="main_image" value="<?php echo $embellishment['main_image']; ?>">

                                    <a href="embellishments.php" class="btn btn-secondary btn-xl">Cancel</a>

                                    <button type="submit" class="btn btn-primary btn-xl" name="embellishment-update-submit">Update</button>

                                </div>

                            </form>

                        </div>

                    </div>



                </div>

            </main>

        </div>

    </div>



<?php require 'footer.php'; ?>



<script>

    var loadFileThumb = function (event) {

      var image = document.getElementById("outputThumb");

      image.src = URL.createObjectURL(event.target.files[0]);

    };

    var loadFile = function (event) {

      var image = document.getElementById("output");

      image.src = URL.createObjectURL(event.target.files[0]);

    };

    $(document).ready(function() {
        $('.emb_pallete_select_box').select2({
            theme: 'classic',
            maximumSelectionLength: 1,
            placeholder: 'Select Embellishment Pallete(s)',
        });
    });

</script>