<?php  

    $page_title = 'Edit Font';

    include 'header.php'; 

    include 'functions.php'; 

    require 'paginator.class.php';

?>



    <div class="wrapper">

        <?php include 'sidebar.php'; ?>



        <div class="main">

            <?php include 'top-bar.php'; ?>



            <main class="content">

                <div class="container-fluid p-0">

                    <?php

                        if ( isset($_GET['font_id']) ) {

                            $font_id = $_GET['font_id'];

                            $font = $conn->query( font_by_id($font_id) )->fetch_assoc();

                        }

                        if( isset($_POST['font-update-submit']) ) {



                            $image = '';

                            if($_FILES['file']['name'] != '') {

                                $image = image_upload($_FILES['file']);

                            } else {

                                $image = $_POST['thumb'];

                            }

                            if( $image ) {



                                $font_update = $conn->query( font_update($font_id, $_POST['name'], $image, date("Y/m/d h:i:s A")) );



                                if ( $font_update ) {



                                    echo '<div class="alert alert-success alert-dismissable fade show">

                                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

                                            <strong>Success!</strong> Rocord successfully Updated.

                                        </div>';



                                    header("refresh:1, url=fonts.php");

                                    exit();

                                } else {

                                    echo '<div class="alert alert-danger alert-dismissable">

                                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>

                                            <strong>Error!</strong> '. $conn->error .'

                                        </div>';

                                }

                            }

                        }

                    ?>

            		<!-- Edit font -->

                    <div class="card col-lg-8 mx-auto">

                        <div class="card-body">

                            <div class="modal-header">

                                <h4 class="modal-title">Edit <?php echo $font['name']; ?></h4>

                                <a href="fonts.php" class="close btn-close">&times;</a>

                            </div>

                            <form action="" method="post" enctype="multipart/form-data">

                				<div class="modal-body">

                                    <div class="row">

                                        <div class="col-md-12 form-group">
                                            <div class="input-group align-items-center">
                                                <input type="text" placeholder="Name" name="name" value="<?php echo $font['name']; ?>" class="form-control" required>
                                                <img src="assets/uploads/fonts/font-preview.php?font_file=<?php echo $font['thumb']; ?>" width="100">
                                            </div>

                                        </div>

                                        

                                        <div class="col-md-12 form-group">

                                            <label for="file" class="form-control file bg-other">

                                            Update WOFF File

                                                <input class="show-for-sr" type="file" id="file" name="file" accept=".woff" />

                                            </label>

                                        </div>

                                    </div>

                                </div>

                                <div class="modal-footer btn-group w-100">

                                    <input type="hidden" name="thumb" value="<?php echo $font['thumb']; ?>">

                                    <a href="fonts.php" class="btn btn-secondary btn-xl">Cancel</a>

                                    <button type="submit" class="btn btn-primary btn-xl" name="font-update-submit">Update</button>

                                </div>

                            </form>

                        </div>

                    </div>



                </div>

            </main>

        </div>

    </div>



<?php require 'footer.php'; ?>



<script>

    var loadFile = function (event) {

      var image = document.getElementById("output");

      image.src = URL.createObjectURL(event.target.files[0]);

    };

</script>