<?php

    $page_title = 'Edit Palletes';

    include 'header.php'; 

    include 'functions.php'; 

    require 'paginator.class.php';

?>



    <div class="wrapper">

        <?php include 'sidebar.php'; ?>



        <div class="main">

            <?php include 'top-bar.php'; ?>



            <main class="content">

                <div class="container-fluid p-0">

                    <?php

                        if ( isset($_GET['pallete_id']) ) {

                            $pallete_id = $_GET['pallete_id'];

                            $palletes = $conn->query( pallete_by_id($pallete_id) )->fetch_assoc();

                        }

                        if( isset($_POST['palletes-update-submit']) ) {
                            $color_id='';
                            if(!empty($_POST['color'])){
                                $color_id=concate_string($_POST['color']);
                            }
                            
                            
                            $pallete_update = $conn->query( pallete_update($pallete_id, $_POST['name'],$color_id));

                            if ( $pallete_update ) {

                                echo '<div class="alert alert-success alert-dismissable fade show">

                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

                                        <strong>Success!</strong> Rocord successfully inserted.

                                    </div>';

                                header("refresh:1, url=palletes.php");
                                exit();
                            } else {

                                echo '<div class="alert alert-danger alert-dismissable">

                                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>

                                        <strong>Error!</strong> '. $conn->error .'

                                    </div>';
                            }

                        }

                    ?>

            		<!-- Edit category -->

                    <div class="card col-lg-8 mx-auto">

                        <div class="card-body">

                            <div class="modal-header">

                                <h4 class="modal-title">Edit <?php echo $palletes['name']; ?></h4>

                                <a href="palletes.php" class="close btn-close">&times;</a>

                            </div>

                            <form action="" method="post" enctype="multipart/form-data">

                				<div class="modal-body">

                                    <div class="row">

                                        <div class="col-md-12 form-group">

                                            <input type="text" placeholder="Name" name="name" value="<?php echo $palletes['name']; ?>" class="form-control" required>

                                        </div>
                                        <div class="mb-2">Choose Colors</div>
                                        <div class="col-md-12 form-group d-flex flex-wrap">
                                        <?php
                                            $add_colors=color_code($palletes['colors']);
                                            $all_colors = $conn->query( color_all_select() );

                                            if( $all_colors ) :

                                                foreach( $all_colors as $color ) :

                                            ?>
                                            <label class="container_check">
                                              <input type="checkbox"  name="color[]" value="<?php echo $color['code']; ?>" <?php if (in_array($color['code'], $add_colors)){ echo 'checked="checked"';}  ?>>
                                              <span class="checkmark" style="background-color: <?php echo $color['code']; ?>"></span>
                                            </label>
                                        
                                        <?php endforeach; endif; ?>
                                        </div>

                                    </div>

                                </div>

                                <div class="modal-footer btn-group w-100">


                                    <a href="palletes.php" class="btn btn-secondary btn-xl">Cancel</a>

                                    <button type="submit" class="btn btn-primary btn-xl" name="palletes-update-submit">Update</button>

                                </div>

                            </form>

                        </div>

                    </div>



                </div>

            </main>

        </div>

    </div>



<?php require 'footer.php'; ?>



<script>

    var loadFile = function (event) {

      var image = document.getElementById("output");

      image.src = URL.createObjectURL(event.target.files[0]);

    };

    $('.opt-select-dpd ul button').on('click', function() {

        $(this).closest('.opt-select-dpd').siblings('#category_id').val($(this).attr('value'));

        $(this).closest('.opt-select-dpd').children('.form-select').text($(this).text());

    });

</script>