<?php
	$page_title = 'Edit Product variations';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">

					<?php

			    	if( isset($_POST['product-variations-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
			    		//inserting data into the database
			    		//$productArray = array();
			    		// foreach( $_POST['product_id'] as $pid ) {
					    		
					    // 	//$deletevariations = $conn->query("DELETE from `wd_product_variations` where `product_id`='".$pid."' ");
			    		// 	array_push($imgArray, $imageName);
					    // 	var_dump($_POST['product_id']);

				    	// }

				    	$productIds = implode(',', $_POST['product_id']);

				    	//var_dump($productIds);
				    	foreach ($_POST['variations'] as $key => $variation) {

			    			//var_dump($variation[$key]);
			    			$imgArray = array();
			    			$selectBoxArray = array();

			    			foreach($_FILES['variations']['name'][$key] as $imgKey => $varImg) {

			    				if( $_FILES['variations']['name'][$key][$imgKey]['file'] != '' ) {
				    				$imageName = image_upload_in_array($_FILES['variations']['name'][$key][$imgKey]['file'], $_FILES['variations']['size'][$key][$imgKey]['file'], $_FILES['variations']['tmp_name'][$key][$imgKey]['file']);
			    				} else {
			    					$imageName = $variation[$imgKey]['main_image'];
			    				}
			    				
			    				array_push($imgArray, $imageName);
			    			}

			    			if( isset($variation['selectBox']) ) {
				    			foreach( $variation['selectBox'] as $selectOptKey => $selectOpt ) {
									array_push($selectBoxArray, $selectOpt);
								}
			    			}

							if ($selectBoxArray) {
								$select = implode(',', $selectBoxArray);
							} else {
								$select = '';
							}

							$image = implode(',', $imgArray);
			    			//$insertVariations = $conn->query(" INSERT INTO `wd_product_variations` (`product_id`, `title`, `description`, `thumb_image`, `main_image`) values ( '".$pid."', '".$variation['title']."', '".$variation['editordata']."', '".$select."', '".$image."' ) ");

			    			$getVariation = $conn->query(" SELECT * from `wd_product_variations` where `id`='".$variation['id']."' ")->fetch_assoc();

			    			if( $getVariation ) {
			    				$updateVariations = $conn->query(" UPDATE `wd_product_variations` set `product_id`='".$productIds."', `title`='".$variation['title']."', `description`='".$variation['editordata']."', `thumb_image`='".$select."', `main_image`='".$image."' where `id`='".$variation['id']."' ");
			    			} else {
			    				$insertVariations = $conn->query(" INSERT INTO `wd_product_variations` (`product_id`, `title`, `description`, `thumb_image`, `main_image`) values ( '".$productIds."', '".$variation['title']."', '".$variation['editordata']."', '".$select."', '".$image."' ) ");
			    			}
			    		}

			    		if( $insertVariations || $updateVariations ) {
			    			echo '<div class="alert alert-success alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Success!</strong> Record successfully inserted.
					                </div>';
					        header("Location: product-variations.php"); exit();
			            } else {
			            	echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
					                </div>';
			            }
			    	}

				    ?>
				    <div class="card" id="addNewProductVarsModal">
					    <form class="form" action="" method="post" enctype="multipart/form-data">
						  	<div class="modal-body">
								<div class="row">
									<div class="col-md-12 form-group">
										<select class="form-select product_select_box" style="width: 100%; height: 50px;" name="product_id[]" required multiple>
											<option value="">Select Product</option>
											<?php 
											$getProducts = explode(',', $_GET['product_id']);

											$products = $conn->query(product_select()); 
											if( $products ) :
												foreach ($products as $product) :
											?>
											<option <?php if( in_array( $product['id'], $getProducts ) ) echo 'selected'; ?> value="<?php echo $product['id']; ?>"><?php echo $product['name']; ?></option>
											<?php endforeach; endif; ?>
										</select>
									</div>
									<div class="product-variations">
										<?php //if( isset($_GET['product_id']) ) {
											$productvariations = $conn->query(" SELECT * from `wd_product_variations` where `product_id`='".$_GET['product_id']."' ");

											foreach( $productvariations as $key => $productOpt ) {
										?>
												<div class="product-opt" data-xcount="<?php echo $key; ?>">
													<div class="col-12">
														<div class="row">
															<div class="col-md-11 form-group">
																<input type="hidden" name="variations[<?php echo $key; ?>][id]" value="<?php echo $productOpt['id']; ?>">
																<input type="text" placeholder="Title" name="variations[<?php echo $key; ?>][title]" class="form-control" required value="<?php echo $productOpt['title']; ?>">
															</div>
															<div class="col-md-1 form-group text-center">
																<button type="button" class="product-opt-remove btn btn-danger" data-id="<?php echo $productOpt['id']; ?>" data-product_id="<?php echo $productOpt['product_id']; ?>"><i class="fas fa-trash"></i></button>
															</div>
														</div>
													</div>
													<div class="col-md-12 form-group">
														<textarea id="summernote<?php if( $key != 0 ) echo '-'.$key; ?>" name="variations[<?php echo $key; ?>][editordata]"><?php echo $productOpt['description']; ?></textarea>
													</div>

													<div class="row selectBox-wrapper">
														<?php 
														if( !empty($productOpt['thumb_image']) ) :
															$allSelectOpts = explode(',', $productOpt['thumb_image']);
															foreach( $allSelectOpts as $selectKey => $selectOpt ) { 
															?>
														<div class="col-md-4 form-group selectBox-inner d-flex align-items-center">
															<input type="text" placeholder="Option" name="variations[<?php echo $key; ?>][selectBox][<?php echo $selectKey; ?>]" class="form-control" value="<?php echo $selectOpt; ?>">
															<button type="button" class="delete-seletopts-toggle btn btn-danger ms-2"><i class="fa fa-trash"></i></button>
														</div>
														<?php } endif; ?>
													</div>
													<div class="col-12 mb-3 text-center">
														<button type="button" class="more-select-toggle btn btn-info"><i class="fa fa-plus"></i> Options</button>
													</div>
													
													<div class="row variationImgsOpt">
														<?php
														if( !empty($productOpt['main_image']) ) :
															$allImgs = explode(',', $productOpt['main_image']);
															foreach( $allImgs as $imgKey => $img ) {
														?>

														<div class="col-md-6 variationImgsOpt-inner" data-imgCounter="<?php echo $imgKey; ?>">
															<h4 class="card-title text-center">Image</h4>
															<div class="profile-pic-box mb-3">
																<div class="profile-pic">
																  	<label class="-label" for="file-<?php echo $key; ?>-<?php echo $imgKey; ?>">
																	    <span class="fas fa-camera"></span>
																	    <span>Upload Image</span>
																	    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
																  	</label>
																  	<input id="file-<?php echo $key; ?>-<?php echo $imgKey; ?>" type="file" name="variations[<?php echo $key; ?>][<?php echo $imgKey; ?>][file]" accept=".png, .jpg, .jpeg, .gif, .svg">
																  	<img src="assets/uploads/<?php echo $img; ?>" id="output" alt="">
																  	<input type="hidden" name="variations[<?php echo $key; ?>][<?php echo $imgKey; ?>][main_image]" value="<?php echo $img; ?>">
																</div>
															</div>
															<button type="button" class="delete-images-toggle btn btn-danger"><i class="fa fa-trash"></i></button>
														</div>
														<?php } endif; ?>
													</div>
													<div class="col-12 mb-3 text-center">
														<button type="button" class="more-images-toggle btn btn-info"><i class="fa fa-plus"></i> Images</button>
													</div>
												</div>
												<script>
													var xcount = <?php echo $key; ?>;

													$(document).ready(function() {
														$('#summernote, #summernote-'+<?php echo $key; ?>).summernote({
													        placeholder: 'Description',
													        tabsize: 2,
													        height: 100
													  	});
													});
												</script>
										<?php
											}
										//}
										?>
									</div>
									<div class="col-12 text-center">
										<button type="button" class="more-variations-toggle btn btn-info">Add More Rows</button>
									</div>
								</div>
						  	</div>
						  	<div class="modal-footer btn-group w-100">
							    <a href="product-variations.php" class="btn btn-secondary btn-xl">Back</a>
							    <button type="submit" class="btn btn-primary btn-xl" name="product-variations-add-submit">Update</button>
						  	</div>
					  	</form>
				    </div>

				</div>
			</main>
		</div>
	</div>

<?php include 'footer.php'; ?>
<script>
	var imgcount = 0;
	var selectcount = 0;
	$('.more-variations-toggle').on('click', function() {
		imgcount = 0;
		selectcount = 0;
		++xcount;
		$('.product-variations').append('<div class="product-opt" data-xcount="'+xcount+'">'
									+'<div class="col-12"><div class="row align-items-center"><div class="col-md-10 form-group">'
										+'<input type="text" placeholder="Title" name="variations['+xcount+'][title]" class="form-control" required>'
									+'</div>'
									+'<div class="col-md-2 form-group text-center">'
										+'<button type="button" class="product-opt-remove btn btn-danger"><i class="fas fa-trash"></i></button>'
									+'</div></div></div>'
									+'<div class="col-md-12 form-group">'
										+'<textarea id="summernote-'+xcount+'" name="variations['+xcount+'][editordata]"></textarea>'
									+'</div>'
									+'<div class="row selectBox-wrapper">'
										+'<div class="col-md-4 form-group selectBox-inner d-flex align-items-center">'
											+'<input type="text" placeholder="Option" name="variations['+xcount+'][selectBox][]" class="form-control">'
											+'<button type="button" class="delete-seletopts-toggle btn btn-danger ms-2"><i class="fa fa-trash"></i></button>'
										+'</div>'
									+'</div>'
									+'<div class="col-12 mb-3 text-center">'
										+'<button type="button" class="more-select-toggle btn btn-info"><i class="fa fa-plus"></i> Options</button>'
									+'</div>'
									+'<div class="row variationImgsOpt">'
										+'<div class="col-md-6 variationImgsOpt-inner" data-imgCounter="'+imgcount+'">'
											+'<h4 class="card-title text-center">Image</h4>'
											+'<div class="profile-pic-box mb-3">'
												+'<div class="profile-pic">'
												  	+'<label class="-label" for="file-'+xcount+'-'+imgcount+'">'
													    +'<span class="fas fa-camera"></span>'
													    +'<span>Upload Image</span>'
													    +'<p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>'
												  	+'</label>'
												  	+'<input id="file-'+xcount+'-'+imgcount+'" type="file" name="variations['+xcount+']['+imgcount+'][file]" accept=".svg">'
												  	+'<img src="img/placeholder.png" alt="">'
												+'</div>'
											+'</div>'
											+'<button type="button" class="delete-images-toggle btn btn-danger"><i class="fa fa-trash"></i></button>'
										+'</div>'
									+'</div>'
									+'<div class="col-12 mb-3 text-center">'
										+'<button type="button" class="more-images-toggle btn btn-info"><i class="fa fa-plus"></i> Images</button>'
									+'</div>'
								+'</div>');
		$('#summernote-'+xcount).summernote({
	        placeholder: 'Description',
	        tabsize: 2,
	        height: 100
	  	});
	});

	$('#addNewProductVarsModal').on('click', '.more-images-toggle', function() {
		//console.log('yes');
		xcount = Number( $(this).closest('.product-opt').data('xcount') );

		imgcount = Number( $(this).parent().siblings('.variationImgsOpt').find('.variationImgsOpt-inner').length );
		//++imgcount;
		$(this).parent().siblings('.variationImgsOpt').append('<div class="col-md-6 variationImgsOpt-inner" data-imgCounter="'+imgcount+'">'
											+'<h4 class="card-title text-center">Image</h4>'
											+'<div class="profile-pic-box mb-3">'
												+'<div class="profile-pic">'
												  	+'<label class="-label" for="file-'+xcount+'-'+imgcount+'">'
													    +'<span class="fas fa-camera"></span>'
													    +'<span>Upload Image</span>'
													    +'<p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>'
												  	+'</label>'
												  	+'<input id="file-'+xcount+'-'+imgcount+'" type="file" name="variations['+xcount+']['+imgcount+'][file]" accept=".svg">'
												  	+'<img src="img/placeholder.png" alt="">'
												+'</div>'
											+'</div>'
											+'<button type="button" class="delete-images-toggle btn btn-danger"><i class="fa fa-trash"></i></button>'
										+'</div>'
									+'</div>'
								+'</div>');
	});

	$('#addNewProductVarsModal').on('click', '.more-select-toggle', function() {
		//console.log('yes');
		xcount = Number( $(this).closest('.product-opt').data('xcount') );
		selectcount = Number( $(this).parent().siblings('.selectBox-wrapper').find('.selectBox-inner').length );
		//++selectcount;
		$(this).parent().siblings('.selectBox-wrapper').append('<div class="col-md-4 selectBox-inner form-group d-flex align-items-center">'
											+'<input type="text" placeholder="Option" name="variations['+xcount+'][selectBox][]" class="form-control">'
											+'<button type="button" class="delete-seletopts-toggle btn btn-danger ms-2"><i class="fa fa-trash"></i></button>'
										+'</div>');
	});

	$('.product-variations').on('change', '.profile-pic input', function(event){
	  	$(this).siblings('img').attr('src', URL.createObjectURL(event.target.files[0]));
	});

	$('.product-variations').on('click', '.delete-seletopts-toggle', function(){
		$(this).closest('.selectBox-inner').remove();
	});

	$('.product-variations').on('click', '.delete-images-toggle', function(){
		$(this).closest('.variationImgsOpt-inner').remove();
	});

	$('.product-variations').on('click', '.product-opt-remove', function(){
		var $thisElem = $(this);
		$.ajax({
		    type: 'post',
		    cache: false,
		    url: 'inc/deleteProductVariation.php',
		    data: { id:$thisElem.data('id'), product_id:$thisElem.data('product_id') },
		    success: function(result){
		    	$thisElem.closest('.product-opt').remove();
		    }
	    });
	});

	$(document).ready(function() {
		$('.product_select_box').select2({
			theme: 'classic',
			placeholder: 'Select Product(s)'
		});
	});

</script>