<?php  

    $page_title = 'Edit Symbol';

    include 'header.php'; 

    include 'functions.php'; 

    require 'paginator.class.php';

?>



    <div class="wrapper">

        <?php include 'sidebar.php'; ?>



        <div class="main">

            <?php include 'top-bar.php'; ?>



            <main class="content">

                <div class="container-fluid p-0">

                    <?php

                        if ( isset($_GET['symbol_id']) ) {

                            $symbol_id = $_GET['symbol_id'];

                            $symbol = $conn->query( symbol_by_id($symbol_id) )->fetch_assoc();

                        }

                        if( isset($_POST['symbol-update-submit']) ) {



                            $image = '';

                            if($_FILES['file']['name'] != '') {

                                $image = image_upload($_FILES['file']);

                            } else {

                                $image = $_POST['thumb'];

                            }

                            if( $image ) {



                                $symbol_update = $conn->query( symbol_update($symbol_id, $_POST['name'], $image, date("Y/m/d h:i:s A")) );



                                if ( $symbol_update ) {



                                    echo '<div class="alert alert-success alert-dismissable fade show">

                                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

                                            <strong>Success!</strong> Rocord successfully Updated.

                                        </div>';



                                    header("refresh:1, url=symbols.php");

                                    exit();

                                } else {

                                    echo '<div class="alert alert-danger alert-dismissable">

                                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>

                                            <strong>Error!</strong> '. $conn->error .'

                                        </div>';

                                }

                            }

                        }

                    ?>

            		<!-- Edit symbol -->

                    <div class="card col-lg-8 mx-auto">

                        <div class="card-body">

                            <div class="modal-header">

                                <h4 class="modal-title">Edit <?php echo $symbol['name']; ?></h4>

                                <a href="symbols.php" class="close btn-close">&times;</a>

                            </div>

                            <form action="" method="post" enctype="multipart/form-data">

                				<div class="modal-body">

                                    <div class="row">

                                        <div class="col-md-12 form-group">

                                            <input type="text" placeholder="Name" name="name" value="<?php echo $symbol['name']; ?>" class="form-control" required>

                                        </div>

                                        <div class="col-md-12">

                                            <h4 class="card-title text-center">Thumb Image</h4>

                                            <div class="profile-pic-box mb-3">

                                                <div class="profile-pic">

                                                    <label class="-label" for="file">

                                                        <span class="fas fa-camera"></span>

                                                        <span>Upload Image</span>

                                                        <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

                                                    </label>

                                                    <input id="file" type="file" name="file" accept="image/*" onchange="loadFile(event)">

                                                    <img src="assets/uploads/<?php echo $symbol['thumb']; ?>" id="output" alt="">

                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                </div>

                                <div class="modal-footer btn-group w-100">

                                    <input type="hidden" name="thumb" value="<?php echo $symbol['thumb']; ?>">

                                    <a href="symbols.php" class="btn btn-secondary btn-xl">Cancel</a>

                                    <button type="submit" class="btn btn-primary btn-xl" name="symbol-update-submit">Update</button>

                                </div>

                            </form>

                        </div>

                    </div>



                </div>

            </main>

        </div>

    </div>



<?php require 'footer.php'; ?>



<script>

    var loadFile = function (event) {

      var image = document.getElementById("output");

      image.src = URL.createObjectURL(event.target.files[0]);

    };

</script>