<?php
if ( $_SERVER['REQUEST_METHOD']=='GET' && realpath(__FILE__) == realpath( $_SERVER['SCRIPT_FILENAME'] ) ) {
  header( 'HTTP/1.0 403 Forbidden', TRUE, 403 );
  die( header( 'location: '. $url .'404.php' ) );
}

function bloginfo($template_url) {
	if( $template_url == 'template_url' ) :
		return 'wd-content/theme/';
	endif;
}

//image upload
function image_upload_in_array($name, $size, $tmp_name) {
	// Upload and Rename File
	$inc = 1;
	$filename = $name;
	$file_basename = substr($filename, 0, strripos($filename, '.')); // get file extention
	$file_ext = substr($filename, strripos($filename, '.')); // get file name
	$filesize = $size;
	$allowed_file_types = array('.jpg','.jpeg','.gif','.png', '.svg', '.webp');

	if (in_array($file_ext,$allowed_file_types) && ($filesize < 3000000)) {	
		// Rename file
		$inc = rand(0,1000000);
		$newfilename = $inc . md5($file_basename) . $file_ext;
		if($_SESSION['userRole'] == 'admin') {
			if (file_exists("assets/uploads/" . $newfilename)) {
				// file already exists error
				echo '<div class="alert alert-danger alert-dismissable fade show">
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    <strong>Error!</strong> You have already uploaded this file.
                </div>';
			} else {		
				move_uploaded_file($tmp_name, "assets/uploads/" . $newfilename);
				return $newfilename;	
			}
		} else if($_SESSION['userRole'] == 'salesman') {
			if (file_exists("../assets/uploads/" . $newfilename)) {
				// file already exists error
				echo '<div class="alert alert-danger alert-dismissable fade show">
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    <strong>Error!</strong> You have already uploaded this file.
                </div>';
			} else {		
				move_uploaded_file($tmp_name, "assets/uploads/" . $newfilename);
				return $newfilename;	
			}
		}
	} elseif (empty($file_basename)) {	
		// file selection error
		echo '<div class="alert alert-danger alert-dismissable fade show">
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                <strong>Error!</strong> Please select a file to upload.
            </div>';
	} elseif ($filesize > 3000000) {	
		// file size error
		echo '<div class="alert alert-danger alert-dismissable fade show">
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                <strong>Error!</strong> The file you are trying to upload is too large.
            </div>';
	} else {
		// file type error
		echo '<div class="alert alert-danger alert-dismissable fade show">
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                <strong>Error!</strong> Only these file typs are allowed for upload: '. implode(', ',$allowed_file_types) . '</div>'; 
		unlink($tmp_name);
	}
}

//image upload
function image_upload($array) {
	// Upload and Rename File
	$inc = 1;
	$filename = $array["name"];
	$file_basename = substr($filename, 0, strripos($filename, '.')); // get file extention
	$file_ext = substr($filename, strripos($filename, '.')); // get file name
	$filesize = $array["size"];
	$allowed_file_types = array('.jpg','.jpeg','.gif','.png', '.svg', '.webp', '.pfs');

	if( $file_ext == '.ttf' || $file_ext == '.woff' || $file_ext == '.woff2' ) {
		$inc = rand(0,1000000);
		$newfilename = $file_basename . $file_ext;
		if (file_exists("assets/uploads/" . $newfilename)) {
			// file already exists error
			echo '<div class="alert alert-danger alert-dismissable fade show">
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                <strong>Error!</strong> You have already uploaded this file.
            </div>';
		} else {		
			move_uploaded_file($array["tmp_name"], "assets/uploads/fonts/" . $newfilename);
			return $newfilename;
		}

	} else if (in_array($file_ext,$allowed_file_types) && ($filesize < 3000000)) {	
		// Rename file
		$inc = rand(0,1000000);
		$newfilename = $inc . md5($file_basename) . $file_ext;
		if($_SESSION['userRole'] == 'admin') {
			if (file_exists("assets/uploads/" . $newfilename)) {
				// file already exists error
				echo '<div class="alert alert-danger alert-dismissable fade show">
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    <strong>Error!</strong> You have already uploaded this file.
                </div>';
			} else {		
				move_uploaded_file($array["tmp_name"], "assets/uploads/" . $newfilename);
				return $newfilename;	
			}
		} else if($_SESSION['userRole'] == 'salesman') {
			if (file_exists("../assets/uploads/" . $newfilename)) {
				// file already exists error
				echo '<div class="alert alert-danger alert-dismissable fade show">
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    <strong>Error!</strong> You have already uploaded this file.
                </div>';
			} else {		
				move_uploaded_file($array["tmp_name"], "assets/uploads/" . $newfilename);
				return $newfilename;	
			}
		}
	} elseif (empty($file_basename)) {	
		// file selection error
		echo '<div class="alert alert-danger alert-dismissable fade show">
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                <strong>Error!</strong> Please select a file to upload.
            </div>';
	} elseif ($filesize > 3000000) {	
		// file size error
		echo '<div class="alert alert-danger alert-dismissable fade show">
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                <strong>Error!</strong> The file you are trying to upload is too large.
            </div>';
	} else {
		// file type error
		echo '<div class="alert alert-danger alert-dismissable fade show">
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                <strong>Error!</strong> Only these file typs are allowed for upload: '. implode(', ',$allowed_file_types) . '</div>'; 
		unlink($array["tmp_name"]);
	}
}
// string concate
function concate_string($color_id){
	$cur_string='';$count=0;
	foreach ($color_id as $value) {
		//var_dump($value);
		if($count==0){
			$cur_string="".$value."";
		}
		else{
			$cur_string=$cur_string."|".$value;
		}
		$count++;
		
	}
	return $cur_string;
}
// string Explod
function color_code($str){
	$arr = array();
	$arr=explode("|",$str);
	//var_dump($arr);
	return $arr; 
}

//total
function users() {
	$users = $conn->query("SELECT count(id) from `wd_users` where `role`='admin'");
	$user = $users->fetch_array();
	return $user[0];
}

//user
function user_select() {
	return "select * from `wd_users`";
}
function user_insert( $name, $email, $password, $date, $role ) {
	return $conn->query("INSERT into `wd_users` ( `name`, `email`, `password`, `join_date`, `role` ) values ( '$name', '$email', '$password', '$date', '$role' ) ");
}

function user_update( $id, $name, $username, $password, $email, $date, $role, $phone, $address, $state, $city, $zipcode, $age, $gender ) {
	return $conn->query("UPDATE `wd_users` set `name`='$name', `username`='$username', `password`='$password', `email`='$email', `join_date`='$date', `role`='$role', `phone`='$phone', `address`='$address', `state`='$state', `city`='$city', `zip_code`='$zipcode', `age`='$age', `gender`='$gender' where `id`='$id'");
}
function user_by_id( $id ) {
	return $conn->query("SELECT * from `wd_users` where `id`='$id'");
}
function user_check_email( $email ) {
	return $conn->query("SELECT `id`, `name`, `email` from `wd_users` where `email`='$email'");
}
function user_password_change( $password, $email, $id ) {
	return $conn->query("UPDATE `wd_users` SET `password` = '$password' where `email` = '$email' and `id` = '$id' ");
}
function user_token_number( $token, $email ) {
	return $conn->query("UPDATE `wd_users` set `token` = '$token' where `email` = '$email'");
}
function user_token_select( $email ) {
	return $conn->query("SELECT `token` from `wd_users` where `email` = '$email'");
}
function user_status_update( $id, $status ) {
	return $conn->query("UPDATE `wd_users` SET `status`='$status' where `id`='$id'");
}
function user_new() {
	return "SELECT * from `wd_users` where `status`='Unapprove'";
}
// customers
function customer_select() {
	return "SELECT * from `wd_customers` order by `id` desc";
}
function customer_delete($id) {
	return "DELETE from `wd_customers` where `id`='$id'";
}
function customer_search_name($name) {
	return 'SELECT * from `wd_customers` where `name` like "%'. $name .'%" order by `id` desc';
}
function customer_by_id($id) {
	return "SELECT * from `wd_customers` where `id`='$id'";
}

// Categories
function category_select() {
	return 'SELECT * from `wd_categories`';
}
function category_select_parent() {
	return 'SELECT * from `wd_categories` where `parent_id`=0';
}
function category_select_parent_by_rank() {
	return 'SELECT * from `wd_categories` where `parent_id`=0 order by `rank_order` asc';
}
function category_delete($id) {
	return "DELETE from `wd_categories` where `id`='$id'";
}
function category_insert($name, $thumb, $description, $parent_id, $created_at) {
	return "INSERT into `wd_categories` (name, thumb, description, parent_id, created_at) values ('$name','$thumb','$description', '$parent_id', '$created_at')";
}
function category_search_name($name) {
	return 'SELECT * from `wd_categories` where `parent_id`=0 and `name` like "%'. $name .'%"';
}
function category_select_parent_id($id) {
	return 'SELECT * from `wd_categories` where `parent_id`="'. $id .'"';
}
function category_by_id($id) {
	return "SELECT * from `wd_categories` where `id`='$id'";
}
function category_update($id, $name, $thumb, $description, $parent_id, $updated_at) {
	return 'UPDATE `wd_categories` SET `name`="'.$name.'", `thumb`="'.$thumb.'", `description`="'.$description.'", `parent_id`="'.$parent_id.'", `updated_at`="'.$updated_at.'" where `id`="'.$id.'"';
}
function getChildCats($variable, $id) {
    $results = $GLOBALS['conn']->query("SELECT * from `wd_categories` where `parent_id` = '$id'");
    $raws = array();
    if( $results->num_rows > 0 ) :

    	echo '<div class="ms-2">';

    	foreach( $results as $key => $result ) :

    		if( $variable == 'text' ) :

    			echo '<small class="d-block">'. $result['name'] .'</small>';

    		elseif( $variable == 'check' ) :

    			if( isset($_GET['category_id']) ) : if( $_GET['category_id'] ==  $result['id'] ) : continue; endif; endif;

    			?>
    				<div class="catSub_segment">
								<label class="form-check">
		                <input type="checkbox" name="cat_segment[]" class="form-check-input" value="<?php echo $result['id']; ?>" 
		                	<?php if( isset($_GET['category_id']) ) : if( $_GET['category_id'] ==  $result['parent_id'] ) : echo 'checked'; endif; endif; ?>> 
		                <?php echo $result['name']; ?>
		            </label>
		        </div>
		       	<?php

		    elseif( $variable == 'product-check' ) :

		    	$category_ids = '';
		    	if( isset($_GET['cts']) ) :
		    		$category_ids = explode('|', $_GET['cts']);
		    	endif;

    			?>
    				<div class="catSub_segment">
								<label class="form-check">
		                <input type="checkbox" name="cat_segment[]" class="form-check-input" value="<?php echo $result['id']; ?>" 
		                	<?php foreach( $category_ids as $product_cat ) : if( $result['id'] == $product_cat ) : echo 'checked'; endif; endforeach; ?>> 
		                <?php echo $result['name']; ?>
		            </label>
		        </div>
		       	<?php


    		endif;

    		//$raws[$key] = $result;
    		$raws['sub'] = getChildCats($variable, $result['id']);
    		
    	endforeach;

    	echo '</div>';

    	//return $raws;
    endif;
}

// Products
function product_select() {
	return 'SELECT * from `wd_products` order by `rank_order` asc';
}
function product_delete($id) {
	return "DELETE from `wd_products` where `id`='$id'";
}
function product_copy($id) {
	return "INSERT into `wd_products` (`name`, `thumb_image`, `main_image`, `category_id`, `design_id`, `price`, `description`, `pallete_id`, `emb_pallete_id`, `visible`, `rank_order`, `featured`, `created_at`, `updated_at`) select `name`, `thumb_image`, `main_image`, `category_id`, `design_id`, `price`, `description`, `pallete_id`, `emb_pallete_id`, `visible`, `rank_order`, `featured`, `created_at`, `updated_at` from `wd_products` where id ='".$id."'";
}
function product_by_id($id) {
	return "SELECT * from `wd_products` where `id`='$id'";
}
function product_search_name($name) {
	return 'SELECT * from `wd_products` where `name` like "%'. $name .'%"';
}
function product_insert($name, $thumb_image, $main_image, $category_id, $price, $description, $emb_pallete_id, $created_at) {
	return "INSERT into `wd_products` (
		`name`, 
		`thumb_image`, 
		`main_image`, 
		`category_id`, 
		`price`, 
		`description`,
		`emb_pallete_id`, 
		`created_at`
		) values (
		'$name', 
		'$thumb_image', 
		'$main_image', 
		'$category_id', 
		'$price', 
		'$description', 
		'$emb_pallete_id',
		'$created_at'
	)";
}
function product_update($id, $name, $thumb_image, $main_image, $category_id, $price, $description, $pallete_id, $emb_pallete_id, $updated_at) {
	return 'UPDATE `wd_products` SET `name`="'.$name.'",`thumb_image`="'.$thumb_image.'",`main_image`="'.$main_image.'",`category_id`="'.$category_id.'",`price`="'.$price.'",`description`="'.$description.'", `pallete_id`="'. $pallete_id .'", `emb_pallete_id`="'. $emb_pallete_id .'", `updated_at`="'.$updated_at.'" where `id`="'.$id.'"';
}
function getProducts_ByCategory($category_id) {
	return 'SELECT * from `wd_products` where `category_id` REGEXP "'. $category_id .'" order by `rank_order` asc';
}
// Front End Part
function get_products_by_category($category_id) {
	return 'SELECT * from `wd_products` where `category_id`="'. $category_id .'" order by `rank_order` asc';
}
function get_products_by_category_orderby_id($category_id) {
	return 'SELECT * from `wd_products` where `category_id`="'. $category_id .'" order by `id` asc';
}
function get_products_by_categoryINSTR($category_id) {
	return 'SELECT * from `wd_products` where `category_id` REGEXP "'. $category_id .'" order by `id` asc';
	
}

// Colors
function color_select() {
	return 'SELECT * from `wd_colors` ';
}
function color_select_id($id) {
	return "SELECT * from `wd_colors` where `pallete_id`='$id'";
}
function color_all_select() {
	return "SELECT DISTINCT `code` from `wd_colors`";
}
function color_delete($id) {
	return "DELETE from `wd_colors` where `id`='$id'";
}
function color_insert($name, $code, $pallete_id) {
	return "INSERT into `wd_colors` (name, code, pallete_id) values ('$name','$code','$pallete_id')";
}
function color_search_name($name) {
	return 'SELECT * from `wd_colors` where `name` like "%'. $name .'%"';
}

// Pantone Colors
function pantone_color_select() {
	return 'SELECT * from `wd_pantone_colors` ';
}
function pantone_color_select_id($id) {
	return "SELECT * from `wd_pantone_colors` where `pallete_id`='$id'";
}
function pantone_color_all_select() {
	return "SELECT DISTINCT `code` from `wd_pantone_colors`";
}
function pantone_color_delete($id) {
	return "DELETE from `wd_pantone_colors` where `id`='$id'";
}
function pantone_color_insert($name, $code) {
	return "INSERT into `wd_pantone_colors` (name, code) values ('$name','$code')";
}
function pantone_color_search_name($name) {
	return 'SELECT * from `wd_pantone_colors` where `name` like "%'. $name .'%"';
}

// Pallets
function pallete_select() {
	return 'SELECT * from `wd_color_palettes` order by `rank_order` asc';
}
function pallete_delete($id) {
	return "DELETE from `wd_color_palettes` where `id`='$id'";
}
function pallete_insert($name,$color_id,$visible,$featured) {
	return "INSERT into `wd_color_palettes` (`name`, `colors`, `visible`, `featured`) values ('$name','$color_id','$visible','$featured')";
}
function pallete_update($id, $name, $color_id) {
	return 'UPDATE `wd_color_palettes` SET `name`="'.$name.'", `colors`="'.$color_id.'" where `id`="'.$id.'"';
}
function pallete_by_id($id) {
	return "SELECT * from `wd_color_palettes` where `id`='$id'";
}
function pallete_search_name($name) {
	return 'SELECT * from `wd_color_palettes` where `name` like "%'. $name .'%"';
}


// Designs
function design_select() {
	return 'SELECT * from `wd_designs`';
}
function design_delete($id) {
	return "DELETE from `wd_designs` where `id`='$id'";
}
function design_insert($name, $main_image, $product_id, $price, $description, $pallete_id, $created_at) {
	return "INSERT into `wd_designs` (name, main_image, product_id, price, description, pallete_id, created_at) values ('$name', '$main_image', '$product_id', '$price', '$description', '$pallete_id', '$created_at')";
}
function design_select_by_rank() {
	return 'SELECT * from `wd_designs` where `svg`="" order by `rank_order` asc';
}
function master_design_select_by_rank() {
	return 'SELECT * from `wd_designs` where `svg`="Master" order by `rank_order` asc';
}
function design_update($id, $name, $main_image, $product_id, $price, $description, $pallete_id, $updated_at) {
	return 'UPDATE `wd_designs` SET `name`="'. $name .'", `main_image`="'. $main_image .'", `product_id`="'. $product_id .'", `price`="'. $price .'", `description`="'. $description .'", `pallete_id`="'. $pallete_id .'", `updated_at`="'. $updated_at .'" where `id`="'.$id.'"';
}
function design_by_id($id) {
	return "SELECT * from `wd_designs` where `id`='$id'";
}
function design_by_product_orderby_id($product_id){
	return 'SELECT * from `wd_designs` where `product_id` REGEXP "'. $product_id .'" and svg="" order by `id` desc';
}
function design_by_id_orderby_id() {
	return "SELECT * from `wd_designs` where `svg`='' order by `id` desc";
}
function design_by_id_orderby_rank($id) {
	return "SELECT * from `wd_designs` where `id`='$id' order by `rank_order` asc";
}
function design_search_name($name) {
	return 'SELECT * from `wd_designs` where `svg`="" and `name` like "%'. $name .'%"';
}
function master_design_search_name($name) {
	return 'SELECT * from `wd_designs` where `svg`="Master" and `name` like "%'. $name .'%"';
}
function master_design_insert($name, $main_image, $svg, $product_id, $price, $description, $pallete_id, $created_at) {
	return "INSERT into `wd_designs` (name, main_image, svg, product_id, price, description, pallete_id, created_at) values ('$name', '$main_image', '$svg', '$product_id', '$price', '$description', '$pallete_id', '$created_at')";
}

// Design Layers
function design_layers_by_design_id() {
	return "SELECT * from `wd_design_layers` where `id`='$id'";
}
function design_layers_insert( $layer_name, $layer_id, $layer_code, $design_id, $layer_type, $default_color, $gradient, $created_at ) {
	return "INSERT into `wd_design_layers` (layer_name, layer_id, layer_code, design_id, layer_type, default_color, gradient, created_at) values ('$layer_name', '$layer_id', '$layer_code', '$design_id', '$layer_type', '$default_color', '$gradient', '$created_at')";
}
function master_design_layers_insert( $layer_name, $layer_id, $layer_code, $design_id, $layer_type, $default_color, $logos, $texts, $symbols, $numbers, $x_axis, $y_axis, $scale, $rotate, $fontsize, $created_at ) {
	return "INSERT into `wd_design_layers` (layer_name, layer_id, layer_code, design_id, layer_type, default_color, logos, texts, symbols, numbers, x_axis, y_axis, scale, rotate, fontsize, created_at) values ('$layer_name', '$layer_id', '$layer_code', '$design_id', '$layer_type', '$default_color', '$logos', '$texts', '$symbols', '$numbers', '$x_axis', '$y_axis', '$scale', '$rotate', '$fontsize', '$created_at')";
}
function design_layers_update( $pid, $layer_name, $layer_id, $layer_code, $design_id, $layer_type, $default_color, $gradient, $updated_at ) {
	return "UPDATE `wd_design_layers` 
	SET 
	`layer_name`='$layer_name', 
	`layer_id`='$layer_id', 
	`layer_code`='$layer_code',
	`design_id`='$design_id',
	`layer_type`='$layer_type',
	`default_color`='$default_color',
	`gradient`='$gradient',
	`updated_at`='$updated_at'
	where 
	`id`='$pid'";
}
function master_design_layers_update( $pid, $layer_name, $layer_id, $layer_code, $design_id, $layer_type, $default_color, $logos, $texts, $symbols, $numbers, $x_axis, $y_axis, $scale, $rotate, $fontsize, $updated_at ) {
	return "UPDATE `wd_design_layers` 
	SET 
	`layer_name`='$layer_name', 
	`layer_id`='$layer_id', 
	`layer_code`='$layer_code',
	`design_id`='$design_id',
	`layer_type`='$layer_type',
	`default_color`='$default_color',
	`logos`='$logos',
	`texts`='$texts',
	`symbols`='$symbols',
	`numbers`='$numbers',
	`x_axis`='$x_axis',
	`y_axis`='$y_axis',
	`scale`='$scale',
	`rotate`='$rotate',
	`fontsize`='$fontsize',
	`updated_at`='$updated_at'
	where 
	`id`='$pid'";
}

// Symbols
function symbol_select() {
	return 'SELECT * from `wd_symbols`';
}
function symbol_select_parent() {
	return 'SELECT * from `wd_symbols` where `parent_id`=0';
}
function symbol_select_parent_by_rank() {
	return 'SELECT * from `wd_symbols` order by `rank_order` asc';
}
function symbol_delete($id) {
	return "DELETE from `wd_symbols` where `id`='$id'";
}
function symbol_insert($name, $thumb, $created_at) {
	return "INSERT into `wd_symbols` (name, thumb, created_at) values ('$name', '$thumb', '$created_at')";
}
function symbol_search_name($name) {
	return 'SELECT * from `wd_symbols` where `name` like "%'. $name .'%"';
}
function symbol_by_id($id) {
	return "SELECT * from `wd_symbols` where `id`='$id'";
}
function symbol_update($id, $name, $thumb, $updated_at) {
	return 'UPDATE `wd_symbols` SET `name`="'.$name.'", `thumb`="'.$thumb.'", `updated_at`="'.$updated_at.'" where `id`="'.$id.'"';
}

// Logos
function logo_select() {
	return 'SELECT * from `wd_logos`';
}
function logo_select_parent() {
	return 'SELECT * from `wd_logos` where `parent_id`=0';
}
function logo_select_parent_by_rank() {
	return 'SELECT * from `wd_logos` order by `rank_order` asc';
}
function logo_delete($id) {
	return "DELETE from `wd_logos` where `id`='$id'";
}
function logo_insert($name, $thumb, $created_at) {
	return "INSERT into `wd_logos` (name, thumb, created_at) values ('$name', '$thumb', '$created_at')";
}
function logo_search_name($name) {
	return 'SELECT * from `wd_logos` where `name` like "%'. $name .'%"';
}
function logo_by_id($id) {
	return "SELECT * from `wd_logos` where `id`='$id'";
}
function logo_update($id, $name, $thumb, $updated_at) {
	return 'UPDATE `wd_logos` SET `name`="'.$name.'", `thumb`="'.$thumb.'", `updated_at`="'.$updated_at.'" where `id`="'.$id.'"';
}

// Embellishments
function embellishment_select() {
	return 'SELECT * from `wd_embellishments`';
}
function embellishment_select_parent() {
	return 'SELECT * from `wd_embellishments` where `parent_id`=0';
}
function embellishment_select_parent_by_rank() {
	return 'SELECT * from `wd_embellishments` order by `rank_order` asc';
}
function embellishment_delete($id) {
	return "DELETE from `wd_embellishments` where `id`='$id'";
}
function embellishment_insert($name, $thumb, $main_image, $emb_pallete_id, $created_at) {
	return "INSERT into `wd_embellishments` (name, thumb, main_image, emb_pallete_id, created_at) values ('$name', '$thumb', '$main_image', '$emb_pallete_id', '$created_at')";
}
function embellishment_search_name($name) {
	return 'SELECT * from `wd_embellishments` where `name` like "%'. $name .'%"';
}
function embellishment_by_id($id) {
	return "SELECT * from `wd_embellishments` where `id`='$id' order by `rank_order` asc";
}
function embellishment_update($id, $name, $thumb, $main_image, $emb_pallete_id, $updated_at) {
	return 'UPDATE `wd_embellishments` SET `name`="'.$name.'", `thumb`="'.$thumb.'", `main_image`="'.$main_image.'", `emb_pallete_id`="'.$emb_pallete_id.'", `updated_at`="'.$updated_at.'" where `id`="'.$id.'"';
}
function embellishment_by_pallete_id($emb_pallete_id) {
	return 'SELECT * from `wd_embellishments` where `emb_pallete_id`="'.$emb_pallete_id.'" order by `id` desc';
} 
// Embellishments Palletes
function embellishment_pallete_select() {
	return 'SELECT * from `wd_embellishments_palletes`';
}
function embellishment_pallete_delete($id) {
	return "DELETE from `wd_embellishments_palletes` where `id`='$id'";
}
function embellishment_pallete_insert($name,$emb_ids,$visible) {
	return "INSERT into `wd_embellishments_palletes` (`name`, `emb_ids`, `visible`) values ('$name','$emb_ids','$visible')";
}
function embellishment_pallete_update($id, $name, $emb_ids) {
	return 'UPDATE `wd_embellishments_palletes` SET `name`="'.$name.'", `emb_ids`="'.$emb_ids.'" where `id`="'.$id.'"';
}
function embellishment_pallete_by_id($id) {
	return "SELECT * from `wd_embellishments_palletes` where `id`='$id'";
}
function embellishment_pallete_search_name($name) {
	return 'SELECT * from `wd_embellishments_palletes` where `name` like "%'. $name .'%"';
}

// Numbers
function number_select() {
	return 'SELECT * from `wd_numbers`';
}
function number_select_parent() {
	return 'SELECT * from `wd_numbers` where `parent_id`=0';
}
function number_select_parent_by_rank() {
	return 'SELECT * from `wd_numbers` order by `rank_order` asc';
}
function number_delete($id) {
	return "DELETE from `wd_numbers` where `id`='$id'";
}
function number_insert($name, $thumb, $created_at) {
	return "INSERT into `wd_numbers` (name, thumb, created_at) values ('$name', '$thumb', '$created_at')";
}
function number_search_name($name) {
	return 'SELECT * from `wd_numbers` where `name` like "%'. $name .'%"';
}
function number_by_id($id) {
	return "SELECT * from `wd_numbers` where `id`='$id'";
}
function number_update($id, $name, $thumb, $updated_at) {
	return 'UPDATE `wd_numbers` SET `name`="'.$name.'", `thumb`="'.$thumb.'", `updated_at`="'.$updated_at.'" where `id`="'.$id.'"';
}

// Fonts
function font_select() {
	return 'SELECT * from `wd_fonts`';
}
function font_select_parent_by_rank() {
	return 'SELECT * from `wd_fonts` where `visible`="Y" order by `rank_order` asc';
}
function font_delete($id) {
	return "DELETE from `wd_fonts` where `id`='$id'";
}
function font_insert($name, $thumb, $created_at) {
	return "INSERT into `wd_fonts` (name, thumb, created_at) values ('$name', '$thumb', '$created_at')";
}
function font_search_name($name) {
	return 'SELECT * from `wd_fonts` where `name` like "%'. $name .'%"';
}
function font_by_id($id) {
	return "SELECT * from `wd_fonts` where `id`='$id'";
}
function font_update($id, $name, $thumb, $updated_at) {
	return 'UPDATE `wd_fonts` SET `name`="'.$name.'", `thumb`="'.$thumb.'", `updated_at`="'.$updated_at.'" where `id`="'.$id.'"';
}

// Collars
function collar_select() {
	return 'SELECT * from `wd_collars`';
}
function collar_select_parent() {
	return 'SELECT * from `wd_collars` where `parent_id`=0';
}
function collar_select_parent_by_rank() {
	return 'SELECT * from `wd_collars` order by `rank_order` asc';
}
function collar_delete($id) {
	return "DELETE from `wd_collars` where `id`='$id'";
}
function collar_insert($name, $thumb, $created_at) {
	return "INSERT into `wd_collars` (name, thumb, created_at) values ('$name', '$thumb', '$created_at')";
}
function collar_search_name($name) {
	return 'SELECT * from `wd_collars` where `name` like "%'. $name .'%"';
}
function collar_by_id($id) {
	return "SELECT * from `wd_collars` where `id`='$id'";
}
function collar_update($id, $name, $thumb, $updated_at) {
	return 'UPDATE `wd_collars` SET `name`="'.$name.'", `thumb`="'.$thumb.'", `updated_at`="'.$updated_at.'" where `id`="'.$id.'"';
}

//Orders
function order_select() {
	return 'SELECT * from `wd_orders`';
}
function order_delete($id) {
	return "DELETE from `wd_orders` where `order_id`='$id'";
}
function order_search_customer($id) {
	return 'SELECT DISTINCT `order_id`, `created_at` from `wd_orders` where `customer_id`="$id"';
}
function order_by_id($id) {
	return "SELECT * from `wd_orders` where `id`='$id'";
}
function order_search_by_date($date) {
	return 'SELECT DISTINCT `order_id`, `created_at` from `wd_orders` where `created_at`="$date"';
}

// Product Options
function product_options_select() {
	return 'SELECT * from `wd_product_options`';
}
function product_options_delete($id) {
	return "DELETE from `wd_product_options` where `product_id`='$id'";
}
function product_options_search_by_product_name($name) {
	return 'SELECT * from `wd_products` where `name`="$name"';
}
// Product Attributes
function product_attributes_select() {
	return 'SELECT * from `wd_product_attributes`';
}
function product_attributes_delete($id) {
	return "DELETE from `wd_product_attributes` where `id`='$id'";
}
function product_attributes_search($name) {
	return 'SELECT * from `wd_product_attributes` where `name`="$name"';
}
// Product Variations
// Product Options
function product_variations_select() {
	return 'SELECT * from `wd_product_variations`';
}
function product_variations_delete($id) {
	return "DELETE from `wd_product_variations` where `product_id`='$id'";
}
function product_variations_search_by_product_name($name) {
	return 'SELECT * from `wd_products` where `name`="$name"';
}