<?php

	$page_title = 'Products';

	include 'header.php'; 

	include 'functions.php'; 

	require 'paginator.class.php';

?>



	<div class="wrapper">

		<?php include 'sidebar.php'; ?>



		<div class="main">

			<?php include 'top-bar.php'; ?>



			<main class="content">

				<div class="container-fluid p-0">



					<div class="d-flex justify-content-between mb-3 align-items-center">

						<h4 class="card-title mb-0">Products</h4>

						
			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewProductModal">

							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>

						</button>

						

					</div>
					<?php



					if( isset($_POST['sort_by_submit']) ) :

			    		$q_result = $conn->query( 'UPDATE `wd_options` SET `option_value`="'. $_POST['sort_by_submit'] .'" where `option_name`="product_order"' );



			    		if( $q_result ) :

			    			echo '<div class="alert alert-success alert-dismissable fade show">

			                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Success!</strong>.

				                </div>';

				        else :

				        	echo '<div class="alert alert-danger alert-dismissable fade show">

			                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'

				                </div>';

				        endif;

				    endif;



					?>

					<div class="row">

						<div class="col-md-3 mb-3">	

							<div class="table-search-phone">

								<form method="post">

					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">

					                <input type="submit" class="d-none" value="Submit" name="name_submit">

					            </form>

				            </div>

						</div>

						<div class="col-md-3 mb-3">	

							<div class="table-search-phone">

								<form class="form" method="post">

					                <select class="form-select" id="search_by_cat_submit" name="search_by_cat_submit">

					                	<option>Search by Categories</option>

					                	

					                </select>

					                <input type="submit" class="d-none" value="Submit" name="sort_submit">

					            </form>

				            </div>

						</div>

						<div class="col-md-3 mb-3">	

							<div class="table-search-phone">

								<form class="form" method="post">

					                <select class="form-select" id="sort_by_submit" name="sort_by_submit">

					                	<option>Select Sort by</option>

					                	<?php

					                	$category_sort = $conn->query('SELECT `option_value` from `wd_options` where `option_name`="product_order"')->fetch_assoc();

					                	?>

					                	<option <?php if( $category_sort['option_value'] == 'name asc' ) : echo 'selected'; endif; ?> value="name asc">Sort by A-Z</option>

					                	<option <?php if( $category_sort['option_value'] == 'name desc' ) : echo 'selected'; endif; ?> value="name desc">Sort by Z-A</option>

					                	<option <?php if( $category_sort['option_value'] == 'rank asc' ) : echo 'selected'; endif; ?> value="rank asc">Sort by Rank</option>

					                	<option <?php if( $category_sort['option_value'] == 'date asc' ) : echo 'selected'; endif; ?> value="date asc">Sort by Date</option>

					                </select>

					                <input type="submit" class="d-none" value="Submit" name="sort_submit">

					            </form>

				            </div>

						</div>
						<div class="col-md-3 mb-3"><a href="products.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>

					</div>

					<?php



			    	if( isset($_POST['product-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
			    		//inserting data into the database

			    		if( !empty($_POST['name']) ) {

		    				$image = $thumb_image = '';

						  	if($_FILES['file_thumb']['name'] != '') {

								$thumb_image = image_upload($_FILES['file_thumb']);

							}

							if($_FILES['file']['name'] != '') {

								$image = image_upload($_FILES['file']);

							}

							if( $thumb_image && $image ) {

								$emb_pallete_id = '';
								if( isset($_POST['emb_pallete_id']) ) 
									$emb_pallete_id = $_POST['emb_pallete_id'];

								$category_ids = implode('|', $_POST['cat_segment']);

			            		$product_add = $conn->query( product_insert($_POST['name'], $thumb_image, $image, $category_ids, $emb_pallete_id, $_POST['price'], $_POST['description'], date("Y/m/d h:i:s A")) );

			            		$product_insert_id = $conn->insert_id;

			            		$design_add = $conn->query( design_insert( $_POST['name'], $image, $product_insert_id, $_POST['price'], $_POST['description'], $_POST['pallete_id'], date("Y/m/d h:i:s A") ) );

			            		$design_insert_id = $conn->insert_id;

			            		$product_designID_update = $conn->query( "UPDATE `wd_products` SET `design_id`='". $design_insert_id ."', `pallete_id`='". $_POST['pallete_id'] ."', attribute_id='".implode('|', $_POST['attribute_id'])."' WHERE `id`='". $product_insert_id ."'" );

			        			if($product_add && $design_add && $product_designID_update) {

			        				echo '<div class="alert alert-success alert-dismissable fade show">

					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

						                    <strong>Success!</strong> Rocord successfully inserted.

						                </div>';

						            header("refresh:1, url=master-design-layers.php?id=". $design_insert_id ."&lt=Master");

                                    exit();

			        			} else {

			        				echo '<div class="alert alert-danger alert-dismissable fade show">

					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

						                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'

						                </div>';

			        			}

			        		}  else {

		        				echo '<div class="alert alert-danger alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

					                    <strong>Error!</strong> Images missing

					                </div>';

		        			}

			    		} else {

			    			echo '<div class="alert alert-danger alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Error!</strong> Invalid Input.

				                </div>';

			    		}

			    	}



			    	if( isset($_POST['btn-delete']) ) {

			    		$delete_product =  $conn->query( product_delete($_POST['product-id']) );
			    		
			    		$select_design_row = $conn->query( "SELECT * from `wd_designs` where `product_id`='". $_POST['product-id'] ."' and `svg`='Master'" );

			    		if( $select_design_row ) {
				    		//$select_design_id = explode('|', $select_design['id']);

			    			$select_design = $select_design_row->fetch_assoc();

			    			if( $select_design ) {
					    		$select_design_id = $select_design['id'];
					    		
					    		$delete_design = $conn->query( "DELETE from `wd_designs` where `product_id`='". $_POST['product-id'] ."' and `svg`='Master' and `id`='". $select_design_id ."'" );

					    		$delete_design_layers = $conn->query( "DELETE from `wd_design_layers` where `design_id`='". $select_design_id ."' and `layer_type`='Master'" );

					    		if( $delete_product && $delete_design && $delete_design_layers ) {
					    			echo '<div class="alert alert-info alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
						                    <strong>Record successfully deleted!</strong>.
						                </div>';
					    		}
					    	} else {
					    		echo '<div class="alert alert-info alert-dismissable fade show">
					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Product successfully deleted!</strong>.
					                </div>';
					    	}

				    	} else {
				    		echo '<div class="alert alert-info alert-dismissable fade show">
					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Product successfully deleted!</strong>.
					                </div>';
				    	}
			    	}

			    	if( isset($_POST['btn-copy']) ) {

			    		$actual_product = $conn->query( product_by_id($_POST['product-id']) )->fetch_assoc();

			    		$design_ids = explode('|', $actual_product['design_id']);

			    		$copy_product =  $conn->query( product_copy($_POST['product-id']) );

			    		$copied_product_id = $conn->insert_id;
			    		foreach( $design_ids as $design_id ) :

				    		$design_update = $conn->query("UPDATE `wd_designs` SET `product_id`=CONCAT(product_id,'"."|".$copied_product_id."') WHERE `id`='$design_id'");
				    	endforeach;

			    		$copied_product = $conn->query( product_by_id($copied_product_id) )->fetch_assoc();

			    		$update_name = $conn->query( "UPDATE `wd_products` SET `name`='". $copied_product['name'] ." - Copy' WHERE `id`='". $copied_product['id'] ."' " );

			    		if( $copy_product && $update_name ) {

			    			echo '<div class="alert alert-info alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Record successfully copied!</strong>.

				                </div>';

			    		}

			    	}

			    	/*// later

			    	if( isset($_POST['status']) ) {

			    		if( $_POST['status'] == 'Y') {

			    			$conn->query("update `wd_menu` set `status`='Y' where `id`='".$_POST['menu-id'] . "'");

			    		} else {

			    			$conn->query("update `wd_menu` set `status`='N' where `id`='".$_POST['menu-id'] . "'");

			    		}

			    	}*/



					$product_ids = $conn->query(product_select());

					

					//if( $product_ids->num_rows > 0 ) {

						// using the paginator

						$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;

					    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;

					    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;

					    if( isset($_POST['name_submit']) ) :



					    	$query = product_search_name($_POST['s_name']);

					    elseif( isset($_GET['category_id']) ) :

					    	$query = getProducts_ByCategory($_GET['category_id']);

					    else :
					    	$query = product_select();

					    endif;

					    //$query      = product_select();



					    $paginator = new Pagination( $conn, $query );



					    $results = $paginator->getData( $limit, $page );
					     if($results->data) :

				    ?>

				    <div class="card">

					    <div class="table-responsive">

							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">

								<thead>

									<tr>

										<?php if($_SESSION['userRole'] == 'admin') { ?>

						            	<th><i class="fas fa-cog"></i></th>

						            	<?php } ?>

										<th>Name</th>
										<th>Thumb</th>
										<th>Category</th>
										<!-- <th>Price</th> -->
										<!-- <th>Description</th> -->
										<th>Customized</th>
										<th>Pantone</th>
										<th>Player Details</th>
										<th>Visibility</th>
										<th>Featured</th>

									</tr>

								</thead>

						        <tbody id="post_list" data-table_name="wd_products">

						        	<?php foreach ($results->data as $key => $result) { ?>

						        	<tr data-post_id="<?php echo $result['id']; ?>">

						        		<?php if($_SESSION['userRole'] == 'admin') { ?>

						        		<td align="center" class="text-center">

						        			<div class="d-flex justify-content-center align-items-center flex-wrap">
						        				<a href="edit.product-options.php?product_id=<?php echo $result['id']; ?>" class="me-1 mb-1 btn btn-primary"><i class="fas fa-filter"></i></a>

							              		<a href="edit.product.php?product_id=<?php echo $result['id']; ?>&cts=<?php echo $result['category_id']; ?>" class="me-1 btn btn-primary"><i class="fas fa-edit"></i></a>

							                  	<form method="post" class="form">

							                      	<input type="hidden" name="product-id" value="<?php echo $result['id']; ?>">

							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="me-1 btn btn-danger" name="btn-delete">

							                      		<i class="fas fa-trash-alt"></i>

							                      	</button>

							                    </form>

							                    <form method="post" class="form">

							                      	<input type="hidden" name="product-id" value="<?php echo $result['id']; ?>">

							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-warning" name="btn-copy">
							                      		<i class="far fa-copy"></i>
							                      	</button>

							                    </form>
							                </div>

						                </td>

						            	<?php } ?>

						        		<td><?php echo $result['name']; ?></td>

						        		<td>

						        			<?php if( $result['thumb_image'] ) { ?>

					        				<img src="assets/uploads/<?php echo $result['thumb_image']; ?>" width="200">

						        			<?php } ?>

						        		</td>

						        		<td>

						        		<?php

						        		$category_ids = explode('|', $result['category_id']);

						        		$totalNumCats = count($category_ids);

						        		foreach( $category_ids as $cat_id ) :
							        		$categories = $conn->query( category_by_id($cat_id) );
							        			foreach( $categories as $key => $category ) :
						        		?>
						        			<a href="products.php?category_id=<?php echo $category['id']; ?>" class="btn-link"> 
						        				<?php echo $category['name']; ?>
						        			</a>
						        		<?php if($key != --$totalNumCats) : echo ' | '; endif; endforeach; endforeach; ?>
					        			</td>

						        		<!-- <td><?php echo $result['price'];?></td> -->

						        		<!-- <td><small class="lh-normal"><?php echo $result['description'];?></small></td> -->

						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="customized_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['customized'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['customized'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="customized" data-table_name="wd_products">

											  	<label class="form-check-label" for="<?php if( $result['customized'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>

						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="pantone_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['pantone'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['pantone'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="pantone" data-table_name="wd_products">

											  	<label class="form-check-label" for="<?php if( $result['pantone'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>

						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="player_details_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['player_details'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['player_details'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="player_details" data-table_name="wd_products">

											  	<label class="form-check-label" for="<?php if( $result['player_details'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>

						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="visible_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['visible'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="visible" data-table_name="wd_products">

											  	<label class="form-check-label" for="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>
						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="featured_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['featured'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="featured" data-table_name="wd_products">

											  	<label class="form-check-label" for="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>

						        	</tr>

						        	<?php } ?>

						        </tbody>

						    </table>

						</div>

				    </div>

				    <div class="panel-footer">

				        <div class="row">

				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)

				          	</div>

				          	<div class="col-12 mt-5 text-center">

				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>

				          	</div>

				        </div>

				  	</div>

				  	<?php  else : ?>

				    <div class="alert alert-info text-center">No result(s) found.</div>

				    <?php endif; ?>	



				</div>

			</main>

		</div>

	</div>



	<div class="modal fade" id="addNewProductModal" tabindex="-1" aria-labelledby="addNewProductLabel" aria-hidden="true">

		<div class="modal-dialog ">

			<div class="modal-content">

				<form class="form" action="" method="post" enctype="multipart/form-data">

				  	<div class="modal-header">

				    	<h5 class="modal-title" id="addNewCategoryLabel">Add New Product</h5>

				  	</div>

				  	<div class="modal-body">

						<div class="row">

							<div class="col-md-12 form-group">

								<input type="text" placeholder="Name" name="name" class="form-control" required>

							</div>

							<div class="col-md-12 form-group">

								<div class="input-group">

									<span class="input-group-text">$</span>

									<input type="text" placeholder="Price" name="price" class="form-control" value="0">

								</div>

							</div>

							<div class="col-md-12 form-group">

								<select class="form-select pallete_select_box" style="width: 100%; height: 50px;" name="pallete_id" required multiple>
									<option value="">Select Color Pallette</option>
									<?php 
									$palletes = $conn->query(pallete_select()); 
									if( $palletes ) :
										foreach ($palletes as $pallete) :
									?>
									<option value="<?php echo $pallete['id']; ?>"><?php echo $pallete['name']; ?></option>
									<?php endforeach; endif; ?>
								</select>
							</div>

							<div class="col-md-12 form-group">

								<select class="form-select emb_pallete_select_box" style="width: 100%; height: 50px;" name="emb_pallete_id" multiple>
									<option value="">Select Embellishment Pallette</option>
									<?php 
									$embpalletes = $conn->query(embellishment_pallete_select()); 
									if( $embpalletes ) :
										foreach ($embpalletes as $embpallete) :
									?>
									<option value="<?php echo $embpallete['id']; ?>"><?php echo $embpallete['name']; ?></option>
									<?php endforeach; endif; ?>
								</select>
							</div>

							<div class="col-md-12 form-group">

								<select class="form-select attribute_select_box" style="width: 100%; height: 50px;" name="attribute_id[]" multiple>
									<option value="">Select Attributes</option>
									<?php 
									$attributes = $conn->query(product_attributes_select()); 
									if( $attributes ) :
										foreach ($attributes as $attribute) :
									?>
									<option value="<?php echo $attribute['id']; ?>"><?php echo $attribute['name']; ?></option>
									<?php endforeach; endif; ?>
								</select>
							</div>

							<div class="col-md-12 form-group">

								<div class="category_check_box form-control">
									<?php 
									$categories = $conn->query( category_select_parent() ); 
									if( $categories ) :
										foreach ($categories as $key => $category) :
									?>
									<div class="cat_segment">
										<label class="form-check">
							                <input type="checkbox" name="cat_segment[]" class="form-check-input" value="<?php echo $category['id']; ?>"> 
							                <?php echo $category['name']; ?>
							            </label>
							        
								        <div class="ms-2 catSub_all">
										  	<?php getChildCats('check', $category['id']); ?> 
										</div>
									</div>
						            <?php endforeach; endif; ?>
						        </div>

								<!--<input type="hidden" name="category_id" id="category_id">

								<div class="dropdown opt-select-dpd form-group">

								  	<button class="form-select text-start opt-select-text" type="button" id="categoriesDropdown" data-bs-toggle="dropdown" aria-expanded="false">

								    	Select Category

								  	</button>

								  	<ul class="dropdown-menu top-100" aria-labelledby="categoriesDropdown">

								  		<?php 

										$categories = $conn->query("SELECT * from wd_categories where parent_id=0"); 

										if( $categories ) :

											foreach ($categories as $category) :

										?>

								    	<li>

								    		<button class="dropdown-item" type="button" value="<?php echo $category['id']; ?>">

								    			<?php echo $category['name']; ?>

							    			</button>

							    			<?php

							    			$subCategories = $conn->query('SELECT * from wd_categories where parent_id="'. $category['id'] .'"');

						    					if( $subCategories ) :

							    			?>

							    			<ul class="list-unstyled">

							    				<?php

							    					foreach( $subCategories as $subCategory ) :

				    							?>

							    				<li>

							    					<button class="dropdown-item ps-4" type="button" value="<?php echo $subCategory['id']; ?>">

										    			<?php echo $subCategory['name']; ?>

									    			</button>

									    		</li>

									    		<?php endforeach; ?>

									    	</ul>

									    	<?php endif; ?>

								    	</li>

								    	<?php endforeach; endif; ?>

								  	</ul>

								</div>-->

							</div>

							<div class="col-md-12 form-group">

								<textarea placeholder="Description" name="description" class="form-control" rows="4"></textarea>

							</div>

							<div class="col-md-6">

								<h4 class="card-title text-center">Thumb Image</h4>

								<div class="profile-pic-box mb-3">

									<div class="profile-pic">

									  	<label class="-label" for="file_thumb">

										    <span class="fas fa-camera"></span>

										    <span>Upload Image</span>

										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

									  	</label>

									  	<input id="file_thumb" type="file" name="file_thumb" accept="image/*" onchange="loadFileThumb(event)">

									  	<img src="img/placeholder.png" id="outputThumb" alt="">

									</div>

								</div>

							</div>

							<div class="col-md-6">

								<h4 class="card-title text-center">Master SVG</h4>

								<div class="profile-pic-box mb-3">

									<div class="profile-pic">

									  	<label class="-label" for="file">

										    <span class="fas fa-camera"></span>

										    <span>Upload SVG</span>

										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>

									  	</label>

									  	<input id="file" type="file" name="file" accept=".svg" onchange="loadFile(event)">

									  	<img src="img/placeholder.png" id="output" alt="">

									</div>

								</div>

							</div>

						</div>

				  	</div>

				  	<div class="modal-footer btn-group w-100">

					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>

					    <button type="submit" class="btn btn-primary btn-xl" name="product-add-submit">Add</button>

				  	</div>

			  	</form>

			</div>

		</div>

	</div>



<?php include 'footer.php'; ?>

<script>

	var loadFileThumb = function (event) {

	  var image = document.getElementById("outputThumb");

	  image.src = URL.createObjectURL(event.target.files[0]);

	};

	var loadFile = function (event) {

	  var image = document.getElementById("output");

	  image.src = URL.createObjectURL(event.target.files[0]);

	};

	
	$(document).ready(function() {
		$('.pallete_select_box').select2({
			theme: 'classic',
			maximumSelectionLength: 1,
			placeholder: 'Select Color Pallete(s)',
			dropdownParent: $('#addNewProductModal')
		});

		$('.emb_pallete_select_box').select2({
			theme: 'classic',
			maximumSelectionLength: 1,
			placeholder: 'Select Embellishment Pallete(s)',
			dropdownParent: $('#addNewProductModal')
		});

		$('.attribute_select_box').select2({
			theme: 'classic',
			placeholder: 'Select Attribute(s)',
			dropdownParent: $('#addNewProductModal')
		});
	});

	/*$('.opt-select-dpd ul button').on('click', function() {

		$(this).closest('.opt-select-dpd').siblings('#category_id').val($(this).attr('value'));

		$(this).closest('.opt-select-dpd').children('.form-select').text($(this).text());

	});*/

</script>